Changes between 3.0.22 and 3.0.23:
----------------------------------

Codecs:
 * Fix WebVTT line positioning
 * Expose additional audio codec information (notably for Flac 24bit)

Demuxers:
 * fix some JPEG files wih JFIF headers

Windows:
 * config_GetUserDir() no longer tries to create the folder on Windows (#29488)
 * Fix images display with D3D11
 * Improve dark palette in Qt interface
 * Fix compilation of OpenGL modules

Security:
 * Fix null deref in libass, undefined shift in theora and cc-708, integer overflow in daala,
   Infinite loop in h264 parsing, buffer overflow in png and multiple format-overflows

Misc:
 * Prepare compatibility for taglib 2.0, Qt6, FFmpeg8, mingw-w64 v13 and newer versions of
   libplacebo and pupnp


Changes between 3.0.21 and 3.0.22:
----------------------------------

Core:
 * Assume subpictures are in SDR by default

Windows:
 * Add Windows ARM64 builds (Minimum Windows 10 RS5 17763 / 1809)
 * Fix support for Windows XP SP3
 * Allow renaming/moving/deleting of playing file on Windows
 * Restrict SystemParametersInfo calls to Windows XP

Decoders:
 * Fix Opus channel mapping
 * Fix hardware decoding with VideoToolbox of XVID MPEG-4 video
 * Add dav1d-all-layers option
 * Fix DVD CEA-608 captions parsing
 * Fix ProRes 4:4:4:4
 * Disable decoding using libdca, libmpeg2 and liba52 by default in favor of libavcodec

Demuxers:
 * Add support for DMX audio music (MUS) files
 * Handle mkv-use-chapter-codec option
 * Add A_ATRAC/AT1 support in matroska
 * Prevent FLAC seeking logic get stuck
 * Handle pictures in FLAC
 * Fix VOB/AOB LPCM/MLP detection failing occasionally
 * Cut QNap title on first invalid character
 * Fix display of certain JPEG files
 * Fix playback of very short ASF files (duration less than 1s)
 * Multiple fixes in MPEG-TS
 * Fix crashes in multiple demuxers (reported by rub.de, oss-fuzz and others)

Input:
 * Fix SFTP seeking for large files on 32-bit OS

Interface:
 * Qt: Add option to use dark palette
 * Qt: Add compilation support for newer versions of Qt5
 * Qt: Fix scrolling on volume slider
 * macOS: fix crashes when drag'n drop items in the playlist
 * KDE: fix MPRIS state when started from file

Service Discovery:
 * UPnP: remove SAT>IP channel list fallback

Video Output:
 * Use a better stretch mode in wingdi
 * Fetch missing device information when running in UWP

Video Filter:
 * Add AMD GPU Frame Rate Doubler (Direct3D11)
 * Improve visualization of low frequencies in spectrogram

Contrib:
 * Update amf to 1.4.34
 * Update dav1d to 1.5.1
 * Update FFmpeg to 4.4.5
 * Update freetype to 2.13.1
 * Update gettext to 0.22.5
 * Update gcrypt to 1.10.1
 * Update glew to 2.1.0
 * Update gmp to 6.3.0
 * Udpate gnutls to 3.8.10
 * Update harfbuzz to 11.5.0
 * Update iconv to 1.17
 * Update libarchive to 3.8.0 including support for RAR 5.0
 * Update libass to 0.17.3
 * Update libbluray to 1.4.0
 * Update libmatroska to 1.7.0
 * Update libogg to 1.3.6
 * Update libpng to 1.6.50
 * Update libvpx to 1.15.2
 * Update lua to 5.1.5
 * Update openjpeg to 2.5.0
 * Update orc to 0.4.33
 * Update srt to 1.5.3
 * Update taglib to 1.13.1
 * Update zlib to 1.3.1
 * and more 3rd party updates
 * libmpeg2, libdca and liba52 are no longer build by default
 * build ragel inside harfbuzz if necessary

Misc:
 * gnutls: remove manual DH prime bits setting
 * Avoid very large fonts in portrait mode
 * Update of most translations

Many thanks to the Sovereign Tech Agency (https://www.sovereign.tech/), and
especially their Sovereign Tech Fund program, for helping VLC sustainability and safety.
Thanks to oss-fuzz as well for their help and resources to find issues.
Thanks to their support, 3.0.22 becomes the VLC release with the most security fixes ever!

Security:
 * Heap Buffer Overflow READ in TY, NSV, CVDsub, SPU, Subrip, TX3G, MPJEG demuxers and decoders
 * Heap Buffer Overflow Write in RLE, MP4, TX3G demuxers and decoders
 * Assert failure in AVI, MP4 demuxers and Core
 * Null dereferences in CSS, Flac and VTT modules
 * Use-after Free in SVG decoder
 * Crash in Subtitles core, in jpeg2 inside TS
 * Multiple crashes and OOB in CEA-708 subtitles
 * OOB read on Oggspot, MP4
 * Multiple leaks in MKV, ASF/WMV, CAF and PS demuxers, Ogg, Theora, Vorbis,
   WebVTT and SVCD decoders
 * Busy loop in WebVTT
  (The list above is not exhaustive)


Changes between 3.0.20 and 3.0.21:
----------------------------------

Decoders:
 * Improve Opus ambisonic support
 * Fix some ASS subtitle rendering issues
 * Fix Opus in MP4 behaviour
 * Fix VAAPI hw decoding with some drivers

Input:
 * Add support for HTTP content range handling according to RFC 9110
 * Fix some HLS Adaptive Streaming not working in audio-only mode

Video Output:
 * Super Resolution scaling with AMD GPUs
 * The D3D11 HDR option can also turn on/off HDR for all sources regardless of
   the display
 * Improve subtitles rendering on Apple platforms of notably Asian languages
   by correcting font fallback lookups

Video Filter:
 * New AMD VQ Enhancer filter
 * Add D3D11 option to use NVIDIA TrueHDR to generate HDR from SDR sources

Audio Output:
 * Fix regression on macOS causing crashes when using audio devices
   with more than 9 channels

Services Discovery:
 * Fix exposed UPnP directory URL schemes to be compliant with RFC 3986

Contrib:
 * Update FFmpeg to 4.4.4
 * Update dav1d to 1.4.2
 * Update libvpx to 1.14.1

libVLC:
 * the HWND passed to libvlc_media_player_set_hwnd must have the WS_CLIPCHILDREN
   style set.
 * Fix crashes when using caopengllayer

Misc:
 * Fix various warnings, leaks and potential crashes
 * Fix security integer overflow in MMS module


Changes between 3.0.19 and 3.0.20:
----------------------------------

Video Output:
 * Fix green line in fullscreen in D3D11 video output
 * Fix crash with some AMD drivers old versions
 * Fix events propagation issue when double-clicking with mouse wheel

Decoders:
 * Fix crash when AV1 hardware decoder fails

Interface:
 * Fix annoying disappearance of the Windows fullscreen controller

Demuxers:
 * Fix potential security issue (OOB Write) on MMS:// by checking user size bounds


Changes between 3.0.18 and 3.0.19:
----------------------------------

Core:
 * Fix next-frame freezing in most scenarios

Demux:
 * Fix FLAC playback quality regression with variable frame size
 * Support RIFF INFO tags for Wav files
 * Fix AVI files with flipped RAW video planes
 * Fix duration on short and small Ogg/Opus files
 * Fix some HLS/TS streams with ID3 prefix
 * Fix some HLS playlist refresh drift
 * Fix for GoPro MAX spatial metadata
 * Improve FFmpeg-muxed MP4 chapters handling
 * Improve playback for QNap-produced AVI files
 * Improve playback of some old RealVideo files
 * Fix duration probing on some MP4 with missing information

Decoders:
 * Multiple fixes on AAC handling
 * Activate hardware decoding of AV1 on Windows (DxVA)
 * Improve AV1 HDR support with software decoding
 * Fix some AV1 GBRP streams, AV1 super-resolution streams and monochrome ones
 * Fix black screen on poorly edited MP4 files on Android Mediacodec
 * Fix rawvid video in NV12
 * Fix several issues on Windows hardware decoding (including "too large resolution in DxVA")
 * Improve crunchyroll-produced SSA rendering

Video Output:
 * Super Resolution scaling with nVidia and Intel GPUs
 * Fix for an issue when cropping on Direct3D9
 * Multiple fixes for hardware decoding on D3D11 and OpenGL interop
 * Fix an issue when playing -90°rotated video
 * Fix subtitles rendering blur on recent macOS

Input:
 * Improve SMB compatibility with Windows 11 hosts

Contribs:
 * Update of fluidlite, fixing some MIDI rendering on Windows
 * Update of zlib to 1.2.13 (CVE-2022-37434)
 * Update of FFmpeg, vpx (CVE-2023-5217), ebml, dav1d, libass

Misc:
 * Improve muxing timestamps in a few formats (reset to 0)
 * Fix some rendering issues on Linux with the fullscreen controller
 * Fix GOOM visualization
 * Fixes for Youtube playback
 * Fix some MPRIS inconsistencies that broke some OS widgets on Linux
 * Implement MPRIS TrackList signals
 * Fix opening files in read-only mode
 * Fix password search using the Kwallet backend
 * Fix some crashes on macOS when switching application
 * Fix 5.1/7.1 output on macOS and tvOS
 * Fix several crashes and bugs in the macOS preferences panel
 * Improvements on the threading of the MMDevice audio output on Windows
 * Fix a potential security issue on the uninstaller DLLs (CVE-2023-46814)
 * Fix memory leaks when using the media_list_player libVLC APIs

Translations:
 * Update of most translations
 * New translations to Esperanto, Interlingue, Lao, Macedonian, Burmese, Odia, Samoan and Swahili


Changes between 3.0.18-rc2 and 3.0.18:
--------------------------------------

macOS:
 * Fix audio device listing with non-latin names
 * Update some translations

Misc:
 * Fix rendering and performance issue with older GPUs

Contribs:
 * Update aom


Changes between 3.0.18-rc and 3.0.18-rc2:
-----------------------------------------

Codec/Demux:
 * Add support for Y16 chroma
 * Fix build of gme plugin

Lua:
 * Fix script for vocaroo
 * Fix script for youtube to allow throttled playback
   (Note: Restrictions on youtube still prevent unthrottled playback)

Service Discovery:
 * Fix UPnP regression on Windows

Video Output:
 * Fix video placement with caopengllayer

Misc:
 * Fix password search in kwallet module

Contribs:
 * Update FFmpeg


Changes between 3.0.17.4 and 3.0.18-rc:
---------------------------------------

Demux:
 * Major adaptive streaming update, notably for multiple timelies and webvtt
 * Fix seeking with some fragmented MP4 files
 * Add support for DVBSub inside MKV
 * Fix some Flac files that could not be played
 * Improve seeking in Ogg files

Decoders:
 * Fix DxVA/D3D11 crashes on HEVC files with bogus references
 * Fix libass storage size and crash
 * Fix decoding errors on macOS hw decoding on some HEVC files

Video Output:
 * Fix color regression with VAAPI/iOS and OpenGL output
 * Fix some resizing issues with OpenGL on GLX/EGL/X11/XV
 * Fix Direct3d9 texture stretching
 * Fix 10-bit accelerated video filters on macOS

Playlist:
 * Avoid playlist liveloop on failed/tiny items (temporize EOS bursts)

Misc:
 * Misc fixes for the extension UI on macOS
 * Improve SMBv1 and SMBv2 behaviours
 * Improve FTP compatibility
 * Support RISC-V
 * Fix AVI muxing for Windows Media Player compatibility
 * Fix seeking speed on macOS

Contribs:
 * update FFmpeg, bluray, upnp, pthread, x265, freetype, libsmb2, aom, dav1d,
   libass, libxml2 (contains CVE), dvdread, harfbuzz, zlib, gme, nettle, GnuTLS,
   mpg123, speex, bluray, libvpx


Changes between 3.0.17.3 and 3.0.17.4:
--------------------------------------

Service Discovery:
 * Fix UPnP regression on Windows


Changes between 3.0.17.2 and 3.0.17.3:
--------------------------------------

Demux:
 * Fix a regression causing a lack of audio in adaptive streaming


Changes between 3.0.17 and 3.0.17.2:
------------------------------------

Interface:
 * Qt: Fix right click support on video

Misc:
 * Update YouTube script


Changes between 3.0.16 and 3.0.17:
----------------------------------

Core:
 * Fix a regression in parsing secondary source MRLs
 * Allow brackets in path part of URLs

Access:
 * Fix support for screen capture on macOS with avcapture
 * Fix closing of HTTP 1.x connections
 * Improve HTTP2 memory usage
 * Improve AVCapture module
 * Improve AudioCD support (audio/data mixed mode, musicbrainz)
 * Improve SMB compatibility by changing the read size
 * Several improvements on the SRT modules (including streamID)

Decoders/Packetizers:
 * Add support for DTS LBR
 * Fix some HEVC hardware decoding on Windows and crashes when aspect ratio changes
 * Fix hardware decoding for some AMD GPU drivers
 * Add support for new Fourcc for E-AC3, AV1, GeoVision
 * Fix crashes with VP9 streams
 * Fix styling issues with subs tx3g (mp4) tracks
 * Fix playback of live AV1 streams

Audio Output:
 * iOS/tvOS: add support for spatial audio
 * macOS: fix some channels ordering for > 5.1 channels
 * Android: rework audio volume management

Video Output:
 * Fix a D3D11 crash when the stream changes aspect ratio

Demux:
 * Major overhaul of the adaptive streaming stack
 * Support for DAV video files
 * Add WebP image mapping
 * Fix missing audio start of Opus audio in MKV/WebM
 * Fix an infinite loop in MP4
 * Fix attachments extractions in ogg files
 * Support Uncompressed audio in mp4 (ISO/IEC 23003-5)
 * Fix some lip sync issue in rare MPEG-TS streams

Interface:
 * Qt/macOS: Fixup user provided URLs
 * Add safe area handling on macOS
 * Qt: improve preferences search
 * Qt: fix --no-mouse-events option

Misc:
 * Update YouTube script
 * Fix Icecast directory parsing which could lead to missing entries
 * Improve UPnP compatibility with some servers

3rd party libraries (contrib):
 * Update FFmpeg to 4.4
 * Update libflac to 1.3.4 to fix CVE-2020-0499 and CVE-2021-0561
 * Update libsmb2 to fix invalid UTF-8 encoding of some filenames
 * Update taglib to fix corruptions when editing some OGG metadata
 * Update dav1d to 0.9.2
 * Update fribidi to 1.0.11
 * Update freetype to 2.11.1
 * Update libass to 0.15.2
 * Drop pthreadGC2 in favor of winpthreads
 * Enable Java support for blurays on Apple M1
 * Update libsrt to 1.4.4
 * Update twolame to 0.4.0
 * Update mpg123 to 1.29.3
 * Update libnfs to 5.0.1
 * Update libarchive to 3.6.0
 * Update AOM encoder to 3.1.1


Changes between 3.0.15 and 3.0.16:
----------------------------------

Video Output:
 * Fix a D3D11 crash on Windows 8/8.1

Access:
 * Fix RTSP server timeout handling

Interfaces:
 * macOS: Add touchbar support

Misc
 * Multiple settings improvements


Changes between 3.0.14 and 3.0.15:
----------------------------------

Core:
 * Add Opus & Alac wave format mappings

Access:
 * Fix opening DVD folders with non-ascii characters

Demux:
 * Fix asf regression with broadcast streams
 * MP4: Fix audio drop on seek

Video Output:
 * Fix seek & volume sliders overlapping with subtitles
 * Fix delays when seeking with D3D11

Text renderer:
 * Improve freetype fonts outlining

Misc:
 * Fix GnuTLS support for Windows XP


Changes between 3.0.13 and 3.0.14:
----------------------------------

Core:
 * Fix double loading of slave input
 * Fix an issue causing the auto-updater not to launch the new version
   installer


Changes between 3.0.12.1 and 3.0.13:
----------------------------------

Demux:
 * Adaptive: fix artefacts in HLS streams with wrong profiles/levels
 * Fix regression on some MP4 files for the audio track
 * Fix MPGA and ADTS probing in TS files
 * Fix Flac inside AVI files
 * Fix VP9/Webm artefacts when seeking

Codec:
 * Support SSA text scaling
 * Fix rotation on Android rotation
 * Fix WebVTT subtitles that start at 00:00

Access:
 * Update libnfs to support NFSv4
 * Improve SMB2 integration
 * Fix Blu-ray files using Unicode names on Windows
 * Disable mcast lookups on Android for RTSP playback

Video Output:
 * Rework the D3D11 rendering wait, to fix choppiness on display

Interfaces:
 * Fix VLC getting stuck on close on X11 (#21875)
 * Improve RTL on preferences on macOS
 * Add mousewheel horizontal axis control
 * Fix crash on exit on macOS
 * Fix sizing of the fullscreen controls on macOS

Windows:
 * Fix subtitles/OSD under Windows XP

Misc:
 * Update translations
 * Improve MIDI fonts search on Linux
 * Update Soundcloud, Youtube, liveleak
 * Fix compilation with GCC11
 * Fix input-slave option for subtitles


Changes between 3.0.12 and 3.0.12.1:
----------------------------------

macOS:
 * 3.0.12.1 is the first release for Apple Silicon macs
 * Version bump to allow an automatic upgrade path


Changes between 3.0.11.1 and 3.0.12:
----------------------------------

Access:
 * Add new RIST access module compliant with simple profile (VSF_TR-06-1)

Access Output:
 * Add new RIST access output module compliant with simple profile (VSF_TR-06-1)

Demux:
 * Fixed adaptive's handling of resolution settings
 * Improve Bluray tracks support
 * Improve WMV seeking and DASH support
 * Fix crashes in AVI, MKV modules

Audio output:
 * Fix audio distortion on macOS during start of playback

Video Output:
 * Direct3D11: Fix some potential crashes when using video filters

macOS:
 * Add native support for Apple Silicon / ARM-64
 * Visual UI adaptations for macOS Big Sur
 * Fix displaying EQ bands in the UI depending on which frequency
   presets are set for the EQ in advanced preferences
 * Fix UI issues in bookmarks window

Misc:
 * Several fixes in the web interface, including privacy and security
   improvements
 * Update YouTube and Vocaroo scripts
 * Fix rotation filter mouse handling
 * Update translations


Changes between 3.0.11 and 3.0.11.1:
----------------------------------

Demux:
 * Fixed HLS playlist update mechanism, unable to start
   in some cases.
 * Because of broken HLS servers, adaptive no longer
   considers Content-Type as authoritative.
 * Fixed handling of WEBM WebVTT subtitles
 * Workaround invalid ADTS in TS from Makito encoders
 * Fixed Opus when using avformat demuxer

Decoders:
 * Fixed inverted explicit start/end positioning

Service Discovery:
 * Fix listing of media on certain Panasonic recorders discovered via UPnP

macOS:
 * Fix automatic playback resume with "Music" app
 * Fix possible freeze after pause, seek, unpause

Contribs:
 * Updated gnutls to 3.6.14
 * Updated libebml to 1.4.0
 * Updated libmatroska to 1.6.0
 * Updated mpg123 to 1.26.2


Changes between 3.0.10 and 3.0.11:
----------------------------------

Access:
 * rtp descriptor leak on error fix

Demux:
 * Fixed regression with some encrypted HLS streams
 * Live HLS delay until first update fix
 * HLS rendition switch regression fix
 * Fix imprecise m4a seek

Decoder:
 * Fixed missing captions with some capture cards

Audio filters:
 * soxr resampling fixes

Contribs:
 * Updated libfaad to 2.9.2 (Parametric Stereo regression)
 * Updated libarchive to 3.4.2

macOS:
 * Fixed moving video window with mouse
 * Fixed UI issue showing "permissions warning" unnecessarily often
 * Fixed stack buffer overflow listing bluray mount points
 * Fixed potential crashes at startup

Audio Output:
 * Fix sound not coming back after a pause with CoreAudio (macOS/iOS)

Misc:
 * Update Youtube script


Changes between 3.0.9.2 and 3.0.10:
----------------------------------

Misc:
 * Update Twitch & VLSub scripts


Changes between 3.0.9.1 and 3.0.9.2:
----------------------------------

Misc:
 * Properly bump the version in configure.ac


Changes between 3.0.9 and 3.0.9.1:
----------------------------------

Misc:
 * Fix VLSub returning 401 for earch request


Changes between 3.0.8 and 3.0.9:
----------------------------------

Core:
 * Work around busy looping when playing an invalid item through VLM

Access:
 * Multiple dvdread and dvdnav crashs fixes
 * Fixed DVD glitches on clip change
 * Fixed dvdread commands/data sequence inversion in some cases causing
   unwanted glitches
 * Better handling of authored as corrupted DVD
 * Added libsmb2 support for SMB2/3 shares

Demux:
 * Fix TTML entities not passed to decoder
 * Fixed some WebVTT styling tags being not applied
 * Misc raw H264/HEVC frame rate fixes
 * Fix adaptive regression on TS format change (mostly HLS)
 * Fixed MP4 regression with twos/sowt PCM audio
 * Fixed some MP4 raw quicktime and ms-PCM audio
 * Fixed MP4 interlacing handling
 * Multiple adaptive stack (DASH/HLS/Smooth) fixes
 * Enabled Live seeking for HLS
 * Fixed seeking in some cases for HLS
 * Improved Live playback for Smooth and DASH
 * Fixed adaptive unwanted end of stream in some cases
 * Faster adaptive start and new buffering control options

Packetizers:
 * Fixes H264/HEVC incomplete draining in some cases
 * packetizer_helper: Fix potential trailing junk on last packet
 * Added missing drain in packetizers that was causing missing
   last frame or audio
 * Improved check to prevent fLAC synchronization drops

Decoder:
 * avcodec: revector video decoder to fix incomplete drain
 * spudec: implemented palette updates, fixing missing subtitles
   on some DVD
 * Fixed WebVTT CSS styling not being applied on Windows/macOS
 * Fixed Hebrew teletext pages support in zvbi
 * Fixed Dav1d aborting decoding on corrupted picture
 * Extract and display of all CEA708 subtitles
 * Update libfaad to 2.9.1
 * Add DXVA support for VP9 Profile 2 (10 bits)
 * Mediacodec aspect ratio with Amazon devices

Audio output:
 * Added support for iOS audiounit audio above 48KHz
 * Added support for amem audio up to 384KHz

Video output:
 * Fix for opengl glitches in some drivers
 * Fix GMA950 opengl support on macOS
 * YUV to RGB StretchRect fixes with NVIDIA drivers
 * Use libpacebo new tone mapping desaturation algorithm

Text renderer:
 * Fix crashes on macOS with SSA/ASS subtitles containing emoji
 * Fixed unwanted growing background in Freetype rendering and Y padding

Mux:
 * Fixed some YUV mappings

macOS:
 * Use a layer based video output on 10.14 and higher, which should
   fix various rendering issues where the vout would glitch between
   a wrong size and the correct size.
   Additionally this works around OpenGL issues with Macs that have a
   dedicated NVIDIA GPU, which caused rendering artifacts in the whole
   OS, especially when the "Reduce transparency" accessibility option
   is used
 * Remove qtsound module and add avaudiocapture module as replacement
 * Fix audio capture on macOS Catalina by using avaudiocapture
 * Inform the user in case OS permissions are missing for certain actions
 * Fix Apple Remote support on macOS Catalina
 * Add support for pausing Apple Music on macOS Catalina
 * Fix UPnP discovery crash without an active network interface
 * Fix rare placement issues with fullscreen panel
 * Fix problem in audio output remembering the last device configuration
   in digital mode

Service Discovery:
 * Update libmicrodns to 0.1.2

Misc:
 * Update YouTube, SoundCloud and Vocaroo scripts: this restores
   playback of YouTube URLs.
 * Add missing .wpl & .zpl file associations on Windows
 * Improved chromecast audio quality


Changes between 3.0.7.1 and 3.0.8:
----------------------------------

Core:
 * Fix stuttering for low framerate videos

Demux:
 * Fix channel ordering in some MP4 files
 * Fix glitches in TS over HLS
 * Add real probing of HLS streams
 * Fix HLS MIME type fallback

Decoder:
 * Fix WebVTT subtitles rendering

Stream filter:
 * Improve network buffering

Misc:
 * Update Youtube script

Audio Output:
 * macOS/iOS: Fix stuttering or blank audio when starting or seeking when using
   external audio devices (bluetooth for example)
 * macOS: Fix AV synchronization when using external audio devices

Video Output:
 * Direct3D11: Fix hardware acceleration for some AMD drivers

Stream output:
 * Fix transcoding when the decoder does not set the chroma

Security:
 * Fix a buffer overflow in the MKV demuxer (CVE-2019-14970)
 * Fix a read buffer overflow in the avcodec decoder (CVE-2019-13962)
 * Fix a read buffer overflow in the FAAD decoder
 * Fix a read buffer overflow in the OGG demuxer (CVE-2019-14437, CVE-2019-14438)
 * Fix a read buffer overflow in the ASF demuxer (CVE-2019-14776)
 * Fix a use after free in the MKV demuxer (CVE-2019-14777, CVE-2019-14778)
 * Fix a use after free in the ASF demuxer (CVE-2019-14533)
 * Fix a couple of integer underflows in the MP4 demuxer (CVE-2019-13602)
 * Fix a null dereference in the dvdnav demuxer
 * Fix a null dereference in the ASF demuxer (CVE-2019-14534)
 * Fix a null dereference in the AVI demuxer
 * Fix a division by zero in the CAF demuxer (CVE-2019-14498)
 * Fix a division by zero in the ASF demuxer (CVE-2019-14535)

Contribs:
 * Update to a newer libmodplug version (0.8.9.0)


Changes between 3.0.7 and 3.0.7.1:
----------------------------------

Access:
 * Update libbluray to 1.1.2

macOS:
 * Fix bluray java menu playback regression in 3.0.7

Video Output:
 * Fix hardware acceleration with some AMD drivers
 * Improve direct3d11 HDR support


Changes between 3.0.6 and 3.0.7:
--------------------------------

Access:
 * Improve Blu-ray support
 * Fix sftp module build with libssh >= 1.8.1

Audio output:
 * Fix pass-through on Android-23
 * Fix DirectSound drain

Demux:
 * Improve MP4 support

Video Output:
 * Fix 12 bits sources playback with Direct3D11
 * Fix crash on iOS
 * Fix midstream aspect-ratio changes when Windows hardware decoding is on
 * Fix HLG display with Direct3D11

Stream Output:
 * Improve Chromecast support with new ChromeCast apps

macOS:
 * Fix UPNP service discovery, services are discovered on the highest priority
   active network interface now
 * Fix video distortion on macOS Mojave

Misc:
 * Update Youtube, Dailymotion, Vimeo, Soundcloud scripts
 * Work around busy looping when playing an invalid item with loop enabled

Translations:
 * Update of most translations

Security:
 * Fix multiple buffer overflows in the ps demuxer
 * Fix a buffer overflow when copying a biplanar YUV image
 * Fix multiple buffer overflows in the faad decoder
 * Fix buffer overflow in the svcdsub decoder
 * Fix buffer overflows in the ogg muxer & demuxer
 * Fix buffer overflows in libavformat demuxer
 * Fix multiple buffer overflows in the MKV demuxer
 * Fix a buffer overflow in the MP4 demuxer
 * Fix a buffer overflow in the textst decoder
 * Fix a buffer overflow in the webvtt decoder
 * Fix a buffer overflow in the ASF demux
 * Fix a buffer overflow in the UPNP SD
 * Fix use after free in the ogg demuxer
 * Fix multiple use after free in the MKV demuxer
 * Fix multiple use after free in the DMO decoder
 * Fix integer underflow in the MKV demuxer
 * Fix an updater NULL pointer dereference on invalid signing keys
 * Fix NULL pointer dereference in the MKV demuxer
 * Fix an integer overflow in the spudec decoder
 * Fix an integer overflow in the nsc demuxer
 * Fix an integer overflow in the avi demuxer
 * Fix reads of uninitialized pointers in the MKV demuxer
 * Fix a floating point exception in the MKV demuxer
 * Fix an infinite loop in the flac packetizer


Changes between 3.0.5 and 3.0.6:
--------------------------------

Core:
 * Fix potential subtitle picture allocation failures

Codec:
 * Add support for 12 bits decoding of AV1
 * Fix HDR support in AV1 when the container provides the metadata


Changes between 3.0.4 and 3.0.5:
--------------------------------

Access:
 * Improve RTSP playback
 * BluRay fixes and improvements, notably for menus and seeking
 * Improve the UDP/RTP truncated issue

Codec:
 * Add a new AV1 decoder based on dav1d library
 * Enable libaom decoder by default
 * Fix decoding of some HEVC streams with macOS hardware decoding

Demux:
 * MP4: Fix reading of some HDR metadata
 * Miscellaneous AV1 demuxing improvements
 * Fix CAF integer-underflow
 * Fix an MKV crash on iOS 12.0, on iPhone XS phones

Packetizer:
 * Add an AV1 packetizer

macOS:
 * Starting with VLC 3.0.5, VLC will be distributed with runtime hardening
   enabled on macOS Mojave.
   All external VLC plugins need to be signed by a DeveloperID certificate in order
   to continue working with the official VLC package.
 * Update the VLC dark UI to better match the dark mode of macOS Mojave
 * Fix convert & save panel stream option

Audio output:
 * Fix corking when the playback state is paused
 * Improve corking on Android

Video Output:
 * Fix Direct3D11 tone-mapping when HDR is displayed on an SDR screen
 * More accurate colors for SD sources in Direct3D11
 * Disable hardware decoding on some old Intel GPUs
 * Fix zero-copy GPU acceleration on AMD RX Vega
 * Misc Direct3D11 fixes

Miscellaneaous:
 * Improve ChromeCast
 * Update numerous 3rd party libraries, including for minor security issues
 * Update Youtube support
 * Fix subtitles rendering with specific fonts with negative horizontal advance


Changes between 3.0.3 and 3.0.4:
--------------------------------

Decoder:
 * Blacklist some intel GPU when decoding HEVC
 * Decode AV1 streams
 * Fix playback of low-fps files
 * Fix hardware decoding of low-latency sliced H.264 streams on macOS
 * Fix seeking with streams containing WebVTT subtitles
 * Fix decoding some CC-608 streams with roll-up
 * Fix crashes with LPCM streams
 * Fix colorspace of JPEG, PNG and screen inputs
 * Fix MediaCodec rotation handling

Demux:
 * Improve FLV fps detection
 * Fix some ogg/flac
 * Improve support for broken HEVC inside MKV
 * Fix some AVI regression for broken files and for DVAudio
 * Support files splitted in the .mts%d pattern
 * Fixes for MKV seeking
 * Fix for MP4 disabled track selection
 * Fix playback of incomplete RAR files (downloading)

Audio Output:
 * Improve iOS session management and resume-from-pause
 * Improve macOS audio performance
 * Support 44.1kHz DTS passthrough
 * Fix crashes on DirectSound output

Video Output:
 * Fix some crash in Direct3D11/Direct3D9 because of sensors
 * Fix some broken DVD subtitles rendering (OpenGL, notably)
 * Fix crashes on old mac machines, after some time
 * Fix memleaks on the EGL output (Android notably)
 * Fix misc display in Direct3D11 due to broken drivers
 * Fix potential green screen on Windows XP

Text renderer:
 * Fix rendering of arabic fonts fallback on macOS
 * Fix head buffer overflow on macOS with some fonts
 * Fix rendering of fonts with specific fonts
 * Fix some RTL rendering

Misc:
 * Fix live555, macOS-UI, screen capture crashes
 * Change the extension registration names on Windows
 * Fix VLM 'now' date
 * Fixes on the HTTPD server
 * Fix on the NTservice registration
 * Fix --stop-time option
 * Fix ChromeCast compatibility with web interface
 * Fix subtitles alignment
 * Fix infinite recursion on directory playback
 * Fix detection SAT>IP servers

Qt:
 * Fix tooltip display when using Wayland

macOS:
 * macOS 10.7.5 is required now, VLC will no longer launch on earlier releases
 * Fix delay and fps setting in subtitle dialog
 * Modernized and improved support for media keys
 * Fix issues with drag and drop of playlist items
 * Fix support for audio capturing with qtsound module
 * Fix layout issues in the Convert and Save panel

Translations:
 * Update of most translations


Changes between 3.0.2 and 3.0.3:
--------------------------------

Core:
 * Update subtitles display while paused

Access:
 * Enable srt support on binary builds

Decoders:
 * Allow videotoolbox hardware decoding to be disabled
 * Disable VideoToolbox for 10bits H.264
 * Fix VideoToolbox with some invalid HEVC streams
 * Fix subsdec wide character support
 * Fix 1st order Ambisonics in AAC

Demux:
 * Miscellaneous ogg improvements & bugfixes, including oggds
 * Fix forced tracks selection
 * Fix Topfield files
 * Probe AAC/ADTS inside TS
 * Fix tracks detection issues with DolbyVision and Bluray streams

macOS:
 * Fix "Open Network Stream" URL box focus
 * Add option to disable hardware acceleration for video decoding
 * Remove option to force dolby mode from simple preferences

Video Output:
 * Fix crashes on Direct3D11

Qt:
 * Fix tooltip display on some desktop environments
 * Fix spurious movement of the main Window
 * Fix playlist being displayed in fullscreen

Misc:
 * Fix amem output
 * Fix numerous issues on fonts fallback and font shaping
 * Fix subtitles toggle through hotkeys
 * Fix audioscrobbling
 * Fix buffer over-read in avcodec audio encoding with non-default layouts
 * Numerous 3rd party libraries updated, fixing security issues

Translations:
 * Update of most languages


Changes between 3.0.1 and 3.0.2:
--------------------------------

Core:
 * Fix snapshotting with subtitles when using hardware acceleration
 * Fix green/missing line/column when the picture dimensions are odd

Decoders:
 * Important improvements in hardware decoding for macOS, notably faster,
   supporting more samples and removing crashes/deadlocks
 * Improve compatibility for DxVA2 and D3D11 decoding, fix crashes when seeking
   and fix blacklisting of broken drivers
 * Fix SSA subtitles forced alignment
 * Fix E-AC-3 stuttering
 * Fix MIDI playback on macOS
 * Add playback support for ProRes 4444 XQ

Demux:
 * Fix wrong colors in some AVI files
 * Fix IFO files playback to start DVDs
 * Fix a crash with missing/invalid MPEG SDT
 * Update VP8/9/10 ISOBMFF bindings and improve HDR for those cases
 * Fix TTML inside MP4
 * Improve MP4 read of color information
 * Fix flac seeking and improve flac parsing
 * Improve mkv opening & seeking speed
 * Fix display of chapters with no name defined
 * Miscellaneous MKV crash fixes
 * Fix crash with multi-region DVDs
 * Fix audio being muted on DVD chapter change
 * Fix audio being muted when seeking in a BluRay disc

Access:
 * Avoid a crash/assert in FTP after seeking

Audio output:
 * Fix mmdevice default audio device handling
 * Fix "reset audio volume" being forcefully deactivated
 * Allow a default device to be used by VLC
 * Only warn once about misconfiguration for AUhal devices on macOS
 * Improve resampling and latency computation for CoreAudio
 * Passthrough is now disabled by default

Audio filters:
 * Fix audio stutter after unpausing with headphones
 * Fix silence when dolby-surround was mis-selected in preferences

Video output:
 * Fix OpenGL crashes or bad display with semi-planar chromas
 * Fix OpenGL interop (zero-copy) disabled for tvOS
 * Major rewrite of the iOS video output to fix numerous crashes
 * Important improvements of the D3D11 video output to use less memory
   and less GPU for HDR tone-mapping
 * Fix crop on vertical videos with Direct3D11
 * Fix Direct3D9 filters settings not being applied properly
 * Fix transform filters with hardware decoding
 * Fix snapshot and filters with HEVC hardware decoding
 * Fix a buffer overrun during GPU/CPU image copy
 * Fix glitches on DVD menus with Direct3D11
 * Fix non-HDR content playback on HDR screens with Direct3D11
 * Fix YUV full range displayed incorrectly in Direct3D11
 * Fix miscellaneous crashes in Direct3D11
 * Fix potential black screen with 10bits videos on Direct3D11

macOS:
 * Fix Growl notifications on recent macOS versions
 * Fix conversion output file name encoding
 * Fix crash reporting on macOS 10.7 and 10.8
 * Fix crash on exit
 * Fix remember playback position
 * Fix Blu-ray disc Java menu
 * Fix swiping on time slider to change position
 * Fix problems with restoring user name from keychain
 * Fix localization issues

Qt:
 * Fix last folder used in open dialogs
 * Allow to customize the seek jump when using the mousewheel
 * Fix fullscreen controller positionment on multiscreen setups
 * Fix pasted URLs not being trimmed
 * Fix jump size not being configurable
 * Fix missing time labels updates
 * Fix playback speed slider not accepting 1.0x value
 * Fix raw input dump
 * Fix window size after a fullscreen playback

Misc:
 * Fix lua rc & oldrc interfaces host specification
 * Fix crashes when searching for renderers
 * Relocate localedir for Linux (improves snap i18n support)
 * Fix VDPAU GLX usage on Linux
 * Improve support for NetBSD
 * Fix MSI script for Windows
 * Fix libvlc_media_list not going to next media
 * Fix character encoding on win32 consoles
 * Miscellaneous chromecast improvements
 * Fix missing OSD navigation feedback
 * Various VLSub improvements
 * lua: Fix scripts not being loaded on some filesystems
 * lua: Add vlc.io APIs to handle UTF-8 paths


Changes between 3.0.0 and 3.0.1:
--------------------------------

Core:
 * Fix use-after-free when cleaning playlists
 * Fix crash on exit on Windows

Video output:
 * Fix HLG tone mapping on some systems like macOS.
 * Fix screensaver inhibition on Windows XP
 * Fix various Direct3D11 crashes
 * Fix HDR tone mapping in Direct3d11
 * Fix pink screen on Windows

Decoder:
 * Fix potential stack buffer overflow with faad
 * Enable Cineform HD in avcodec

Hardware Decoder:
 * macOS: Improve HEVC 10bit performance with Videotoolbox
 * android: Add MPEG2 support via MediaCodec
 * Fix HEVC decoding with some files on Android/macOS/iOS
 * Improve Direct3D11 memory usage

Demux:
 * Improve MKV seeking speed
 * Fix xspf base URL handling
 * Fix reading mp4 trun with moof based offsets
 * Fix adaptive http redirections
 * Replace old API, fixing adaptive TLS leak
 * Use mime type as fallback for HLS segment type
 * Fix subtitle (srt,ssa..) seek when having a single entry
 * Flag non default HDMV subset video streams
 * Increase TS probing amount for 4K streams
 * Miscellaneous MKV, MP4 & AVI crash fixes

Packetizer:
 * Fix out of bounds read in mpeg4video

Stream Output:
 * Improve chromecast loading speed
 * Improve local/chromecast transition during playback
 * Fix chromecast loading with some versions of Windows
 * Fix chromecast loading with some chromecast devices (TVs and Android boxes)
 * Fix wrong first cover art when casting
 * Fix casting to VP9

macOS Interface:
 * Re-add option to disable the fullscreen controller panel
 * Auto-layout improvements
 * Remove misleading playback warning indicator
 * Fix crash with the interface for lua extensions (like VLSub)
 * Fix show sidebar setting being ignored on restart
 * Fix MKV files association
 * Fix chromecast audio detection

Qt Interface:
 * Improve scaling on HiDPI displays

Snap:
 * Improve interface look and feel.


Changes between 2.2.8 and 3.0.0:
--------------------------------

Platform support changes:
 * 3.0.x will be maintained as a LTS (best-effort basis, mostly for security)
   that will be the last working version for quite a few systems.

   Indeed the 3.0.x branch will contain the last releases running on:
     - Windows XP, Vista, and the servers equivalent of those Windows versions
     - macOS 10.7, 10.8 & 10.9, iOS 7 & 8
     - Android 2.x, 3.x, 4.0.x & 4.1.x
     - Compilers before gcc 5.0 and clang 3.4, or equivalent

 * For the 3.0 branch, please note:
   * The Windows XP/2003/2003R2 support for VLC is now on a best-effort basis:
     it should work, but not without limitations.
     libVLC support for Windows XP is deprecated.
     You _really_ should upgrade to a more modern Windows version!
   * Windows Vista (all versions) without Platform Upgrade is not supported.
   * 64bit version of VLC for Windows is recommended.
   * Linux support requires now a kernel newer than 2.6.26.
   * Mac OS X 10.6 support is now removed. You need OS X 10.7.

Core:
 * Support network browsing for distant filesystems (SMB, FTP, SFTP, NFS...)
   and rewrite the parsing of the media files and inputs
 * Support keystores: fetch and store passwords securely (sic!) for common
   protocols (HTTP, SMB, SFTP, FTP, RTSP ...)
 * Autodetect external audio tracks (ac3, m4a, aac, dts...) similar to subtitles
 * Support HDMI passthrough for Audio HD codecs, like E-AC3, TrueHD or DTS-HD
 * Support for 12bits codec and extended colorspaces (HDR)
 * Support output renderers, like ChromeCast
 * VLC now assumes vlcrc config file is in UTF-8
 * Support portable version of Windows build (create a "portable/" folder)
 * Support wayland surface type
 * Allow to start the video paused on the first frame
 * Refactor preparsing input
 * EPG rework: table and single event updates, now using network time
 * Refactor and fix subtitles es selection. Demuxers can now override
   es category single only or multiple es behavior
 * Support for 360 video and audio, including viewpoint modification
 * Support for ambisonic audio and more than 8 audio channels
 * Support subtitles size live adjustments

Access:
 * Enable SMB2 / SMB3 support on mobile ports with libsmb2
 * New NFS access module using libnfs
 * New SMB access module using libdsm
 * Adaptive streaming:
   * Rewrite MPEG-DASH (Dynamic Adaptive Streaming over HTTP) support, including
     MPEG2TS and ISOBMFF profiles
   * Support HDS (Http Dynamic Streaming) from Adobe (f4m, f4v, etc.)
   * Large rework of the Smooth Streaming module
   * Replaced httplive stream filter with new HLS demuxer, replaced smooth
     stream filter with new Smooth demuxer, both using unified adaptive module
   * Support HLSv4-7, including MP4 and raw muxing and ID3 tags
 * Support decompression and extraction through libarchive (tar, zip, rar...)
 * New HTTP/TLS access module for HTTP 2.0 support
 * Improvements of cookie handling (share cookies between playlist items,
   domain / path matching, Secure cookies)
 * Support DVB-T2 on Windows BDA
 * Support depayloading Opus from RTP
 * New UPnP access module, to list directories without infinite recursions
 * SMB/FTP/SFTP accesses can list directories
 * Support sftp username and passwords options in URL, and key authentication
 * New WASAPI audio capture module on Windows
 * New "concat" access module for concatenating byte streams
 * Named pipes and device nodes are no longer included in directory listings
   by default. Use --list-special-files to include them back.
 * Support for timeout in UDP input --udp-timeout=<seconds>
 * New SAT>IP access module, to receive DVB-S via IP networks
 * Improvements on DVB scanning
 * BluRay module can open ISO over network and has full BD-J support
 * Support for DVD ISO over network
 * New SRT access module using libsrt

Hardware Decoder:
 * Support HEVC hardware decoding on Windows, using DxVA2 and D3D11
 * Support hardware decoding using Direct3D11, including GPU-zerocopy mode,
   and hardware filtering, for deinterlace and adjust
 * DxVA2 GPU-zerocopy for hardware decoding and displaying on Windows,
   and support for hardware filtering, for deinterlace and adjust
 * Support HEVC hardware decoding using OMX and MediaCodec (Android)
 * Use MediaCodec via NDK native API after Android Lollipop
 * Support MPEG-2, VC1/WMV3 on Android using MediaCodec
 * OMX GPU-zerocopy support for decoding and display on Android using OpenMax IL
 * Support 4:4:4 and 4:2:2 chroma samplings with VDPAU hw acceleration
 * Important VAAPI improvements for 10bits, HEVC, direct-rendering support
 * Support VP9 and WMV3 decoding using OMX and performance improvements
 * Important improvements for the MMAL decoder and output for rPI and rPI2
 * New hardware accelerated decoder for OS X and and iOS based on Video Toolbox
   supporting H.263, H.264/MPEG-4 AVC, H.265/HEVC, MPEG-4 Part 2, and DV

Decoders:
 * Support for experimental AV1 video
 * Support for ARIB STD-B24 subtitles
 * Support for experimental Daala video
 * New MPEG-1 & 2 audio layer I, II, III + MPEG 2.5 decoder based on libmpg123
 * New BPG decoder based on libbpg
 * Fix uncompressed DVD-Audio (AOB) LPCM decoding
 * Rewrite WPL playlists and add ZPL playlists support (Zune)
 * Support TDSC, Canopus HQX, Cineform, SpeedHQ, Pixlet, QDMC and FMVC codecs
 * TTML subtitles support, including EBU-TT-D variant
 * Rewrite of webVTT subtitles support, including CSS style support
 * Support 9-bit and 10-bit GBR planar formats
 * Support for the OggSpots video codec
 * HEVC packetization is mostly fixed
 * H264 packetizer can now generate timestamps
 * Packetizers have support for captions in SEI
 * DTS packetizer handle DTS extensions (like DTS-HD): decoders like avcodec
   can now decode up to 8 channels
 * JPEG images correctly oriented using embedded orientation tag, if present
 * Support VPX high bit depth support
 * Extend MicroDVD support with color, fontname, size, position extensions
 * BluRay text subtitles (HDMV) are now decoded
 * Improve Closed Captions detection, notably inside the video streams
 * CEA-708 decoder
 * New MIDI decoder for macOS and iOS using the AudioToolbox framework, works
   without a soundfont or with SoundFont2 and DLS soundfonts

Demuxers:
 * Important rework of the MP4 demuxer, including:
    * Support for fragmented MP4
    * Support EIA-608/708 subtitles in MP4/mov
    * Support WMV and WMAV in MP4/mov, aka Flip4Mac files
    * Support bitmap audio channel reordering in MP4/mov
    * Support for RTP Reception Hint Track with H.264, GSM and Speex payloads
    * Support for XiphQT(MP4) vorbis and Flac
    * Support for VP8/VP9/VP10/AV1 in MP4
    * Support GoPro HiLight chapters
    * Support for TTML and WebVTT in ISOBMFF/MP4 and DASH
    * Add new metadata fields
 * Important rework of the TS demuxer, including:
    * Support Opus in MPEG Transport Stream
    * Fix program selection with recorded TS (TopField, DreamBox and others)
    * Fix TS playback with PAT/PMT less recordings
    * Basic support for MPEG4-SL in TS and T-DMB
    * Support SCTE-18 / EAS inside TS
    * Support for new descriptors and ETT tables
    * Support for ARIB channel logos, as attachements, ARIB TR-B21/TR-B14-1
    * Improve broken-PCR probing and fixing
    * Improvements for scrambled state detection
 * Support HD-DVD .evo (H.264, VC-1, MPEG-2, PCM, AC-3, E-AC3, MLP, DTS)
 * Important rework of the PS demuxer, including:
    * HEVC support
    * Fix large number of samples, notably with PSM-less H264
    * Partial support of PSMF
    * Fix broken SCR samples
    * Fix CDXA mpeg-1 support
 * Improvements on MKV:
    * Rewrite MKV seeking
    * Support FFv1 inside MKV
    * Improve ADTS and LATM inside MKV
    * Improve DVD-menus support
 * Support for lame's replaygain extension in mpeg files
 * Support Daala in Ogg
 * Improve Chained-Ogg support
 * Fixes for DTS detection in WAV and MKV files
 * Support for Creative ADPCM/alaw/ulaw/S16L in VOC files
 * Support for Creative ADPCM in AVI
 * Support WMV extended content metadata
 * Directory Demux can now sort items, ignore extensions and hidden files
 * Support AlbumArtist and DiscNumber metadata
 * Support raw H265/HEVC files
 * Support multi-channel WAV without channel-maps
 * Support SBV subtitles
 * Support for Scenarist Closed Caption
 * Fix Quicktime Mp4 inside MKV and unpacketized VC1
 * Support for isofLaC
 * Improve fLaC seeking
 * Replace --demux dvb-open option with --stream-filter dvb to parse
   channels.conf digital TV channel list files

Stream filter:
 * Add an ADF stream filter
 * Add a ARIB STD-B25 TS streams decoder
 * Add a stream prebuffering plugin
 * Rewrite libarchive module as a stream_extractor
 * Remove HTTP Live streaming stream filter
 * Add a zlib (a.k.a. deflate) decompression filter
 * Add a skiptags module to help demuxers skip ID3/APE tags

Demux filter:
 * Add a demuxer filter chain to filter or intercept control commands and demuxing
 * Add a demuxer filter to block seeking (--demux-filter noseek)

Audio output:
 * Complete rewrite of the AudioTrack Android module, it is now the default
   module for Android. It now supports HDMI/SPDIF passthrough for AC3/DTS/EAC3,
   5.1/7.1 channels and float output, depending on the Android version.
 * Add Tizen audio module
 * HDMI/SPDIF pass-through support for WASAPI (AC3/DTS/DTSHD/EAC3/TRUEHD)
 * Support EAC3 and TRUEHD pass-through for PulseAudio
 * Important rework of the AudioUnit modules to share more code between iOS and macOS
 * Support Ambisonics audio with viewpoint changes

Audio filters:
 * Add SoX Resampler library audio filter module (converter and resampler)
 * a52tospdif and dtstospdif audio converters are merged into tospdif,
   this new converter can convert AC3, DTS, EAC3 and TRUEHD to a IEC61937 frame
 * Add a Spatialaudio module with 2 submodules:
    * an Ambisonics audio renderer, supporting up to 3rd order
    * an Binauralizer audio filter, working with Ambisonics or 5.1/7.1 streams
 * Add Headphones option in Stereo Mode: use the spatialaudio module for
   headphones effects
 * Add a pitch shifting module

Video output:
 * Linux/BSD default video output is now OpenGL, instead of Xvideo
 * OpenGL:
    * New OpenGL provider for Windows
    * Drop OpenGL 1.x and OpenGL ES 1 support
    * Direct rendering with OpenGL (starting OpenGL 4.4)
    * Hardware direct displaying with VA-API interop
    * Hardware direct displaying with VDPAU interop
    * Hardware direct displaying with DxVA2/D3D9Ex interop
    * Hardware direct displaying with VideoToolbox interop (iOS and macOS)
    * HDR tonemapping support through libplacebo
 * Wayland shell surface window provider
 * Wayland shared memory video output
 * Large rework of the Android video outputs: there is now Surface (2.1, 2.2)
   NativeWindow (2.3+, supports hw rotation, subpicture blending, opaque)
 * Support rotation in Android NativeWindow output and hardware decoders
 * Rename the Direct3D output module to Direct3D9
 * Add a Direct3D11 video output supporting both Windows desktop and WinRT modes,
   supporting subpicture blending and hardware acceleration
 * Support HDR10 in Direct3D11 with Windows 10 Fall Creator Update
 * EFL Evas video output with Tizen TBM Surface support

Video filter:
 * Hardware deinterlacing on the rPI, using MMAL
 * New video filter to convert between fps rates
 * Add 9-bit and 10-bit support to image adjust filter
 * New edge detection filter uses the Sobel operator to detect edges
 * Hardware accelerated deinterlacing/adjust/sharpen/chroma with VA-API
 * Hardware accelerated adjust/invert/posterize/sepia/sharpen with CoreImage
 * Hardware accelerated deinterlacing/adjust/chroma with D3D9 and D3D11

Text renderer:
 * CTL support through Harfbuzz in the Freetype module
 * New font fallback algorithm on most platforms
 * More conforming EIA608 captions layout and aspect ratio
 * More styles support for TTML, WebVTT and 708

Stream Output:
 * Chromecast output module
 * RGB24 and YCbCr 4:2:0 RTP packetization

Encoder:
 * Support for Daala video in 4:2:0 and 4:4:4
 * VP8 and VP9 encoder using libvpx

Muxers:
 * Add fragmented/streamable MP4 muxer
 * Add support for muxing VC1 and WMAPro in MP4
 * Opus in MPEG Transport Stream
 * Daala in Ogg

Service Discovery:
 * New NetBios service discovery using libdsm
 * New mDNS services discovery using libmicrodns
 * New mDNS services discovery using Bonjour (Mac OS X, tvOS, iOS)
 * Rewrite of the UPnP service discovery

Mac OS X Interface
 * Drop support for Mac OS X 10.6 Snow Leopard
 * Support right-to-left user interface layout for right-to-left languages
 * New resizable fullscreen controller with improved design
 * Add status bar icon which displays metadata and play controls
 * Add support for keyboard blacklight dimming during fullscreen video playback
 * Improve and simplify preferences window
 * Huge performance improvements in playlist handling and other areas
 * New AppleScript API giving access to audio desynchronization
 * Expand AppleScript API for menu detection and navigation
 * Support for building with disabled sparkle update mechanism
 * Remove deprecated transcoding wizard, use convert and save dialog instead

iOS:
 * Drop support for iOS 6.x

Qt interface:
 * Batch convert support
 * It is now possible to specify 'stop-time' in Convert/Save dialog

Skins2:
 * Support key accelerators

libVLC:
 * Add libvlc_media_new_callbacks for custom input byte streams
 * Add libvlc_audio_output_device_enum to enumerate devices of current aout
 * Split of libvlc_media_discoverer_new_from_name into libvlc_media_discoverer_new,
   libvlc_media_discoverer_start and libvlc_media_discoverer_stop
   This allows to attach media events between create and start
 * Add libvlc_media_get_codec_description to get a human readable description of a codec
 * Add libvlc_MediaListEndReached Event to get notified when a media list reached the end
 * Add libvlc_media_list_player_get_media_player to get the media player instance of a list player
 * Add libvlc_media_parse_with_options that uses a flag to specify parse options
 * Add libvlc_audio_output_device_get to get the currently selected audio output device
   identifier (if there is one available)
 * Add libvlc_media_get_type to get the type of the media
 * Add libvlc_media_player_get_full_title_descriptions to get full title info of the media
   and +libvlc_title_descriptions_release to match it
 * Add libvlc_media_player_get_full_chapter_descriptions to get full chapter info of the media
   and libvlc_chapter_descriptions_release to match it
 * Deprecate libvlc_video_get_title_description, libvlc_video_get_chapter_description,
   libvlc_media_player_get_agl, libvlc_media_player_set_agl
 * Add libvlc_media_player_set_android_context to integrate in an Android surface
 * Add a new libvlc dialog API to forward dialogs requests to the applications:
   libvlc_dialog_set_context, libvlc_dialog_get_context, libvlc_dialog_set_callbacks,
   libvlc_dialog_dismiss, libvlc_dialog_post_action, libvlc_dialog_post_login
 * Add libvlc_media_discoverer_list_get|release to list the media discoverers
 * Add libvlc_media_slaves_add, libvlc_media_slaves_clear
   libvlc_media_slaves_get, libvlc_media_slaves_release to add and get slaves
   from a libvlc_media
 * Add libvlc_media_player_(get|set)_role to set the media role
 * Add libvlc_media_player_add_slave to replace libvlc_video_set_subtitle_file,
   working with MRL and supporting also audio slaves
 * Add vlc_epg_event_(New|Delete|Duplicate), vlc_epg_AddEvent, vlc_epg_Duplicate
   and removes vlc_epg_Merge

Logging
 * Support for the SystemD Journal
 * Use --syslog and --syslog-debug command line options to include debug
   messages in syslog. With --syslog, errors and warnings will be sent only.
 * New Android module for logging

Misc
 * remove langfromtelx
 * remove ZPL playlist format
 * Update libVLC doxygen modules
 * Add a text-to-speech renderer for subtitles on OS X/iOS
 * Add a text-to-speech renderer for subtitles on Windows
 * Add Gnome libsecret-based crypto keystore
 * Add KDE Kwallet-based crypto keystore
 * Add a memory keystore
 * Add a file keystore that can use a submodule to crypt secrets
 * Add Keychain based crypto keystore for iOS, Mac OS X and tvOS

Removed modules
 * Atmo video filter
 * QTCapture access module (use AVCapture instead)
 * httplive (use adaptive instead)
 * smooth (use adaptive instead)
 * Gnome-VFS access module (i.e. Gnome 2.x)
 * QuartzText text renderer module (use Freetype instead)
 * Win32 GDI text renderer module (use Freetype instead)
 * Growl notification (replaced by osx_notifications)
 * VCDX "extended" Video CD access module (use the normal VCD module)
 * Mac OS X Dialog Provider (use VLCKit instead)
 * iOS Dialog Provider (use MobileVLCKit / TVVLCKit instead)
 * QuickTime decoder module (use native codecs)
 * BD access module (use libbluray)
 * Direct2D module (use Direct3D11)
 * EyeTV access module
 * Rar access and stream filter: use libarchive
 * VDA decoder: use VT
 * Audioqueue: use audiounit
 * SDL video output module
 * DirectFB video output module
 * RAOP stream output module


Changes between 2.2.7 and 2.2.8:
--------------------------------

Demuxers:
 * Fix AVI invalid pointer dereferences

Translations updates


Changes between 2.2.6 and 2.2.7:
--------------------------------

Decoders:
 * Fix flac heap write overflow on format change
 * Fix crash in libavcodec module (heap write out-of band) (CVE-2017-10699)
 * Fix infinite loop in sami subtitle
 * Fix AAC 7.1 channels detection

Demuxers:
 * Fix potential crash in ASX parser
 * Fix AVI read/write overflow

Mac OS X:
 * Fix compatibility with macOS High Sierra
 * Fix regression in ASS subtitle decoding
 * Fix crash during automatic update. Some users might need to manually
   update to the newest version.

Video Output:
 * Fix Direct3D9 output with odd offsets

Misc:
 * Fix crash in MTP
 * Support libupnp 1.8

Translations updates


Changes between 2.2.5.1 and 2.2.6:
----------------------------------

Video output:
 * Fix systematic green line on nvidia
 * Fix direct3d SPU texture offsets handling

Demuxer:
 * Fix heap buffer overflows (CVE-2017-8310, 8311, 8312, 8313)

Changes between 2.2.5 and 2.2.5.1:
----------------------------------

Security hardening for DLL hijacking environments

Translations updates

Misc:
 * Update for Soundcloud, liveleak and Youtube scripts
 * Fix potential out-of-band dereference in flac decoder (CVE-2017-9300)
 * Fix potential out-of-band reads in mpeg packetizers (CVE-2017-9301)
 * Fix infinite loop in subtitles demuxer
 * Fix incorrect memory free in ogg demuxer
 * Fix potential out-of-band reads in subtitle decoders and demuxers
 * Fix green line on Windows with odd sizes


Changes between 2.2.4 and 2.2.5:
--------------------------------

Decoder:
 * Fix mp3 playback quality regression in libmad
 * Fix video scaling in VDPAU
 * Fix playback of palettized codecs
 * Fix ADPCM heap corruption (FG-VD-16-067)
 * Fix AES3 16bps decoding
 * Fix DVD/LPCM heap corruption (FG-VD-16-090)
 * Fix SCTE-27 colors

Demuxer:
 * Fix possible ASF integer overflow
 * Fix MP4, VOC, XA, SMF divide-by-zero errors
 * Fix MP4 heap buffer overflows
 * Fix Flac metadata integer overflow
 * Fix NSVf and AIFF infinite loops
 * Fix flac null-pointer dereference
 * Fix vorbis and opus comments integer overflows and leaks

Video output:
 * Fix green line on Windows with AMD drivers
 * Fix screenshots size

Access:
 * Fix crash in screen recording on Windows
 * Fix FTP scan string injection
 * Fix HTTP size handling

Mux:
 * Fix mp4 drift

Lua:
 * Fix vimeo, youtube, dailymotion, cli, appletrailers, http,
   soundcloud scripts

Audio filter:
 * Fix heap write in stereo_widen audio filter

Windows:
 * The plugins loading will not load external DLLs by default.
   Plugins will need to LoadLibrary explicitely.
 * Fix uninstaller path handling
 * Fix taskbar buttons behavior

MacOS:
 * Fix scrolling sensitivity on Sierra
 * Resume points are deleted now if the user clears the list of
   recent items


Changes between 2.2.3 and 2.2.4:
--------------------------------

Decoder:
 * Fix crash in G.711 wav files
 * Fix mp3 crash in libmad
 * Fix out-of-bound write in adpcm QT IMA codec (CVE-2016-5108)

Qt:
 * Fix resizing issues

Win32:
 * Fix overlay creation on Windows XP for DirectDraw video output

Misc:
 * Build fixes for Hurd

Translations:
 * Update of Bulgarian, Catalan, German, French, Italian, Marathi, Norwegian
   Bokmål, Norwegian Nynorsk, Portuguese, Slovak, Spanish (Mexico), Swedish,
   Simplified Chinese, and Traditional Chinese translations


Changes between 2.2.2 and 2.2.3:
--------------------------------

Demux:
 * Fix HLS quality selection and a potential stack overflow
 * Fix potential MKV infinite loop and improve MKV tags support
 * Fix WMV regression

Decoder:
 * Fix hardware decoding with libvdpau-va-gl
 * Fix crashes with libvpx
 * Use libass without caching dialog

Video Output:
 * Fix green lines on Direct3D output

Skins2:
 * Fix maximizing Window in multi-screen context

Qt:
 * Fix resume where you left off
 * Fix infinite recursion in the customize dialog
 * Fix size when switching to/from the minimal interface
 * Fix size after resume toolbar is displayed

MacOS X:
 * Fix crashes in media information panel
 * Correctly respect the disable-screensaver option

Win32:
 * Allow opening more than 15 elements in Explorer

Translations:
 * Update of most translations


Changes between 2.2.1 and 2.2.2:
--------------------------------

Access:
 * Fix SetupFormat for continuous framesize in v4l2
 * Fix off-by-one buffer overflow in RealRtsp module
 * Fix screen recording aspect-ratio, framerate and potential crash
 * Fix Windows directshow input freeze
 * Fix MMS segmentation fault/abort when server forces a large allocation

Demux:
 * Fix support for ms-dvr files
 * Fix time detection in AVI files over HTTP
 * HLS: fix hang on stop, crashes and small improvements
 * Fix mp4 NULL dereference reported by by Fortinet's FortiGuard Labs
 * Fix regression for VC-1 in WMV
 * Fix MXF crashes on stop
 * Fix EAC3 detection in some TS files

Decoders:
 * Fix importing surface from main memory in VDPAU
 * Fix possible double-free in ADPCM decoder
 * Support 9-bit and 10-bit GBR planar formats
 * Support GoToMeeting 2 and GoToMeeting 3 codecs
 * Fix crash in teletext (zvbi) decoder
 * Fix Bluray subtitles (PGS) timestamps

Audio output:
 * Fix audio drop after a flush with pulseaudio
 * Fix audio initialization on iOS
 * Fix audio stuttering with AirPlay devices on OS X (2 sec delay needs to
   be set manually by the user)
 * Fix pulseaudio latency computation
 * Fix alsa default device selection

Skins2:
 * Fix video control that fails to show up
 * Fix UTF-8 conversion issues
 * Fix Unicode folders location failing to open the skins
 * Fix crash over malformed skins bitmaps
 * Fix fullscreen for Gnome3/Unity Window Managers

OS X:
 * Support for OS X El Capitan
 * Fix code signature for releases on El Capitan
 * Improve resume dialog, starting time, preferences, lua extensions
 * Fix threads ordering, preferences crashes, URL drag'n drops

Qt:
 * Fix crash when opening multiple items on Windows
 * Fix recent items appending when using a playlist
 * Improve addons manager dialog, playlist
 * Fix changing the audio-device in the menu
 * Fix key and mouse event support for Qt >= 5.5 under X11
 * Fix memory leaks

Video Output:
 * Fix build if one disables XCB but activate VDPAU on Unix
 * Fix Direct3D plane allocation size to avoid colour bleeding
 * Fix some crashes in swscale resizing

Misc:
 * Fix build with recent FreeRDP versions
 * Fix interface crashes when input-title-format option is empty
 * Fix MP4 mux divide-by-zero crash
 * Improve PNG encoding time
 * Fix some UPnP initialization lag
 * Rewrite of the Jamendo Service Discovery
 * Fix snapshot aspect ratio for anamorphic contents
 * Fix custom snapshot sizes
 * Dynamic generation of GnuTLS Diffie-Hellman parameters
 * Fix "vb" transcoding parameter
 * Fix superfluous audio channel extraction in the core
 * Fix miscellaneous crashes, double-frees, integer overflows, infinite loops,
   read overflow, invalid frees and division by zero issues
 * Fix support for lua 5.2 and fix XSS in the http interface
 * Update and improve Soundcloud, Vimeo and Youtube scripts
 * Update of codecs and libraries to fix 3rd party security issues (like
   TALOS-CAN-0036, TALOS-CAN-0037, CVE-2015-7981, CVE-2015-8126

Translations:
 * Add Kashmiri and Maithili languages
 * Update of most translations

libVLC:
 * Expose audio mute, cork and volume change events: libvlc_MediaPlayerCorked,
   libvlc_MediaPlayerUncorked, libvlc_MediaPlayerMuted,
   libvlc_MediaPlayerUnmuted and libvlc_MediaPlayerAudioVolume
 * Fix propagation of libvlc_MediaPlayerTitleChanged event

Translations:
 * Update of most translations


Changes between 2.2.0 and 2.2.1:
--------------------------------

Codec:
 * Fix compilation with older libavcodec versions
 * Fix some VP9 decoding
 * Fix flac crashes
 * Fix lpcm channel ordering
 * Fix potential NULL dereference in dmo
 * Fix teletext framing code in DVB PES packets
 * Fix potential buffer overflow in schroendinger decoder (CVE-2014-9629)
 * Fix AAC samplerate

Demuxers:
 * Fix MP4 chapters
 * Fix MKV overseeking, introducing slowness over network shares
 * Fix crash when playing SPC files
 * Fix ATRAC3 playback in MKV
 * Revert to older ASX code
 * Workaround TS issue with mpeg-audio

Access:
 * Fix sftp read and close sockets
 * Fix DTV build with Linux DVB versions < 5.8
 * Fix UDP/RTP input on Windows

Audio output:
 * Fix Alsa HDMI plugs
 * Improve Alsa output, with larger buffers
 * Fix DirectSound output with multi-channel files

OS X:
 * Fix numerous crashes in the UI
 * Fix video-wallpaper mode
 * Fix race when starting VLC from command line

Qt:
 * Fix recent items behaviour
 * Fix rotation filter activation
 * Fix mux modules names for the streaming wizard

Win32:
 * Timestamp the signature of the dlls
 * Fix extensions registration during install
 * Fix extensions dialog crash
 * Default to no DxVA decoding

libVLC:
 * fix libvlc_media_get_stats

Translations:
 * Update of Afrikaans, Albanian, Azerbaijani, Catalan, Czech, Danish, Dutch,
   English (United Kingdom), Finnish, French, German, Hebrew, Hindi, Italian,
   Japanese, Korean, Latvian, Macedonian, Malay, Modern Greek, Norwegian Bokmål,
   Norwegian Nynorsk, Polish, Portuguese, Russian, Scottish Gaelic, Serbian,
   Simplified Chinese, Slovak, Slovenian, Spanish, Swedish, Tamil, Thai,
   Traditional Chinese, Turkish, Ukrainian translations


Changes between 2.1.6 and 2.2.0:
--------------------------------

Important changes:
 * The licenses of more modules have changed from GPLv2+ to LGPLv2.1+,
   notably most of the streaming output, muxers and access output modules

Core:
 * Support automatic rotation using streams metadata, GPU-accelerated when possible
 * Add extensions manager and downloading from external repositories
 * Rework the metadata fetching algorithm and policies
 * Partial fix of playback of short audio samples

Access:
 * Added TLS support for ftp access and sout access
   New schemes for implicit (ftps) and explicit (ftpes) modes
 * MMS audio selection on split audio streams
 * Blu-Ray: support overlays, preferred menu languages, region selection
   and BD-J navigation
 * Digital Cinema Package support, including encrypted DCP with KDM
 * Partial fixes for Arccos protected DVDs
 * Fix CDDB lookups, including pregap data

Decoder:
 * Support VDPAU acceleration for GPU-zerocopy decoding
 * Support MediaCodec acceleration for GPU-zerocopy decoding
 * Add Media Foundation Transform audio and video decoder
 * Add video decoder module based on GStreamer plugins
 * Add MMAL decoder for Broadcom VideoCore chips (like the RaspberryPi)
   supporting MPEG-2 and H.264, supporting GPU-zerocopy display
 * Partial support for Voxware MetaSound
 * libvpx decoder for VP8 and VP9
 * Support MSN Audio, Atrac3+, VP7, Bink, TAK, On2 AVC, DK3, DK4, IMC, Vivo g723.1,
   Smacker, FIC, Auravision, Canopus Lossless, and numerous videogame codecs
 * Teletext subtitles display improvements
 * Mediacodec speed improvements on x86
 * Support setting the post processing level in Theora
 * OpenMax IL improvements, notably for RaspberryPi
 * Fix channel ordering of LPCM codec in m2ts files
 * New jpeg image decoder
 * Add tx3g subtitles decoder
 * New SVG image decoder
 * Fix Speex decoding over RTP and in flv
 * Support more x264 and FFv1 RGB modes
 * Improvements on ZVBI teletext decoder, notably for speed and alignments

Encoder:
 * Support for MPEG-2 encoding using x262
 * Support for HEVC/H.265 encoding using x265
 * Support for Opus encoding using libopus
 * New jpeg image encoder using libjpeg
 * New png image encoder using libpng

Demuxer:
 * Support for Core Audio Format (CAF) files
 * Important rework of the Ogg demuxer, notably improving seeking,
   streaming resilience, speex demuxing and chained Ogg
 * Important rework of the ASF/WMV demuxer, notably for seeking,
   synchronization and tracks exclusion
 * AVI improvements for better seek-indexing in non-fastseekable situations
 * AVI fixes for uncompressed, indexed and paletized bitmaps
 * MP4 fixes for fragmented files, vobsub, duration, aspect-ratio
   and support for rotation, covr atom and tracks exclusion
 * Support Opus in MKV
 * Support VP8 in OGG
 * Basic support for WebVTT
 * Handle support for ISO/IEC 14496-3 (AAC) Audio stream type in TS
 * Support HDPR TS files
 * Support microseconds in SubRip subtitles
 * FLAC packets validation using CRC
 * Improvements in metadata support in Ogg/Opus/Vorbis files
 * Fix encoding issues and relative paths in some XML playlist formats
 * Support THP Wii/Gamecube, RenderWare and Escape Replay game video files
 * New HEVC raw packetizer and demuxer
 * TS support for WiDi/Miracast LPCM
 * Handle MOV/MP4 tx3g styled subtitles through codec
 * Support SVG images files (on glib platforms)
 * Keep selection of tracks on segment changes in MKV
 * Support detection of SRT languages based on filename
 * Support for seeking Standard MIDI Files

Video Output:
 * Direct rendering and filtering for VDPAU hardware acceleration
 * New CoreAnimation OpenGL video output module for NPAPI plugins
 * New OpenGL ES 2.0 through EGL video output module for Android
 * New Android native window provider module
 * Direct rendering for MediaCodec Android hardware acceleration
 * Support for loading HLSL shaders in Direct3D video output
 * Add MMAL based video output for RaspberryPi

Video Filter:
 * New Oldmovie effect filter
 * New VHS effect filter
 * New Freeze effect filter
 * Support I422 and J422 in transform
 * NEON optimizations for deinterleaving chroma, notably NV12->I420
 * Fix audiobargraph activation and usage

Audio Output:
 * Allow setting volume while not connected with PulseAudio
 * Audio device notifications for WASAPI
 * Fix replay of sound buffer in DirectSound
 * Split of MMDevice and WinRT audio modules
 * Numerous fixes on AUHAL, including device management and stream changes
 * Fixes for SPDIF passthru in most modules

Muxers:
 * Important rework of the Ogg muxer, notably for skeleton
 * Fixes for the AVI muxer to respect the specification
 * Support VP8 in OGG
 * Add HEVC muxing in MP4 and TS

Streaming:
 * Important rework of the transcoding module to fix numerous bugs
 * WebM streaming, including live sources, compatible with all major browsers
    vlc <your-source> vlc://quit --sout  '#transcode{vcodec=VP80,vb=1000,acodec=vorb,ab=128}
    :std{access=http{mime=video/webm},mux=webm,dst=:4212}'
 * GSM, VP8, Opus and JPEG RTP packetization
 * HLS: Allow setting the first segment number and numerous improvements
 * new stats module to output block timing values and md5 sums
 * transcode module access fps values as rationals now, eg 30000/1001
 * VLC now streams all elementary streams, you can revert to previous behaviour
    with --no-sout-all
 * --ts-out option has been removed, it has been superceded by --demux demuxdump
    --demuxdump-access udp --demuxdump-file 127.0.0.1:1234
 * Support Metacube protocol when streaming over HTTP

libVLC:
 * add equalizer API libvlc_audio_equalizer_* functions
 * add libvlc_media_player_program_scrambled function

Visualizations:
 * Add a 3D OpenGL spectrum visualization.
 * Allow setting the FFT windowing style for 3D and normal spectrum

Interfaces:
 * Add support for subtitles drag 'n drop in skins2
 * Add record button in Qt menus
 * New module for core dialogs on iOS
 * New layout for Qt buttons customization
 * Support to continue media playback where it was left off for Qt and OS X

Mac OS X Interface:
 * Support for OS X Yosemite
 * Avoid grey bars in fullscreen when using Mavericks with multiple monitors
 * Improve fullscreen behavior for the native and VLCs own mode
 * Fixes for advanced preferences
 * Added 'file size' column to playlist table
 * in addition to iTunes, Spotify is automatically paused on playback start
 * Option to increase playlist font size
 * Improved crash log reporting

Misc:
 * New module for TLS on OS X and iOS
 * Windows installer will kill running instance before installing
 * Teletext navigation buttons support in Qt4 gui
 * Update and improve Koreus, Dailymotion, Soundcloud and Youtube scripts

Security:
 * Numerous integer and heap overflow in Ogg, AVI, ASF, TTA and MP4 demuxers

Removed modules:
 * iOS video output: use ios2
 * OpenMash H.261 video decoder
 * dirac encoder: use schroedinger

Translations:
 * New translation in Urdu, Tatar, Silesian, Samoan, Kapampangan, N'ko,
   Kurdish, Kabyle, Mexican Spanish, Catalan, Amharic
 * Update of all translations:
   Traditional Chinese, Simplified Chinese, Vietnamese, Uzbek, Ukrainian,
   Turkish, Thai, Swedish, Serbian, Albanian, Slovenian, Slovak, Russian,
   Romanian, Brazilian Portuguese, Polish, Punjabi, Dutch, Nepali, Norwegian
   Bokmål, Malay, Marathi, Latvian, Lithuanian, Korean, Kannada, Khmer,
   Japanese, Italian, Icelandic, Indonesian, Hebrew, Galician, Scottish
   Gaelic, French, Finnish, Persian, Estonian, Spanish, Modern Greek, German,
   Danish, Welsh, Czech, Bosnian, Bengali, Asturian


Changes between 2.1.5 and 2.1.6:
--------------------------------

Audio output:
 * Fix OSS stuttering

Security:
 * Fix heap overflow in decomp stream filter
 * Fix buffer overflow in updater (CVE-2014-9625)
 * Fix potential buffer overflow in schroedinger encoder
 * Fix null-pointer dereference in DMO decoder
 * Fix buffer overflow in parsing of string boxes in mp4 demuxer (CVE-2014-9626,9627,9628)
 * Fix SRTP integer overflow
 * Fix potential crash in zip access
 * Fix read overflow in Ogg demuxer
 * Fix RTP overflow (CVE-2014-9630)

Win32 installer:
 * Update translations and greek encoding


Changes between 2.1.4 and 2.1.5:
--------------------------------

Core:
 * Fix compilation on OS/2

Access:
 * Stability improvements for the QTSound capture module

Mac OS X audio output:
 * Fix channel ordering
 * Increase the buffersize

Decoders:
 * Fix DxVA2 decoding of samples needing more surfaces
 * Improve MAD resistance to broken mp3 streams
 * Fix PGS alignment in MKV

Qt Interface:
 * Don't rename mp3 converted files to .raw

Mac OS X Interface:
 * Correctly support video-on-top
 * Fix video output event propagation on Macs with retina displays
 * Stability improvements when using future VLC releases side by side

Streaming:
 * Fix transcode when audio format changes

Security contents:
 * Updated GnuTLS to 3.1.25 (CVE-2014-3466)
 * Updated libpng to 1.6.10 (CVE-2014-0333)

Translations:
 * Update British English


Changes between 2.1.3 and 2.1.4:
--------------------------------

Demuxers:
 * Fix issue in WMV with multiple compressed payload and empty payloads

Video Output:
 * Fix subtitles size rendering on Windows

Mac OS X:
 * Fix DVD playback regression
 * Fix misleading error message during video playback on OS X 10.9
 * Fix hardware acceleration memleaks


Changes between 2.1.2 and 2.1.3:
--------------------------------

Core:
 * Fix broken behaviour with SOCKSv5 proxies
 * Fix integer overflow on error when using vlc_readdir

Access:
 * Fix DVB-T2 tuning on Linux
 * Fix encrypted DVD playback
 * Fix v4l2 frequency conversion

Decoders:
 * Fix numerous issues (M2TS, VC1 interlaced, Lagarith, FFv1.3, Xvid)
   by updating codec libraries
 * Bring fluidsynth back on Mac OS X
 * Fix some Opus crashes with some filters
 * Fix teletext crash on Windows

Demuxers:
 * Avoid an infinite recursion in MKV tags parsing
 * Fix an issue with some Vobsub tracks
 * Fix missing samples at the end of some wav files
 * Fix divide by 0 on ASF/WMV parsing

Audio output:
 * Fix audio device selection via command line on Mac OS X
 * Fix audio crashes on Mac OS X

Video Output:
 * Fix selection of DirectDraw as the default output for XP
 * Fix transform off-by-one issue
 * Fix screensaver disabling on Windows outputs
 * Fix DirectDraw device enumeration and multi-display output
 * Fix a potential crash when playing a fullscreen game at the same time as VLC

Stream output:
 * Fix 24bits audio MTU alignment in RTP
 * Fix record file names

Qt interface:
 * Fix minimal size possible on start
 * Fix a crash with the simple volume widget
 * Fix a crash in the audio menu building
 * Fix multimedia keys issues on Windows
 * Fix opening of DVD and BD folders on Windows

HTTP interface:
 * Fix album art display on Windows

Translations:
 * Update of Bulgarian, Catalan, Czech, Danish, German, Modern Greek,
   Spanish, Basque, Finnish, French, Scottish Gaelic, Galician, Hebrew,
   Hungarian, Italian, Japanese, Korean, Malay, Norwegian Bokmål, Nepali,
   Dutch, Polish, Brazilian Portuguese, Portuguese, Romanian, Russian,
   Sinhala, Slovak, Slovenian, Swedish, Telugu, Thai, Turkish, Ukrainian
   and Simplified Chinese translations
 * Fix encoding for Windows installer translations


Changes between 2.1.1 and 2.1.2:
--------------------------------

Audio output:
 * Fix digital playback on OS X when more than one audio device is installed
 * Fix digital playback (SPDIF/HDMI) on Windows
 * Fix stuttering or silent playback when using sound enhancers or external
   audio devices on OS X
 * Improve responsiveness on OS X when playback starts or is being paused
 * Improve responsiveness, silent playback intervals and reliability on iOS

Demuxers:
 * Fix Vimeo and DailyMotion parsing
 * Various WMV playback improvements and fixes

Decoders:
 * Fix LPCM 20/24-bit decoding and 16 bits with channel padding
 * Fix playback of some HEVC samples

Video filters:
 * Fix crash on deinterlace selection

Qt interface:
 * Fix some streaming profiles when copy existed
 * Improve A-B loop control
 * Fix album art update when changing media

Mac OS X interface:
 * Add a language option in the interface
 * Option to control VLC's iTunes pausing behavior is more easy to find
 * Improved UI resetting when requested in the preferences
 * Fix issue which prevented to enable more than one video filter on Mavericks
 * Fix an issue which could prevent automatic UI language settings from working
 * Fix opening subtitles files through drag & drop or double-clicking
 * Fix crash when closing window without decorations
 * Fix issue where extra video window was resized even if this was disabled

Win32 installer:
 * Kill running VLC process on uninstall/update

Translations:
 * Update of Basque, Bosnian, Bulgarian, Croatian, Czech, Danish, Estonian,
   French, Hungarian, Icelandic, Indonesian, Italian, Kannada, Khmer,
   Lithuanian, Occitan, Persian, Polish, Romanian, Scottish Gaelic, Sinhala,
   Slovenian, Spanish, Swedish, Tamil, Thai, Uzbek, Welsh translations


Changes between 2.1.0 and 2.1.1:
--------------------------------

Core:
 * Fix random and reshuffling behaviour
 * Fix recording
 * Fix some subtitles track selection

Decoders:
 * VP9 support in WebM
 * HEVC/H.265 support in MKV, MP4 and raw files
 * Fix GPU decoding under Windows (DxVA2) crashes

Demuxers:
 * Fix crashes on wav, mlp and mkv and modplug files
 * Support Speex in ogg files
 * Fix some .mov playlists support
 * Support Alac in mkv
 * Fix WMV3 and palette in AVI
 * Fix FLAC packetizer issues in some files

Access:
 * Fix DVB options parsing
 * Fix DeckLink HDMI input
 * Fix HTTPS connectivity on OS X by loading root certificates from Keychain

Audio output:
 * Fixes for DirectSound pass-through
 * Fixes for OSS output, notably on BSD

Interfaces:
 * Fix HTTP interface infinite loop
 * Fix D-Bus volume setting

Qt:
 * Reinstore right click subtitle menu to open a subtitle
 * Fix saving the hotkeys in preferences
 * Fix saving the audio volume on Win32, using DirectSound
 * Fix play after drag'n drop
 * Fix streaming options edition and scale parameter

Stream out:
 * Fix transcoding audio drift issues
 * Fix numerous audio encoding issues

Win32 installer:
 * Important rewrite to fix numerous bugs, notably about updates
 * Simplification of the upgrade mechanism

Mac OS X interface:
 * Reintroduce the language selector known from pre-2.1 releases
 * Fix fullscreen behaviour and various crashes
 * Fix about dialog crash in Japanese
 * Fix crashes on proxy lookups
 * Fixes on the playlist and information behaviours
 * Fixes on the streaming dialogs
 * Improves interface resizings

Translations:
 * Update of Arabic, Basque, Belarusian, Czech, Danish, Dutch, French,
   Galician, Gujarati, Hindi, Hungarian, Icelandic, Italian, Japanese, Korean,
   Lithuanian, Marathi, Modern Greek, Norwegian Bokmål, Occitan, Persian,
   Polish, Portuguese, Punjabi, Romanian, Sinhala, Slovak, Slovenian, Spanish,
   Swedish, Telugu, Thai, Traditional Chinese, Turkish, Ukrainian, Uzbek
   translations


Changes between 2.0.9 and 2.1.0:
--------------------------------

Important changes:
 * The licenses of numerous modules have changed from GPLv2+ to LGPLv2.1+
 * Discontinued support for PowerPC-based Macs; VLC now requires Mac OS X 10.6+
   Moreover, the official builds will be 64bit only
 * The --with-tuning and --without-tuning options are removed; to tune
   compilation for a specific processor type, set CFLAGS manually

3rd party libraries (contrib):
 * /extras/contrib has been replaced by a cleaner build system in /contrib

Core:
 * Audio core rewrite, supporting higher samplerates, better volume management,
   better device selection, new channel layouts and new output capabilities
 * Fix support for .001, .00x split files on Windows
 * Full support for UNICODE Windows mode
 * Disable and mark obsolete --language selection
 * Port to Android
 * Port to iOS
 * Partial support for Windows Store App / WinRT
 * Add an audio fingerprinter, using AcoustID!
 * Remove SQL support

Decoders:
 * Support for CDXL, Ut Video, VBLE, Dxtory codecs via libavcodec
 * Numerous improvements on the OpenMAX IL codec module
 * Support for Ulead DV audio
 * Support for TechSmith Screen Codec 2, Microsoft Expression Encoder Screen,
   Microsoft Application Screen Decoder 1 (MSS1) and 2 (MSS2)
 * Support for Indeo Audio Coder, RealAudio Lossless
 * Add Hardware Acceleration support on OS X for H.264 based upon VDADecoder
 * Add Hardware Acceleration support on Android Jelly Bean using MediaCodec
 * Add Hardware Acceleration support on Linux using VDPAU
 * Support for SCTE-27 subtitles
 * Split G.711 decoder from Araw decoder
 * X Window system raster image dump pseudo-decoder
 * Support for Webinar GoToMeeting 4 (G2M4)

Encoders:
 * high10, high422 and high444 encoding support in h264
 * QuickSyncVideo Encoding (Intel Media SDK) support using Intel GPU on Windows
 * New AAC encoder using the fdk-aac library (non-free)

Access:
 * Screen: add support for OS X Lion and later,
           remove support for previous OS X releases
 * Major improvements in DASH support
 * Improvements in Blu-Ray module, notably for multiple video tracks support
 * Important improvements and rewrite of the v4l2 access module
 * HTTP: support for Internationalized Domain Names
 * Microsoft Smooth Streaming support (H264 and VC1) developed by Viotech.net
 * NTSC EIA-608 closed caption input support via V4L2 VBI devices
 * Add support for VNC/rfb in view only mode
 * Add support for Remote Desktop/RDP in view only mode
 * Timecode: generate a clock/timecode as a subtitle track
   vlc video.mkv --input-slave timecode:// --timecode-fps 30/1001
 * New video capture module for OS X based on AVFoundation, named AVcapture
 * New shared memory framebuffer access module, named shm

Demuxers:
 * MP4: partial support for fragmented MP4
 * Vorbis: better support for metadata and cover art
 * AVI: better support for tags and extended metadata
 * Support for FLAC, Atrac and some ADPCM in AVI
 * Support for DV data type 1 in AVI and 12 bits DV Audio
 * Support for total number of tracks in major container
 * Support for Cook and Atrac in MKV
 * AVI: support for files produced by Nikon cameras
 * Support for more MJPEG streams
 * Add support for liveleak streams
 * Add support for Wave/RF64 files
 * Prevent numerous uncaught exceptions in MKV
 * Add protection against several potential heap buffer overflow in libebml

Audio output:
 * Windows Audio Session API audio output support
 * OpenBSD sndio audio output support
 * Important improvements on the Android OpenSL ES audio output
 * Android AudioTrack audio output support
 * OS X Auhal output support for 6.1, 7.1, 8.0 and 8.1 playback and layouts
 * Rewrite of OSS module to support OSSv4
 * OS X Auhal output support for multi-buffer output devices
   This fix was facilitated through a hardware lending by TEAC Europe GmbH
   distributing such devices under the brand "TASCAM" (US-122, US-144, etc.).
 * Rewrite of the AudioQueue output for iOS (and OS X)
 * New, simplified AudioUnit output for iOS

Audio Filters:
 * New remapping channel filter
 * New filter to enhance stereo effect by mono suppression and delay effect
 * New VSXu visualization plugin
 * ARM NEON acceleration of volume filter
 * Rewrite of the simple downmixer filter
 * New gain audio filter

Video Outputs:
 * New output for Decklink Blackmagic cards
 * New output using OpenMAX IL hardware acceleration API
 * OpenGL: use glsl instead of ARB to do the YUV->RGB conversions
 * OpenGLES: add support for color conversation shaders on Android and iOS
 * Fix and enable the OpenGL ES1 and ES2 outputs
 * Support for subpictures in the OpenGL ES2 output
 * Fix the power management issue on Windows for standby management
 * New output module for iOS using OpenGL ES2
 * Fix performance issue on Macs with multiple graphics cards

Video Filters:
 * New anaglyph video filter which transforms side by side 3D video streams in
   anaglyph glasses (aka red/blue) compatible images
 * Support in deinterlacing filter for most 4:2:0, 4:2:2, 4:4:4 YUV formats
   and for bits depth higher than 8bits (like 10bits)
 * Improvements on the transform filter, to support 10bits and RGB formats
 * Revival of the openCV and openCV example filters
 * ARM NEON acceleration of chroma filters

Stream Output:
 * Extended support for recording, notably for MKV and AVI
 * Options support for AVIO output module
 * Livehttp places more accurate segments durations in playlist
 * Livehttp allows setting cachin-variable in playlist
 * Livehttp stream encryption support
 * Livehttp supports changing encryption key and uri on segment change with key-loadfile option
 * Added chromaprint based audio fingerprinting

Fingerprinters:
 * Add AcoustID/Musicbrainz based fingerprinter

Interfaces:
 * configurable password for the HTTP server
 * .hosts removed from the HTTP server
 * fix Lua command line interface console mode under Windows
 * Better support for MCE remotes on Windows
 * Hotkey support for TS program selection
 * Rewrite of D-Bus inhibit interface
 * Improvements on motion sensing interface, fix orientation, move out
   rotate mode into the rotate video filter

Services discovery:
 * UPnP A/V subtitles
 * Support for multiple UPnP resources on a single item

OS X Interface:
 * Add support for multiple video outputs
 * Add accessibility support to playback windows, open panel and fullscreen
   controller
 * Add a GUI to manage podcasts
 * Add a new panel for media conversation and streaming
 * Add a GUI for the QTSound access input to process audio captured locally
   - This also allows to capture input from a webcam and a mic at the same time
 * Add a GUI to capture QTSound data along with the current screen content
 * Add an option to let the Apple Remote control the system volume instead of
   VLC's internal volume level
 * Add a new Subtitles menu to change Subtitles and their properties during
   playback
 * Add the ability to create custom equalizer presets based upon the current
   selection and to manage the list of presets
 * Add custom profiles for video and audio effects, which let the user keep
   multiple configuration sets of all the individual filters
 * Support for pausing iTunes during media playback with VLC
 * Add support for video filters to clone the video output or split it in parts
 * Add A->B loop feature known from the Qt interface
 * Add an option to disable skipping to next/previous file with the Apple Remote
 * Add an option to show next / previous buttons
 * Add an option to hide the shuffle and repeat buttons
 * Add an option to hide the audio effects button (default enabled)
 * Add optional playlist columns for track number, genre, album, description,
   date and language
 * Add options to the Advanced Open File dialog for start and stop time
 * Add an option to play videos as a desktop background
 * Add support for playing video and showing audio visualizations side by side
 * improve fullscreen controller time slider with larger click target
 * rewrite of minimal macosx module for use within VLCKit
 * Add support for 'macosx-autoplay' to the Apple Event / Apple Script bindings
   when adding new inputs - this also affects network streams opened through
   3rd party applications
 * Add a UI to the preferences dialog to configure the default application
   handler for ftp, mms, rtmp, rtp, rtsp, sftp, smb and udp streams
   (system-wide settings)
 * Add support for the Video Title option
 * Add support for the Boss Key
 * The Streaming/Transcoding wizard and the open dialog's output panel are
   deprecated now and will be removed in a future release

Qt:
 * Partial support for Qt5.0
 * Menus modifications and improvements
 * Playlist improvements and fixes, including PictureFlow view
 * Streaming output wizard rewrite
 * Add bitrate graph in information panels
 * Filters panels improvements, notably Equalizer and Compressor
 * EPG display fixes and improvements
 * Add SD pixmap sources
 * Preferences hotkeys management fixes
 * Display playlist total duration
 * Support for a Maximum volume in the UI
 * Add audio track fingerprinting from media info
 * New profiles format and dialog to handle filters and quality
 * Numerous fixes

Skins2:
 * Port to OS/2
 * Extend sliders, offsets options
 * New bitmaps caching mechanism
 * Numerous fixes and improvements
 * Skinning of the Fullscreen controller

libVLC:
 * new libvlc_audio_output_device_list_get and libvlc_audio_output_device_list_release functions
   to replace the deprecated libvlc_audio_output_device_count, libvlc_audio_output_device_longname
   and libvlc_audio_output_device_id
 * libvlc_audio_output_get_device_type and libvlc_audio_output_set_device_type are now deprecated
 * new libvlc_media_tracks_get and libvlc_media_tracks_release methods to get more info about the
   media tracks. libvlc_media_get_tracks_info is now deprecated.
 * new fingerprinter_Create and fingerprinter_Destroy for fingerprinter support
 * new libvlc_log_set, libvlc_log_set_file, libvlc_log_unset, libvlc_log_get_context and
   libvlc_log_get_object for a better logger mechanism
 * new libvlc_set_app_id to complement libvlc_set_user_agent to set the icons

Removed modules:
 * portaudio audio output: use the native audio output instead
 * X11 On Screen Display notifications (xosd)
 * Linux Framebuffer On Screen Display interface (fbosd)
 * PVR: IVTV analog TV encoder - use V4L instead
 * RTMP access: use libavformat avio instead
 * RTMP access_output: use libavformat avio instead
 * Hildon GUI
 * MSN messenger "now playing" (broken and unmaintained since VLC 1.0.0)
 * Telepathy framework "now playing" (broken and unmaintained since VLC 1.0.0)
 * Nokia/Maemo MCE screen unblanking plugin
 * Broken crop video filter
 * Switcher module
 * OSD parser and menu
 * Xscreensaver: use xdg-screensaver
 * Removed DLL loader for non-Windows Operating Systems
 * SQL Media Library (broken and unmaintained)
 * SQL Lite (only used as SQL Media library backend)
 * htcpcp :)

Translations:
 * Update of all translations


Changes between 2.0.8 and 2.0.9:
--------------------------------

Demux:
 * Improve handling of corrupt ASF files
 * Fix buffer overflow in the mp4a packetizer

Contribs:
 * Fix modplug security issues


Changes between 2.0.7 and 2.0.8:
--------------------------------

Access:
 * Fix ISDB-S tuning
 * Fix crash in QTsound
 * Fix screen mouse file location
 * Fix invalid memcpy in MMS access

Demux:
 * Fix use after free in sgimb
 * Improve resistance and checking against malformed MKV files

Decoders:
 * Fix crash in the libavcodec module

Mac OS X:
 * Fix interface crashes
 * Fix autostart playback option
 * Respect "playlist-autostart" option

Translations:
 * update Welsh translation
 * New Kannada translation


Changes between 2.0.6 and 2.0.7:
--------------------------------

Input:
 * Fix playback termination when switching ES tracks (PowerPC only)
 * Fix memory exhaustion vulnerability when playing specifically crafted
   playlist files

Decoders:
 * Fix WMA Pro, MPEG 4 ALS, APE, MLP and ADPCM-IMA4 playback

Encoders:
 * Fix audio encoding for numerous codecs, notably mp3 and aac

Muxers:
 * Fix noticeable memory leak when creating AVI files

Video output:
 * Fix crash when using libvlc in 3rd party applications (Mac only)

Mac OS X Interface
 * Minor improvements
 * Fix issue which could lead to loss of media files created through transcoding

HTTP Interface
 * Fix two xss vulnerabilities (CVE-2013-3565)

Translations:
 * Update Basque, Simplified Chinese, Ukrainian, Turkish, Portuguese, Norwegian Bokmål,
   Burmese, Lithuanian, Italian, Hindi, Spanish, German, Czech, Danish, Welsh translations
 * New Azerbaijani, Kirgyz, Oriya translations


Changes between 2.0.5 and 2.0.6:
--------------------------------

Access:
 * Fix HTTPS playback with some certificates previously rejected

Audio Output:
 * Improve lookup of human readable device names in AUHAL plugin (OS X)

Demuxers:
 * Fix crash with broken asf files (SA-1302)
 * Fix MKV behaviour with unknown or new ebml elements
 * Fix use-after-free crash in Ogg demuxer, found by Tomi Juntunen
 * Fix regression on some paletted codecs in AVI
 * Fix ALAC in mp4 regression
 * Improvements to the vimeo playlist parser

Decoders:
 * Fix GPU decoding on Intel HD 2000/3000 cards on Windows
 * Fix FLAC 6.1 and 7.1 channel layout
 * Fix crashes in HTML srt subtitles
 * 3rd party codecs updates

Mac OS X:
 * Fix subtitle rendering resolution when using OS X's native fullscreen mode
 * Improve fullscreen controller time slider with larger click target
 * Fix listing of the lua interfaces (web, telnet and console)
   in the advanced preferences panel
 * Fix spatializer audio filter panel
 * Fix crash within the video output code
 * Fix BDMV folder selection issue on OS X Mountain Lion, which treats such
   folders as a AVCHD file as soon as they include an item named INDEX.BDM
 * Fix bug which caused a hidden fullscreen panel
 * Fix various minor UI drawing issues (main window, fullscreen controller,
   lua extensions, ...)
 * Allow VLC to be associated with .dvdmedia packages

Qt:
 * Fix clearing of Media Info panel on dialog exit

GNU/Linux:
 * Numerous D-Bus and MPRIS2 improvements
 * Reject broken versions of PulseAudio

Windows:
 * Fix uninstallation in different location than C:\

Translations:
 * Update of Brazilian Portuguese, Traditional Chinese, Thai, Portuguese,
   Japanese, Italian, Hebrew, Estonian, Spanish, Czech, Catalan, Bosnian,
   Asturian, French, Romanian, Serbian, Russian, Hindi, Estonian, German
   Slovenian Norwegian Bokmål, Khmer, Icelandic, Interlingua, Welsh, Ukrainian,
   Dutch, Danish, translations
 * New Gujarati, Aragonese translations


Changes between 2.0.4 and 2.0.5:
--------------------------------

Access:
 * Fix DVB-S delivery system detection

Audio Output:
 * Fix playback initial synchronization with PulseAudio
   (however similar bugs in PulseAudio version 2.0 and later still exist)
 * Fix file output bug affecting floating point on big endian systems

Demuxers:
 * Fix crash with some embedded subtitle fonts
 * Fix buffer overflow in HTML subtitles parser
 * Fix koreus lua parser
 * Improve reliability for RTSP streams sent by some IP cameras
 * Fix division by 0 in AIFF demuxer
 * Fix some MKV crashes when ordered editions have empty or broken links
 * Fix SWF potential crash on malformed files.

Video filters:
 * Fix crash in Freetype with embedded fonts
 * Fix wrong aspect ratio in some cases

Encoders:
 * Fix Mpeg-2 audio and video encoders initialization

Mac OS X:
 * Fix Reveal-in-Finder for files with non-Western file names
 * Fix crash with local statistics disabled
 * Fix Time counter UI look
 * Fix system sleep issue on OS X 10.5

Win32:
 * Fix https streaming

libVLC:
 * Fix audio and video track selection:
   The constant track identifier is now always used. Some functions previously
   incorrectly used the (moving) index of the track in the table of tracks.

Translations:
 * Update of Asturian, Bengali (India), Bosnian, Croatian, Czech, Danish,
   Dutch, Estonian, French, Galician, Scottish Gaelic, German, Hebrew,
   Italian, Japanese, Khmer, Malayalam, Polish, Slovak, Simplified Chinese,
   Traditional Chinese, Brazilian Portuguese, Turkish, Thai translations
 * Initial translations for Welsh and Interlingua


Changes between 2.0.3 and 2.0.4:
--------------------------------

Audio Output:
 * Improve playback synchronization with PulseAudio.
 * Fix ALSA digital pass-through ("S/PDIF").
 * Fix live audio device selection on Mac OS X
 * Fix detection of some 5.1 and 7.1 kits on Windows.
 * Fix audio output behavior when the output device is plugged or unplugged
   during playback on Mac OS X

Access:
 * Fix numerous DVD (dvdnav) crashes
 * Fix HTTP playback through proxy and advertise gzip correctly
 * Fix TLS busy-loop during client-side handshake

Codecs:
 * Support for Opus decoding via libopus, including multi-channel files
 * Support MSS1 and MSS2 decoding through DMO libraries
 * Fix Hebrew and Greek subtitles encoding
 * Fix crashes on malformed subtitles and malformed png files
 * Fix crashes when using hardware decoding

Demuxers:
 * Fix issues in Ogg with zero length packets
 * Fix file duration of Ogg/Theora and Ogg/Vorbis files
 * Fix vimeo, koreus and youtube lua parsers
 * Support Youtube live streams

Windows:
 * Fix Wallpaper mode on Windows 7/8

Qt:
 * Fix media info dialog update
 * Fix random/repeat preferences saving
 * Fix crashes when opening audio effects dialog, with skins and playlist
 * Fix crash on association dialog on Windows XP
 * Fix album art display at start

Mac OS X:
 * Fix command-line options to control the interface behavior
 * Deactivate CoreAnimation effects on Leopard
 * Fix menus display and behavior
 * Fix various crashes and small issues including bookmarks, playlist, buttons,
   streaming wizard, video size, hotkeys and fullscreen controller
 * Fix font selection for Unicode subtitles
 * Improve system sleep behavior when playing audio-only media. The screen is
   allowed to sleep while the system is kept awake during playback.
 * Fix code signing of Delete Preferences application
 * Add option to Audio Effects panel to activate the Karaoke filter

Miscellaneous:
 * Fix Notify (D-Bus) plugin deadlock.
 * Fix buffer corruption in freetype and subtitles modules
 * Improve Blu-Ray and HLS support
 * Fix issues on selection of playlist items for WebUI
 * Codec and other 3rd party library updates
 * Fix swscale and canvas behavior with Aspect Ratio
 * Fix mime-type when streaming Webm over HTTP
 * Fix recording behaviour in Windows network environments
 * Codecs and 3rd party libary updates

Translations:
 * Updates of Norwegian Bokmål, Korean, Slovak, Serbian, Russian, Traditional
   Chinese, Simplified Chinese, Portuguese, Walloon, Turkish, Thai, Polish,
   Dutch, Khmer, Hindi, Japanese, Galician, Hebrew, German, Breton, Scottish
   Gaelic, Czech, Estonian translations
 * Initial translations for Bengali, Fula, Gujarati and Bosnian


Changes between 2.0.2 and 2.0.3:
--------------------------------

Access:
 * Fix some HTTP request that broke some radio channels

Demuxers:
 * Fix support for some flv files (notably joined)
 * Fix a crash when opening ape files with ID3v1 tags

Mac OS X:
 * Add GateKeeper support
 * Fix handling for some hotkeys
 * Fix fullscreen toggle over extra interfaces
 * Minor bugfixes and improvements

Qt:
 * Fix Windows 8 interface style

Translations:
 * Updates for Breton, Czech, Dutch, Gaelic, German, Hebrew, Hindi, Icelandic,
   Japanese, Khmer, Korean, Polish, Russian, Simplified Chinese, Slovenian,
   Thai, Turkish and Walloon
 * New translations to Uzbek and Marathi
 * Fix activation of Gaelic and Thai translations


Changes between 2.0.1 and 2.0.2:
--------------------------------

Video Output:
 * XP machine will now use DirectX mode by default, like in previous versions.
   There were too many errors with broken drivers.
 * More accurate colourspaces conversions for YUV->RGB in OpenGL
 * Add menu support for libvlc / VLCKit applications on Mac OS X
 * Various fixes on Mac OS X, notably for crop, zoom, osd and menu support
 * Misc fixes in OpenGL module, on all platforms
 * Fix video output on PowerPC-based Macs equipped with an ATI Radeon 7500,
   an ATI Radeon 9200 or a NVIDIA GeForceFX 5200 Ultra.
 * Fix video output of 10bit encoded contents on Intel-based Macs equipped
   with an Intel GMA 950 chipset running OS X 10.6 or later.
 * Add support for the HiDPI mode used on recent Apple products with so-called
   Retina Displays.

Access:
 * Rework Digital TV module for Windows. DVB-T and DVB-C should work again
 * Fixes for RAR compressed files
 * Fix DirectShow crashes on exit
 * Improve PulseAudio input latency
 * Fixes for HTTP access through a proxy
 * v4l2 webcam outputting H264 can now be used directly (use --v4l2-chroma=h264)
 * Fix subtitles auto-detection in subfolders and detection behaviour
 * IE http proxy is not used anymore by VLC on Win32
 * Accept more extensions for DVD images
 * Fix crash in VC1 packetizer
 * Improvements in Blu-Ray playback
 * Improvements and fixes in HLS support

Codec:
 * Fix crashes in AAC decoder on channels changes, notably in ISDB streams
 * Fix compilation with multiple FFmpeg and libav versions
 * Fix G726 support
 * Fix MP3 free format support

Demuxers:
 * Fixes for MKV segments, seeking and MKV title display
 * Fix for some mp4, voc, midi and au crashes
 * Fix for Real .ram, .f4v, .avi and .ra files support
 * Fix for DVB channels file support
 * Fixes for alac, vorbis, DTS, VC-1 and Dirac in mp4

Encoders:
 * Fix for MPEG Audio encoding, use layer2 when using fourcc "mp2 " and "mp2a"
 * Fix for JPEG generation, when doing snapshots

Audio filters and output:
 * Limitation of spatializer volume output
 * Fix DirectSound device selection
 * Correct PulseAudio volume control
 * Do not apply volume in file output
 * Fix sampling rate in JACK output
 * Fixes in ALSA output for latency and for broken drivers

Mac OS X:
 * Enable drag and drop of playlist items between the temporary playlist and
   the persistant media library
 * Enable import of playlist items taken from the service discovery modules
   to the media library or the temporary playlist
 * Media key support for keyboards by other manufacturers than Apple
   This fix was facilitated through a hardware donation by ZF Friedrichshafen AG
   manufacturing keyboards under the brand "Cherry".
 * Add support for the Apple Remote to set the Mac to sleep using a longer
   press on the Play/Pause button
 * Remove libfontconfig's font cache by an Apple Type Services lookup.
   This removes the "Updating Cache" dialog, before finding all fonts.
 * Re-add an option to hide the window decoration during video playback
 * Improve compatibility with other 3rd party apps using SPMediaKeyTap
 * Many Fullscreen fixes
 * Keep Aspect Ratio when resizing is back
 * Add controls to manipulate the Subtitles Duration to the Track
   Synchronization panel
 * Hidden items in the sidebar are being retained for the next launch now
 * Fix crash when trying to open an Audio CD by drag & drop
 * Improve reliability when opening DVDs or BDs by drag & drop
 * Fix crashes on exit
 * Fix crash when mounting a device with multiple logical volumes while
   VLC is running
 * Chosen audio output device is retained throughout multiple sessions
 * Since running the Mac OS X interface as an Extra Interface or Control
   Interface can lead to undefined results, eventual settings will be
   automatically reset on the first launch.
   - This fixes issues with unresponsive playback controls and crashes on quit.
 * Update Growl plugin for use with Growl 1.3
 * Miscellaneous minor interface improvements

Lua Scripts:
 * Fixes for stdin/stdout and for different locale issues
 * Fixes for icecast SD

Qt:
 * Fix preferences for audio devices on Windows
 * Fix playlist search and selector behaviour
 * Fix multiple issues in the Open Disc dialog
 * Miscellaneous fixes in preferences, buttons, EPG, playlist and customize dialog
 * Fix tags and file names display
 * Fix various crashes, display issues and usability issues

Skins2:
 * Fix mousewheel on Windows
 * Fix for key events and focus loss

Web interface:
 * Fix display of some buttons
 * Fix listing of files in the Open interface
 * Fixes for widgets behaviour and vlm dialog

Security:
 * Fix Ogg Heap buffer overflow
 * Update taglib (CVE-2012-2396)
 * Update libavcodec and other codecs libraries

Translation:
 * Traditional Chinese, Simplified Chinese, Walloon, Slovak, Polish, Khmer,
   Japanese, Italian, French, Czech, Belarusian, Breton, Greek, Spanish,
   Estonian, Irish, Galician, Hungarian, Japanese, Dutch, Telugu, Ukrainian,
   Thai translations update
 * New Scottish Gaelic translation


Changes between 2.0.0 and 2.0.1:
--------------------------------

Access:
 * fix and improve the CDDB information retrieval
 * fix the samba module compilation
 * fix UDP / RTP multicast stream reception on Mac OS X when using the 10.7 SDK
 * multiple fixes for HLS support, notably on Win32 and for encryption
 * multiple fixes for Bluray discs playback
 * fix for DVD decryption on some RPC-I drives

Codecs:
 * Support for MXPEG files
 * limit auto-detected threads to 4 in avcodec module
 * fix quicktime audio codecs in RTSP streams

Demuxers:
 * Fix multi-file splitted RAR archive support
 * Fix a crash when seeking in mka
 * Improve MKV multi-video tracks support

Muxers:
 * Fix ogm header creation

Audio filters:
 * limit spatializer filter distortions
 * Use fastest SinC algorithm for samplerate module

Audio output:
 * Fix S/PDIF passthrough with ALSA.
 * Remove flawed ALSA channels autodetection.
   The available ALSA channels MUST be configured now (stereo by default).
 * Fix delay when changing the volume on Mac OS X

Video filters:
 * Fix gradfun unloading on Windows platform

Mac OS X interface:
 * allow to hide the playlist to get a small controller window
 * allow to hide the sidebar
 * disable Lion fullscreen mode by default, since its behavior is misleading
   - this fixes fullscreen video output on a secondary screen
 * noticebly faster launch time
 * correct a few visual glitches and accessibility support
 * re-enable visual feedback on seek and volume changes
 * improve track synchronization panel
 * fix fontconfig cache dialog, closure of the interface and numerous crashes
 * fix crop, aspect ratio handling, DVD (no menu) support and Open subtitle menu

Qt interface:
 * allow a native seek slider instead of the blue one
 * fixes in the playlist, the addons dialog, the menus, the main toolbar
   the open dialogs, preferences and customization dialogs
 * fix for fontconfig cache dialog, when rebuilding ASS fonts

Skins interface:
 * fix for menus display
 * Addition of $R to display current playback speed
 * documentation update

Web interface:
 * fix mobiles display for remote control mode
 * support for .drc and .3ga extensions

Service discovery:
 * fix SAP discovery, where an item was added multiple times
 * fix SAP discovery on Mac OS X when using the 10.7 SDK
 * Update Jamendo selections

Miscellaneous:
 * fix DBus crash
 * fix build issues on BSD, Linux/PPC and Linux/Sparc
 * fix a crash on VLM close

Security:
 * Update libpng to 1.5.9 (CVE-2011-3026)
 * Update freetype to 2.4.9 (CVE-2012-1126 up to CVE-2012-1144)
 * Fix MMS stack overflow (SA-1201 - CVE-2012-1775)
 * Fix RealRTSP heap overflow (SA-1202 - CVE-2012-1776)

Translations:
 * Update of Czech, Spanish, Swedish, Turkish and Walloon translations


Changes between 1.1.13 and 2.0.0:
---------------------------------

Important notes:
 * The licenses of libVLC and libVLCcore have changed from GPLv2+ to LGPLv2.1+
 * Start/end titles/chapters are now specified with # rather than @ to fix
   conflicts with some URLs and file names. For instance, this plays a DVD
   from the 2nd chapter of the 1st title up to the 4th chapter of the 3rd
   title:  vlc dvd://#1:2-3:4
 * The 40+ --*-caching options were simplified and dumbed down to 4 options:
   - --file-caching specifies caching for local files,
   - --network-caching specifies caching for network resources,
   - --live-caching specifies caching for capture devices and
   - --disc-caching specifies caching for local optical media.
   All values are expressed in milliseconds as in previous versions.
 * HTTP server IP address, port, and TLS configuration is now centralized:
   - The --http-host option sets the address, e.g. "--http-host=[2001:db8::1]".
     By default, both :: and 0.0.0.0 are used.
   - The --http-port and --https-port options set the port numbers.
     By default, 8080 is used for HTTP, and 8443 for HTTPS.
   - The TLS credentials are configured with --http-cert (public certificate),
     --http-key (private key), --http-ca (optional CA) and
     --http-crl (optional CRL).
 * RTSP server IP address and port are updated similarly.
   Use --rtsp-host and --rtsp-port respectively.
 * The --miface-addr option does not exist anymore. To select the multicast
   output interface, use --miface instead, e.g. --miface=eth0.
 * The Windows version will only work with Windows XP SP2 or later.
   Windows 2000 SP4, Windows XP < SP2, Windows 2003 SP0 are now unsupported.
 * The Mac OS version will require Quartz Extreme compatible machines.

Important changes for packagers:
 * The default builds now assume that the operating system uses UTF-8 for
   its file systems and files content (except the Windows port). If this is
   not acceptable, pass --enable-non-utf8 to the configure script.
   Non-UTF-8 file systems support will be removed in future versions.
 * The VLC plugins path can be overridden with the VLC_PLUGIN_PATH environment
   variable. The --plugin-path command line option was removed.
 * The default tarballs are now compressed with XZ/LZMA: .tar.xz
 * OSS support is not compiled on Linux by default, pass --enable-oss to the
   configure script if you use OSSv4 or really want to use OSS emulation.
 * The webplugins have moved to: git://git.videolan.org/npapi-vlc.git

Core:
 * Major Video Core and Outputs rework and rewrite:
   Subtitles, subpictures and OSD can now be sized and blent inside outputs
   x11 (Unix), OpenGL (Unix) and Direct3D (Windows) are such video outputs.
 * Almost every video filter can now be transcoded
 * Playback rate doesn't get resetted to 1 between items anymore
 * Option --sub-filter was renamed --sub-source
 * Port to Android, iOS, OS/2 and Win64.

Access:
 * Multiple files are now supported inside RAR files
 * Experimental support for ClearQam devices in the BDA/DTV module
 * DVB-S scanning support on Unix
 * DVB-C scanning on Unix scans correct modulation/symbolrate if needed
 * Support for freq and video standard selection in DirectShow
 * Support for VDR recordings (http://www.tvdr.de/) folders
 * Experimental Blu-Ray Discs support using libbluray
 * HTTP Live Streaming (IETF draft) playback support
 * Blackmagic DeckLink SDI cards input support (Linux only currently)
 * Linear Systems (HD-)SDI cards input support (Linux)
 * PulseAudio audio input support
 * Support for RTP dynamic payload types by specifying the payload format
   in an option (no autodetection): only Theora supported for now
 * Basic HTCPCP implementation for Coffee Pot control
 * Support for all QTKit-compatible video input devices, aka QTCapture
 * Support for all QTKit-compatible audio input devices, aka QTSound
 * Support for capturing partially hidden windows in the X11 Screen input
 * MPEG DASH (Dynamic Adaptive Streaming over HTTP) support
 * Support for HTTPS is now fixed in the Windows port

Codecs:
 * One can now use ffmpeg-mt in conjunction with vlc, to split decoding load
   on multiple cores. H.264, VP3, VP8, JPEG-2000, Mpeg-4 ASP/DivX and RV3/RV4
   are notably concerned.
 * Important fixes for RealVideo 3.0 and 4.0 playback, notably in MKV
 * Experimental Hardware decoding using Broadcom CrystalHD cards
 * New module for decoding EBU subtitles (.stl)
 * Support for 9bits and 10bits H.264/AVC decoding
 * Support for 20-bits PCM and DAT-12 (digital magnetic tapes) from RTP
 * New module for Dirac encoding, using the faster libschroedinger
   The Schroedinger module should be prefered to the Dirac one
 * Support for WMV Images, aka WMVP and WVP2, as used by Photo Story
 * Support for Lagarith Lossless video codec
 * Support for ProRes 422 video codec in 10bits
 * Support for DNxHD (VC-3) and JPEG-2000 in 10bits
 * EIA-608 closed captions improvements
 * Support for JPEG-2000 and Motion JPEG-2000 in the Windows and Mac binaries
 * Experimental support of IOMX for OpenMAX IL codecs on Android
 * One can use "mp2 " fourcc to encode in mpeg1/2 layer 2

Demuxers:
 * New images demuxer supporting jpeg, png, targa, xcf, git, tiff, bmp, pcx, lbm
 * C64 SID file playback support of using sidplay2
 * Support for images/cover art in wma/wmv/asf files
 * Improvements in .ape files metadata reading and writing
 * New demuxer module for EBU subtitles (.stl)
 * Support for caf, mtv, awb, f4v, amr, vro (DVD-VR) files
 * Ogg, flv, mxf, amr seeking improvements
 * Major improvements in Matroska (mkv) chapters/segments handling and seeking
 * Support for duration and better seeking in Mpeg-TS files (.ts, .m2ts, .mts)
 * Mov improvements, notably for aspect-ratio handling and Audio DV tracks
 * Improved support of tracker files
 * Real Media (.rm and .rmvb) demuxer is now based on libavformat

Interfaces:
 * Qt: effects dialogs rework
 * Qt: new CoverFlow-like view of the playlist
 * Qt: port to MacOS X platform
 * Qt: various interface improvements, notably on the seek bar
 * Skins2 / Qt: misc improvements and usability fixes
 * Skins2: fullscreen controller support, relative placement support
   and important cleanups and optimisations
 * Mac OS X: re-written Main Window, which also includes the Video Windows
   It is available in 2 looks, one grey (Lion style) and one black (QTX style)
 * Mac OS X: new Audio Effects panel adding Compressor and Spatializer filters
 * Mac OS X: new Track Synchronization panel
 * Mac OS X: new Video Effects panel for color and geometry adjustments
 * Mac OS X: re-written Open Disc functionality with automatic media detection
 * Mac OS X: support for the native fullscreen mode on OS X Lion
 * Mac OS X: enhanced AppleScript support
 * Mac OS X: support for lua extensions
 * The rc and telnet lua interfaces were merged into a new "cli" interface
 * lua: the recommended way to run custom interface scripts is now to pass
   -I luaintf --lua-intf myscript
 * ncurses: heavy refactor of the complete interface
 * dbus: Upgrade to an mpris2 compliant interface, see http://www.mpris.org
 * dbus: Rewrite of the main loop to use a more efficient poll-based model
 * webUI/http: Rewrite of the web interface, using jQuery
 * webUI/http: some requests are now supported in JSON in addition to XML
 * webUI/http: path values for input and output are deprecated in favour of uri
 * Qt/Win32: the update system now downloads the updates in the temp folder
 * Qt: preferences are now searchable
 * Qt: the fullscreen controller is now stackable, full-width, at the bottom

Video Output:
 * New video output based on Direct2D for Windows 7 and Vista (with Platform Update)
 * New video output for iOS platform
 * Experimental work in progress on a video output using EGL
 * Adaptation of the OpenGL layer for OpenGL ES 1.1
 * Various vmem improvements
 * OpenGL video output now accepts YUV as input and uses fragment programs for
   chroma conversion between YUV and RGB
 * New video output for Android platform, based on Surface
 * Support for 9/10bits output in the OpenGL output
 * Updated OpenGL video output for Mac, requires a Quartz Extreme capable machine
 * New video output based on kva API for OS/2

Audio Output and Filters:
 * New audio output based on AudioQueue API for iOS
 * New audio output in memory (amem)
 * Important simplification and improvements in the core audio output
 * New audio output based on OpenSL ES API for Android
 * New audio resampler using Speex (DSP)
 * New audio resampler using the Secret Rabbit Code (a.k.a. libsamplerate)
 * New Compressor filter, a dynamic range compressor
 * New simplistic Karaoke filter
 * New audio output based on kai API for OS/2
 * Automatic handover from S/PDIF to PCM with PulseAudio 1.0

Video Filter:
 * New gradfun filter for debanding videos using dithering
 * Rewrite of the grain filter, faster and with better quality
 * New posterize filter for lowering the number of colors
 * Atmo ambilight: improve Fnordlicht support up to 254 channels
 * New sepia filter for creating sepia effect in videos
 * New deinterlacer mode Phosphor, a framerate doubling CRT TV simulator
 * New deinterlacer mode IVTC, to do live inverse telecine for NTSC films
 * New subsdelay filter to change subtitles delay
 * New anti-flickering filter
 * New OpenMAX DL IPCS filter for color space conversion and resizing
 * New video filter for denoising, based on the famous hqdn3d filter
 * Major improvements in the freetype text-rendering module, notably supporting
   blackbox and customizable shadow.
   NB: The freetype module is now used by default on the Mac OS X instead of
   the quartztext module, which can still be enabled manually.
   The Win32 font selection was improved too.

Stream output:
 * New livehttp-module for HTTP Live Streaming (IETF draft) output
   example: vlc inputfile :sout="#transcode{vcodec=h264,acodec=mp3,
    venc=x264{profile=baseline},width=320,vb=256,ab=96}:std{
    access=livehttp{index=public_html/iphonestream.m3u8,
    index-url=http://url-to-iphonestreamfile-###.ts},mux=ts{use-key-frames},
    dst=public_html/iphonestreamfile-###.ts}"
 * Support for Vorbis and Theora in RTP
 * Major rework of VoD support
 * New delay module, to introduce delays of one ES, when streaming:
       #delay{id=12,delay=500}:standard...
 * New setlang, setid modules to change lang or id of one ES, when streaming:
       #setid{id=12,new-id=42}:std...
 * New langfromtelx module, to change lang of one ES, when streaming, based on
   a telextex page: #langfromtelx{id=12,magazine=7,page=0x99,row=1}:std...
 * New select module, to replace an existing ES with another ES in the same track
   #duplicate{dst=bridge-out{id=1},select=video,dst=bridge-out{id=0xa3},select=audio}
   #transcode{...}:bridge-in{id-offset=0}:select{disable=0}:setid{id=0,newid=0xa3}:autodel:std{...}
 * New libavformat/avio access_output module for network streaming

Services Discovery:
 * Search API to be able to query distant search APIs from the interfaces
 * Upnp module was ported to Win32

libVLC:
 * New capabilities for libVLC:
  ** libvlc_media_player_navigate for DVD navigation
  ** libvlc_audio_filter_list_get, libvlc_video_filter_list_get to get the
     list of available audio and video filters
  ** libvlc_audio_set_format, libvlc_audio_set_format_callbacks,
     libvlc_audio_set_callbacks
     allow grabbing audio data from a chosen memory location in real-time.

Removed modules:
 * asademux, subsass: use libass
 * fake, invmem: use the new image demuxers
 * hal, v4l, gapi, omapfb, hd1000a, hd1000v: obsolete unmaintained modules
 * id3tag: use taglib
 * upnp: use upnp_intel
 * removal of old telnet interface in favor of the new lua CLI
 * removal of http interface in favor of luahttp
 * removal of the noise filter
 * removal of the SDL audio output, use the native outputs
 * growl_udp: use Growl for local notifications on the Mac. UDP support will be
              removed in Growl's next release, too.
 * removal of the OSSO screensave module, use the MCE one

Translations:
 * Update of translations for most languages.
 * New Telugu and Kurmanji translations.


Changes between 1.1.12 and 1.1.13:
----------------------------------

Security:
 * Heap overflow in TiVo demuxer fixed.
 * Same default ACL for HTTP requests as for the rest of the HTTP interface.

Audio outputs:
 * PulseAudio channels mapping (non-stereo) fix.
 * PulseAudio stream accidental overflow recovery.

Video outputs:
 * XVideo support for mixed CPU/GPU endianess (especially on PowerPC).
 * XVideo support for automatic color keying.
 * xosd Xlib initialization failure fix.

Decoders:
 * Camtasia decoding fix.

Qt interface:
 * Rare crash while seeking fixed.
 * V4L2 video standard selection fixed.

Translations:
 * Update of Chinese simplified, Estonian, German and Polish languages.


Changes between 1.1.11 and 1.1.12:
----------------------------------

Audio outputs:
 * Mac OS X / auhal: multiple fixes for the Digital Audio output (S/PDIF)
                     including support for OS X Lion
 * Multiple fixes and improved synchronization for PulseAudio support
 * Support for AC-3 and DTS passthrough with PulseAudio 1.0

Unix port:
 * Fix build compatibility with taglib < 1.6 and Xulrunner 1.9.1

Misc:
 * Fix crashes with Japanese locale on OS X
 * Minor fixes for Webplugin under Win32, AVI demuxer, smem and AudioScrobbler
 * Fix crash in HTTP and RTSP server (stream output or Web interface)

Translations:
 * Update of Breton, Chinese Simplified and Basque


Changes between 1.1.10 and 1.1.11:
----------------------------------

Security:
 * Fix buffer overflows in the RealMedia demuxer (CVE-2011-2587)
   and the AVI one (CVE-2011-2588).

Mac OS X:
 * Fixed scrolling direction if the input device's signal is inverted
 * Update Auhal audio output to the latest API
 * Fix images disappearing issue on the interface
 * Reduced installation size by up to 30 MB
 * Resolved conflict between iTunes and VLC wrt Media Key handling

Mozilla/ActiveX webplugin:
 * Fullscreen mode is fixed on Win32
 * Very simple fullscreen controller is visible on Win32

Demuxers/Meta Readers:
 * Better support for cover art embedded in mp4, wma

Muxers/Output:
 * Fix AVI muxer so the generated files are readable on other players

Extensions:
 * Multiple fixes for crashes and malfunctionning issues

Qt Interface:
 * Fix quitting on Linux
 * Fix opening of VIDEO_TS folders through the open disc dialog on Windows
 * Miscellaneous

Win32 port:
 * Update of codecs, fixing the mpeg-2 decoder crash

Translations:
 * Update of Slovak, Lithunanian, Russian, Brazillian Portuguese, Serbian


Changes between 1.1.9 and 1.1.10:
---------------------------------

Windows and Mac OS X:
 * Update of external library modplug, to address multiple security issues

Mac OS X Interface:
 * Improved Media Key handling based upon SPMediaKeyTap by Spotify AB
 * Fix for various crashes and small issues

Demuxer:
 * Fix heap corruption / integer overflow in XSPF playlist parser

Audio output:
 * PulseAudio output re-written due to unstability of the current one

Win32 port:
 * Remove the fontconfig dependency from the freetype module

Miscellaneous fixes in:
 * Windows 7 taskbar buttons
 * Qt interface
 * asx, live555, dvdnav demuxer
 * RTP output and XML export
 * Subtitles colours when using GPU decoding on Windows
 * v4l2 access

Translations:
 * Update of Norwegian Bokmål, Slovak, Afrikaans, Luganda,
   Brazillian Portuguese, Irish, Thai, Estonian, Chinese, Polish,
   Dutch, German, Galician, Bulgarian, Lithuanian and Japanese translations
 * Initial Basque, Zulu, Peul, Amharic, Acoli, Chiga translations


Changes between 1.1.8 and 1.1.9:
--------------------------------

Windows and Mac OS X:
 * Update of external library modplug, to address a security issue

Demuxers:
 * mp4: Fix heap-based buffer overflow (VideoLAN-SA-1103)

Mac OS X Interface:
 * Miscellaneous interface look adjustments
 * Improve Apple Remote handling
 * Fixe bugs in the Streaming / Transcoding wizard
 * Layout fixes in the Preferences and Controls windows
 * Fix incomplete list of hotkeys in the Preferences dialog
 * Fix quitting through Apple Events (Dock menu, App Switcher, AppleScript, etc.)

Mac OS X Port:
 * Fix Growl local notification plugin
 * VLC bundle now includes the Growl framework
 * Fixes for eyeTV

Translations:
 * Updates of Lithuanian, Estonian, Chinese, Japanese, Bengali, Dutch, Polish,
   German, Galician, Traditional Chinese translations
 * New Luganda Translation


Changes between 1.1.7 and 1.1.8:
--------------------------------

Mac OS X Interface:
 * New UI graphics by Damien Erambert

Interfaces:
 * Oldrc interface is again the default RC interface, on Windows
 * Luarc, luahttp and luatelnet fixes
 * Qt and Mac OS X fixes
 * numerous Skins2 fixes, notably winamp2 skins

Encoder:
 * new libschroedinger-based Dirac codec encoder, faster than the current one

Access/Demuxers/Codecs:
 * Subtitles auto-detection is back for .txt files
 * vod/rtsp server and rtsp input fixes
 * mp4 demuxer improvements
 * ogg, rstp input, video filters minor fixes
 * taglib's replaygain is fixed for mp3
 * vobsub support has an improved auto-detection
 * fix a crash in malformed ape files

Miscellaneous fixes in:
 * Pulseaudio audio output, notably for usb cards
 * Stacktraces are now limited in size on Windows
 * Video resolution is now limited to 8192x8192, for security reasons
   See CORE-2011-0208, CVE-2010-3275, CVE-2010-3276
 * Configure and build system improvements
 * DirectShow and BDA build headers have been updated

Translations:
 * Update for Finnish, Galician, Dutch, Chinese, German, Japanese, Lithuanian,
   Slovak, French, Polish, Estonian, Brazillian Portuguese and Hebrew
 * New icelandic translation


Changes between 1.1.6 and 1.1.7:
--------------------------------

Linux port:
 * Integration with the KDE GUI platform is disabled due to KDE bugs
   #234484 and #260719.

Mac OS X port:
 * Updated live555 library to fix playback of RTSP and Freebox streams
 * Running VLC in 64bit mode requires Mac OS X 10.6.0 or later for speed
   and stability reasons

Demuxers:
 * Fix for Matroska / WebM remote code execution vulnerability.
   VideoLAN-SA-1102

Translations:
 * Update for Hebrew, Japanese, Danish and Russian translations


Changes between 1.1.6 and 1.1.6.1:
----------------------------------

Source:
 * Fix libnotify, lirc, pulse compilation and packaging for Unix/Linux


Changes between 1.1.5 and 1.1.6:
---------------------------------

Audio output:
 * Multiple fixes and improvements on PulseAudio output
   PACKAGERS are VERY STRONGLY advised to update libpulse to 0.9.22.
   Update is required to use PulseAudio with the Phonon-VLC backend (KDE)
   and with the Mozilla VLC web browser plugin.

Access:
 * Fix the Audio CD crash when looking for CDDB metadata on Windows

Decoders:
 * Support for MPC SV7 and SV8 on Windows and Mac OS X (Unix was already working)
 * Enabled FluidSynth MIDI playback plugin on Mac OS X
 * Faster VP8/Webm decoding with recent codecs libraries
 * Fix heap corruption in CD+G decoder - CVE-2011-0021 / VideoLAN-SA-1101

Demuxers:
 * Fix Buffer overflow in Real demuxer - CVE-2010-3907 / VideoLAN-SA-1007
 * Fix some asf/wmv seeking issues, notably when seek didn't go to a keyframe
 * Support for 24-bits PCM over RTP (audio/L24)

Subtitles and renderer:
 * Do not auto-detect .txt files for subtitles
 * Mark more freetype options as safe
 * Mac OS X: fixed fontconfig cache creation
 * Fix heap corruption in subtitle decoders, potentially exploitable,
   discovered by Harry Sintonen - sintonen at iki.fi - CVE-2011-0522

Visualization:
 * Fix projectM visualization for Linux in all locales
 * Fix projectM visualization support for Windows
 * Various projectM improvements: the module should be working now
 * Fix goom crash on Windows XP and Mac OS X

Interfaces:
 * Qt4: fixes for media keys processing and MCE remotes
 * Qt4: various fixes and portability improvements

Miscellaneous fixes:
 * KDE device solid actions
 * XDG screensaver
 * Transcode integer overflow
 * HTTP Icy metadata reading
 * Windows: revert to 1.1.4 performance timers

Translations:
 * Update translations for Chinese, Nippon, Slovak, Estonian, Spanish, Galician,
   Swedish, Bulgarian, French, Bengalese, German, Slovak, Japanese, Dutch,
   Polish, Hungarian, Indonesian, Sinhala and Irish


Changes between 1.1.4.1 and 1.1.5:
----------------------------------

Security:
 * Fix a Windows crash on accessing Network Shared files/drives,
   VideoLAN-SA-1006

Access:
 * Support for RTP access for H264 streams by specifying the demux in the MRL

Services Discovery:
 * Integration in the playlist, of a list of web shows, provided by channels.com

Demuxers:
 * Game Music Emu (GME) plugin rewritten, using the proper C API
 * DVDnav and DVDread fixes for encoding and misc issues
 * Playback of live http .Webm streams
 * Taglib thread-safety fix

Decoders:
 * Fix decoding of H264 using DxVA2 using Intel IGP, thanks to the donation from
   "Puget Systems"

Skins:
 * Add an icon to VLC on Linux

Video Output:
 * fix a bug that could lead to 100% CPU usage on XCB

Interfaces:
 * fix for Qt bug where VLC didn't exit properly on some Windows XP configuration
 * fixes on luatelnet and luarc

Miscellaneous crashes and fixes in various plugins (telnet, live555, theora and
 TS-mux, Qt)

libLVC:
 * add libvlc_media_new_fd() to play directly file descriptors (not Win32/Win64)
 * Miscellaneous fixes

Translations:
 * Update translations for Walloon, Lithuanian, Spanish, Turkish, Estonian, Dutch,
   Bengali, German, Polish, Brazillian Portuguese, Japanese, Italian, Galician,
   French and Ukrainian
 * Major update and activation on Windows of Modern Greek
 * New Asturian translation


Changes between 1.1.4 and 1.1.4.1:
----------------------------------

Mac OS X:
 * Fixed video output on PowerPC-based Macs for videos with widths divisible
   by 16
 * Fixed an issue with the Equalizer's 170Hz slider

Demuxer:
 * Fix crash when closing rtsp streams

Qt interface:
 * Fix Windows 7 jumplists with Unicode files
 * Various fixes for Windows

Translations:
 * New Armenian translation
 * Update translations for Dutch, Estonian, Lithuanian, Japanese, Nynorsk,
   Brazillian Portuguese, Armenian, Wallon


Changes between 1.1.3 and 1.1.4:
--------------------------------

Win32:
 * Fix a security issue when loading DLLs, especially in Qt4 and dmo modules,
   See VideoLAN-SA-1005
 * Fix folders opening from the interface

Translations:
 * Update translations for Lithuanian, Bengali, Slovak, French, Dutch, Ukrainian
   Polish, Simplified Chinese, German and Galician


Changes between 1.1.2 and 1.1.3:
--------------------------------

Access and demuxers:
 * fixes for FTP relatives path and FTP directory support
 * fix for podcasts parsing
 * DVD: fix an assert error and various memory leaks

Taglib:
 * fix NULL dereferences, as reported by FortiGuard Lab,
   CVE-2010-2937 / VideoLAN-SA-1004

Playlist:
 * fix a regression where the wrong entry was played
 * fix m3u playlists exports

Skins2:
 * fix video autoresize behaviour

Translations:
 * Update translations for Dutch, Sinhala, Hebrew, Estonian, Spanish and Bengali

Windows and Mac:
 * Update of many codecs libraries, fixing bugs and improving speed

Mac:
 * architecture-specific installations will now be replaced by specific updates

BSD:
 * Add AltiVec detetion for OpenBSD/powerpc


Changes between 1.1.1 and 1.1.2:
--------------------------------

Demuxers:
 * Avformat fps displaying fix
 * TS, fix an issue where some programs would get dropped (fixes DVB issues too)

Audio filters:
 * fix timestamps handling on some filters that provoked issues when playback
   of mono streams, especially on Windows

Windows:
 * fix a bug in direct3d video output with old nVidia drivers that broke video
   playback with overlay (YUV->RGB)
 * fix console output encoding

Interface and extensions:
 * Youtube and other scripts updates
 * Misc fixes in Qt4 (especially VLM and EPG dialogs) and MacOS interface


Changes between 1.1.0 and 1.1.1:
--------------------------------

libVLC:
 * New capabilities for libVLC:
   * Adjust video filter control: libvlc_adjust_Enable,
     libvlc_adjust_Contrast, libvlc_adjust_Brightness, libvlc_adjust_Hue,
     libvlc_adjust_Saturation, libvlc_adjust_Gamma
   * libvlc_media_player_set_pause() can force the pause state, whereas
     libvlc_media_player_pause() would only toggle it.
   * libvlc_set_user_agent() configures the "user agent" strings used for some
     protocols (HTTP, PulseAudio...). This replaces the --http-user-agent and
     the former --user-agent libvlc_new() parameters.
   * libvlc_video_set_callbacks() and libvlc_video_set_format() allow grabbing
     video frames from a chosen memory location in real-time. This replace the
     ugly --vmem-* libvlc_new() parameters in previous versions.
     See http://wiki.videolan.org/LibVLC_SampleCode_SDL as an example.
   * libvlc_audio_get_delay() and libvlc_audio_set_delay() configure the delay
     between audio and video/subpictures for the current input.
 * Various fixes and crash preventions, especially when video functions were
   called early

Decoders/Demuxers:
 * Fix performance issues with GPU decoding using DxVA2 using ATI graphic cards
   You NEED ATI Catalyst 10.7
 * Fix :program selection in TS and DVB-T
 * Fixes and improvements for MKV, Avformat and Avcodec modules
 * Fix mod (.xm, .s3m, .it) files support on Windows and Mac builds

Stream output:
 * Fix h264 streaming in ts

Interfaces:
 * Qt: fix preferences, hotkeys, messages and some fulscreen behaviour
 * Skins: support for mousewheel in fullscreen, fix radialsliders
 * Http: fix fullscreen toggle

Linux:
 * Fix pulse closing
 * VAAPI small improvements, notably for extraction mode selection

MacOS:
 * Multiple interface and crash fixes
 * Deinterlace selection is repaired
 * Crashes when playing multi-channel tracks fixes

Windows:
 * Activation of DEP on XP SP3
 * Fix opening of .m3u and .pls playlists
 * Fix crash when My Document isn't available
 * Fix crash when Windows was getting into standby while playing video

Translations:
 * Update translations for Spanish, Polish, German, Sinhala, Hungarian, Khmer,
   Brazilian Portuguese, Chinese, Hebrew, Slovak, Galician


Changes between 1.0.6 and 1.1.0:
--------------------------------

Important changes for users:
 * On Linux, known bugs in the ALSA library might prevent audio output.
   Update to alsa-lib 1.0.24 or later, or use the PulseAudio output instead.

Important changes for packagers:
 * The module cache has moved to ${libdir}/vlc/. The module cache can now be
   generated at install time except if you use staged installation. In the
   later case, you can generate the module cache in your post-inst script
   by invoking 'vlc-cache-gen'. If the module cache is not present and vlc
   can't write in ${libdir}/vlc/, it will result it vlc taking a long time to
   launch each time.
 * Most X11-related plugins now use XCB instead of Xlib. VLC now uses
   - xproto,
   - xcb, xcb-shm, xcb-xv, xcb-randr (from libxcb),
   - xcb-keysyms (from xcb-utils),
   - x11-xcb (from libx11) - only for GLX support.
 * On X11 platforms, a _working_ version of xdg-screensaver is typically
   required to inhibit the screensaver during video playback.

Access:
 * Support for the sftp protocol
 * Support for CDDB servers for Audio-CD on the Windows port
 * New memory input (imem) access and access_demux module to feed VLC from data in memory
 * New avio module to use libavformat capabilities for network streams, like rtmp://
 * Port of the screen module from Xlib to XCB
 * Port of the dc1394 module from libdc1394 to libdc1394 v2.0

Decoders:
 * Support for DxVA2 for H.264 decoding on GPU on Windows Vista and 7
 * Support for VAAPI for H.264 decoding on GPU on GNU/Linux
 * Support for Audio/Video decoders and encoders using OpenMAX IL components for DSP

 * Support PGS subtitles for Blu-Ray
 * Support for HD-DVB subtitles - Display Definition Segment
 * Invmem module improvements
 * Support for Atrac1 audio codec
 * Support for SSE3 and SSE4 capabilities in some codecs
 * Multiple improvements for subtitles styles in .SRT and .SSA
 * Support for native decoding of Windows Media Speech (Voice) audio codec
 * Support for AMR-NB audio codec on the Windows and Mac port
 * Support for Indeo5 video codec
 * Improvements on the FLAC format (7.1 channels and 88.2/176.4/192 kHz support)
 * Direct rendering is used more often with H.264 in avcodec module
 * Support for MPEG-4 ALS lossless audio codec
 * Support for VP8 codec
 * Support for 7.1 channels in vorbis audio

Demuxers:
 * Many fixes on Matroska support (notably seeking) and support for Webm format
 * Support for .aob files from DVD-Audio (MLP and LPCM) (Full disc support is NOT present yet)
 * Support for ADPCM in .flv streams
 * Support for TwinVQ (.vqf) and AMV (.amv) files
 * Various EGP improvements
 * Support for embedded subtitles in OpenDML and legacy .avi files
 * Metadata and cover art improvements

Playlist:
 * WPL and ZPL playlist support
 * Lua scripts for Mpora, Vimeo playback and Rockbox FM radios
 * New Play-And-Pause function to stop playback on latest video image
 * Podcast images are now displayed

Video Output:
 * Rewrite of the video output core and most video outputs
 * Added desktop mode to the Direct3D output module. It differs from DirectX
   desktop mode, because it hides the desktop icons, but reacts to mouse clicks.
 * New x11, glx and xv modules based on XCB
 * New deinterlacing modes based on yadif and yadif(x2)
 * New audio/video filter to show audio level on the video output
 * Enhanced AtmoLight filter with hardware support for
     Classic AtmoLight (http://www.vdr-wiki.de/wiki/index.php/Atmo-plugin)
     Quattro AtmoLight (use just 4 Classic AtmoLights as one)
     MoMoLight (http://www.ambilight4pc.com/momolight/momolight.html)
     Simple serial DMX controller (http://www.ulrichradig.de/ search for DMX)

Extensions:
 * New content extensions lua framework

Audio filters:
 * Chorus/Flanger audio filter
 * 3F1R to stereo down-mix filter
 * Dolby mixer, parameterized equalizer, trivial mixer, scaletempo, bandlimited
   resampler, linear resampler, ugly resampler, converter_fixed, DTS to SPDIF
   and A/52 to SPDIF filters have been upgraded to the "audio filter2" API
 * NEON assembly audio converter module
 * Converter filters have been rewritten and extended to support s32 as input

Service discovery:
 * Service discoveries can now be written in lua
 * Service discovery for Picture/Music/Video user directories
 * Service discovery based on libudev
 * Shoutcast Service discoveries are now removed

Encoders:
 * x264, add psy-rd parameter and change default settings
 * x264, add profile-limitter same way as x264.exe has, for example
    #transcode{vcodec=h264,venc=x264{profile=baseline,level=1.2},vb=384,width=320,height=176}
 * x264, defaults to crf=23 as x264.exe-does, if bitrate is given,
   uses ABR and if qp-value is set uses CQP
 * libx264-version 0.76 or higher is required
 * x264 has tune/preset parameters supported

Stream output:
 * New smem module, streaming to memory
 * Allow duplicate outputs to be merged, like:
   --sout "#duplicate{dst=transcode{vcodec=mp2v},select=es=0,dst=transcode,select=es=1}:std{...}"

Interfaces:
 * Renamed the legacy rc, telnet and http interfaces to oldrc, oldtelnet
   and oldhttp.
 * rc, telnet and http are now implemented using the lua interface system.
 * qt4 interface contains new iconview and listview mode for playlist

Visualization:
 * Support of .milk visualization files using projectM libraries

Mac OS X Port:
 * Vastly improved VLCKit framework
 * A new dialog provider for libvlc-internal interaction without full interface
 * Improved update detection and installation by using the Sparkle framework
   by Andy Matuschak et al.
 * New CoreText based text renderer replacing the former ATSUI renderer
 * New Video output module (mostly targetting VLCKit)
 * Optimised behavior when using the 2009 Apple Remote

Windows port:
 * Integration in Windows 7 taskbar
 * Playback of .Midi files is supported through fluidsynth's module

Maemo port:
 * Multiple improvements for N900 compliance and efficiency
 * Support for HW accelerated video decoding on N900
 * Improvements to the maemo/hildon interface

Misc:
 * new sqlite module
 * --save-config command line option not supported anymore.
 * Fixed and reenabled netsync module.
 * Improved Solaris port

Bindings:
 * new C++ wrapper around libVLC: libVLCpp
 * phonon-VLC backend is now usable

Removed modules:
 * csri codec: use the libass module instead.
 * galaktos visualisation: use the new projectM module instead.
 * showintf: Useless in Qt and on Mac OS X
 * transrate: broken since too long
 * Xlib x11, Xlib xvideo, Xlib glx: Use the new XCB modules instead.
 * HAL: Use libudev instead.
 * gtk_main, gtk_main2, gnome_main, gnome_main2 and pda interfaces
 * WinCE, BeOS and qnx interfaces
 * opie, qte and qte_main interfaces
 * linear_resampler and trivial_resampler are removed: use the ugly one.
 * XvMC accelerated modules: use VAAPI instead.
 * MGA (Matroska) for Linux: use Linux Framebuffer (or X) instead.
 * opengllayer: use macosx_video instead.
 * cddax: use cdda instead.
 * cmml and tarkin codecs are removed because they are dead codecs.
 * realaudio codecs: use libavcodec
 * access_file removed in favor of filesystem
 * RTMP input and output: use avio module


Changes between 1.0.5 and 1.0.6:
--------------------------------

Access:
 * Fix crash on FTP URI with no file path

Decoders/Packetizers:
 * Fix overflows in A/52, DTS, MPEG Audio and subtitles support

Demuxers:
 * Update LUA script for Youtube pages
 * Fix crashes in AVI, ASF and Matroska files
 * Fix crashes on malformatted ZIP archives
 * Fix crashes and leaks in the FFmpeg/avformat plugin
 * Fix crash on invalid XSPF playlist

X11 port:
 * Partial Xlib threading fixes
   More complete fixes are available in VLC 1.1.0. Please update!

Interfaces:
 * Fix crash (use after free) in Qt4 bookmarks
 * Fix a few crashes in Qt4 playlist

Translations:
 * Simplified Chinese, Estonian, French, Japanese, Korean, Spanish, Swedish
   and Walloon translations updated
 * Sinhala translation started

Removed modules:
 * RTMP input and output are removed due to security problems. Please update
   to VLC 1.1.0 which provides an FFmpeg-based RTMP input if needed.


Changes between 1.0.4 and 1.0.5:
--------------------------------

Decoders:
 * SubRip extra styles improvements
 * Fix potential crashes in SSA and svg decoders

Mac OS X Interface:
 * Improved support for the 2009 Apple Remote

Windows port:
 * Use of gcc 4.4.2 to compile instead of gcc 4.2. This might slightly
   increase performance and fix x264 issues

Translations:
 * Portuguese Brazilian, Lithuanian, Romanian, Ukrainian, Japanese, Bengali,
   Walloon, Galician, Danish, Khmer, Polish, Slovenian, Vietnamese, Finnish
   Russian, Slovak translation updates
 * New Malayalam, Macedoninan, Nynorsk translations


Changes between 1.0.3 and 1.0.4:
--------------------------------

Audio outputs:
 * Fix deadlocks in the audio output core
 * Make PulseAudio the default output if available

Video outputs:
 * Fix fullscreen mode with KDE 4.3.3 and other window managers
 * Fix incompatibility with cairo-dock and compositing

Input:
 * Fix DVB scanning regression from VLC 1.0.3
 * Support for XZ-compressed byte stream (LZMA algorithm)

Playlist:
 * Support for .m3u8 playlist files (UTF-8 M3U)

Unix:
 * Support for xcb-keysyms version 0.3.4 or higher
 * Fix globalhotkeys on FreeBSD

Qt4 interface:
 * Fix opening V4L version 1 devices
 * Fix default destination ports in the streaming wizard

Translations:
  * New Walloon translation
  * Swedish, Ukrainian and French translation updates


Changes between 1.0.2 and 1.0.3:
--------------------------------

Video outputs:
 * Fix video quality when resizing the video on Windows Vista and 7, due to
   regressions in most popular drivers
 * New deinterlacers modules based on yadif and yadif(x2) algorithms

Decoders:
 * Windows version supports now natively the WMA Professional codec, as it
   didn't work in the packaged version of 1.0.2
 * Fix downmixing of particual 4.0 AC-3 audio tracks

Encoders:
 * x264 has profile-limitter, like:
    #transcode{vcodec=h264,venc=x264{profile=baseline,level=12}..}

Input:
 * Update for appletrailers lua script
 * Fixes on the RAR stream filter
 * Fix for E-AC3 in ATSC/TS streams
 * Various fixes for v4l and v4l2
 * Fix a crash in mjpeg demuxer

Service discovery:
 * New udev module for linux

Qt4 interface:
 * Fixes on the playlist and the stream output panels

Translations:
 * French, Galician, Korean, Polish, Russian, Romanian, Slovak and Ukrainian updates


Changes between 1.0.1 and 1.0.2:
--------------------------------

Decoders:
 * Native support for WMA Professional, without the use of the Win32 dlls
 * Fix issues in subtitles, especially SSA ones
 * Various fixes on theora and ogg

Demuxers:
 * Various fixes for EPG support in MPEG-TS demuxer
 * Fixes for potential stack overflow in .avi, .mp4 and .asf demuxers

Access:
 * Fixes for v4l2 devices
 * Fixes for dvb-c channels-scanning

Qt Interface:
 * Fix some playlist sorting issues

Mac OS X Interface:
 * Fixed a crash when updating VLC
 * Fixed a crash related to QTKit when opening video files (10.6 only)
 * Added the ability to play 2nd media in sync to the primary item (input-slave)
 * Added the "Quit after Playback" feature

Mac OS X Port:
 * The "Delete Preferences" script is now delivered as a Universal Binary
   with native code for PowerPC, Intel and Intel 64bit
 * Full 64bit runtime compatibility on both Mac OS X 10.5 and 10.6
   - no support for Goom and SDL
   - limited text rendering support
   - This port is still considered as EXPERIMENTAL despite its binary release.

Encoders:
 * MPEG2 transrate stream output removed
 * x264 default-values closer to x264.exe defaults.
 * x264 rc-behaviour fixes:
   - if user defines qp-value, CQP-mode is used
   - otherwise if user defines vb=0, CRF-mode is used
   - otherwise ABR-mode is used
 * x264 set vbv-bufsize/vbv-maxsize better if user hasn't defined these:
   - ABR mode set vbv-max-bitrate=bitrate
   - vbv-bufsize is bitrate * seconds between keyframes (keyint/fps)


Playlist:
 * Lua scripts for Mpora and Vimeo playback

Unix builds:
 * Various fixes to enable 1.0 to build on Solaris and OpenBSD

Translations:
 * New Kazakh and Croatian translations
 * Lithunanian translation is available on Windows
 * Galician, Korean, Nepali, Vietnamese, Ukrainian, Portuguese Brazilian,
   Arabic and French translation updates


Changes between 1.0.0 and 1.0.1:
--------------------------------

Demuxers:
 * Fix wmv/asf issues that caused audio to drop
 * Various fixes for ac3, mp3, dts and stability for wav format
 * Fix seek in RTSP in conformity to RFC 2326
 * Fix Dailymotion access script
 * Fix crashes in xspf files handler
 * Fix seeking and timing issues in some flv files on Windows version

Access:
 * Add extra caching for files on network shares
 * Prevent integer underflow in Real pseudo-RTSP module, discovered by tixxDZ,
   DZCORE Labs, Algeria

Decoders:
 * Fix seeking in mpeg2 video files
 * Improve SSA subtitles rendering
 * Update most codecs for the Windows and Mac version

Muxers:
 * Fix sound recording of .flv files with mp3 audio

Qt Interface:
 * Possibility to change the opacity level of the Fullscreen controller
 * Fix various crashes and VIDEO_TS folders opening

Mac OS X Interface:
 * Added options to disable support for Apple Remote and Media Keys
 * Fixed options for Volume, Last.fm password and Subtitle Encoding
 * Fixed redraw issues when autosizing the video window
 * Preferences panel now includes help through tool-tips
 * More reliable Information and Messages panels
 * Fix various crashes

Windows port:
 * The ZVBI module is now available for Windows, for complete teletext support

Translations updates for Brazillian, French, German, Korean, Norwegian Nynorsk,
Lithuanian


Changes between 0.9.10 and 1.0.0:
---------------------------------

Important notes:
----------------
 * Alsa and OSS audio capture has been removed from the v4l and v4l2 accesses.
   See 'Access:' for more info.
 * Support for Mac OS X 10.4.x was dropped due to its technical limitations

Playback:
 * Instantaneous pausing
 * Frame-by-Frame playback
 * Finer speed control
 * On-the-fly recording for all medias
 * Timeshift for most medias
 * RTSP trickplay support
 * Subtitles core improvements and fixes

Decoders:
 * New AES3 (SMPTE 302M) decoder
 * New Dolby Digital Plus - E-AC-3 (A/52b) decoder
 * New True HD/MLP decoder and parser
 * New Blu-Ray Linear PCM decoder
 * New QCELP (Qualcomm PureVoice) decoder
 * Improved Real Video 3.0 & 4.0 decoder
 * New WMA v1/2 fixed point integer decoder
 * Closed Captions using the SCTE-20 standard are now correctly decoded
 * Improvement of WavPack decoder to support all integer modes and float mode
 * Corrections on 5.1 and 7.1 channel decoding and ordering

Demuxers:
 * Support for Dirac, MLP and RealVideo in Matroska files
 * Major improvements in RealMedia files opening (.rm and .rmvb)
 * Improvements of the TS demuxer for M2TS files from Blu-Ray and AVCHD
 * Metadata for mod files are supported
 * GSM codecs in Wav files are supported
 * New raw audio demuxer supporting raw PCM streams
 * New Dirac demuxer for raw Dirac streams

Encoders:
 * Dirac encoding using libdirac (supported in Ogg and in TS)
 * Shine mp3 fixed-point encoder

Access:
 * RTSP authentication with Darwin Streaming Server
 * On-the-fly gzip and bzip2 file decompression (except on Windows)
 * Playback for video in uncompressed multi-RAR archives
 * DVB-S and ATSC cards support on Windows
 * New OSS and Alsa accesses. The v4l2 and v4l modules no longer support
   OSS or Alsa audio input. Use --input-slave alsa:// or oss:// if needed.
 * DVB scanning on linux
 * EXPERIMENTAL Blu-Ray Disc and AVCHD Folders support
 * On-the-fly zip file decompression and browsing (MRL of the form
   zip://file.zip!/file.avi to specify the file - the development form of
   zip://file.zip|file.avi is not supported anymore)
 * Opening of any file descriptor using 'fd://'
 * MTP device access on Unix
 * CD-Text support on the cdda module (CD-Audio)
 * :start-time and :stop-time can handle sub-second values

Inputs:
 * Mouse cursor support in x11 and win32 screen modules
 * Screen module now features partial screen capture and mouse following on
   Windows and Mac OS X.

Playlist:
 * Export the playlist in HTML
 * Lua script for BBC radio playback
 * Better metadata handling and reading

Linux/Windows interface:
 * Global Hotkeys on Windows and Linux
 * Various fixes for skins2 interface
 * Recently played items list
 * Interface toolbar customizations
 * Various Improvements on the Qt interface:
    - More menus actions
    - Finer speed slider
    - Improvements on many dialogs
    - New dialog for plugins listing
    - Fixed-size mode for videos
    - Better Teletext, trickplay and encrypted streams control
 * Better integration in GTK environments

Mac OS X Interface:
 * Controllable by the Media Keys on modern Apple keyboards (brushed Aluminium)
 * Reveal-in-Finder functionality for locally stored items.
 * Easy addition of subtitles through the Video menu
 * Additional usability improvements

Stream output:
 * Restored the old mpeg2 transrating module.
 * Multiple bridge-in instances are now possible.
 * bridge-in can be used to configure a placeholder stream.
 * Remote Audio Output Protocol (AirTunes) module.
 * Fixed mosaic memleak. Mosaics are now usable again.

Maemo Port:
 * New Maemo port with:
   - an interface based on Hildon framework.
   - scaler based on the swscale_nokia770 library.

Windows CE Port:
 EXPERIMENTAL work for the winCE port has been done.

Mac OS X Port:
 * EXPERIMENTAL 64bit support
 * Speed improvements by using llvm-gcc
 * New document icons by Dominic Spitaler
 * Support for latest iSight models

Audio output:
 * Removed obsolete Esound and aRts plugins
 * Surround support for PulseAudio

Video output:
 * Effects (cube, torus, etc.) removed from OpenGL video output
 * Video is able to stay in original size and to zoom in fullscreen
   (hotkey 'o') while keeping black borders
 * Image video output has been rewritten into a video-filter named 'scene'.
   The old image video output has been removed.
 * Support for scaling and converting video chromas with FFMPEG imgresample was
   withdrawn due to bugs. Please use the newer FFMPEG swscale instead.

Miscellaneous:
 * Invmem, a fake codec to display images from external applications

New Localization:
 * Khmer
 * Mongolian
 * Sorani


Changes between 0.9.9a and 0.9.10:
--------------------------------------

HTTP Interface:
 * Fixed default ACL

Mac OS X:
 * Fixed crashes on multi-screen setups
 * Corrected volume and subtitle encoding options in the Preferences
 * Improved Information panel behavior, when playlist is not displayed
 * Fixed QTCapture input support for the latest iSight models
 * Added a menu-item to unlock the video window's aspect ratio
 * Fixed redraw issues when autosizing the video window
 * Updated libpng, libgpg-error, libgcrypt, fribidi

Various fixes to the following modules:
 * access:
   - HTTP, SMB
   - updated and additional access scripts (BBC radio, dailymotion, ...)
   - Prevent integer underflow in Real pseudo-RTSP module, discovered by tixxDZ,
     DZCORE Labs, Algeria
 * stream out:
   - RTP, RTSP VoD, Mosaic Bridge
 * decoder:
   - TSCC


Changes between 0.9.9 and 0.9.9a:
---------------------------------

Mac OS X:
 * Updated multiple 3rd party libraries to keep in sync with the Win32 port
 * Playback fixes for PowerPC-based Macs


Changes between 0.9.8a and 0.9.9:
---------------------------------

Decoders:
 * Experimental new decoder for Real Video 3.0 & 4.0

Demuxers:
 * Various fixes related to real demuxer

Mac OS X Interface:
 * Fixed circumstances, which could lead to an empty Information panel
   - Note that VLC will show information on the currently _selected_ item
     instead of the currently _playing_ item, if the playlist is visible in the
     main controller window.
 * Fixed multiple UTF8 issues in the Streaming / Exporting Wizard

Mac OS X Port:
 * Improved video playback performance on Intel-based Macs

New Localizations:
 * Indonesian
 * Bengali
 * Updates of other localizations

Various bugfixes:
 * Support for receiving RTP packets on odd port numbers.
 * Lots of small bugfixes.
 * Correct Fullscreen behaviour on Multi-Screen setups on Windows
 * Telnet fixes on Windows
 * Resampling fixes when transcoding


Changes between 0.9.6 and 0.9.8a:
---------------------------------

Security update:
 * Fixed buffer overflow in Real demuxer (SA-0811, CVE-2008-5276)

Bunch of small bugfixes.


Changes between 0.9.5 and 0.9.6:
--------------------------------
New Localizations:
 * Ukrainian

Security updates:
 * Fixed overflow in CUE support from VCD access (SA-0810, CVE-2008-5032)
 * Fixed overflow in RealText subtitles support (SA-0810, CVE-2008-5036)


Changes between 0.9.4 and 0.9.5:
--------------------------------
Security updates:
 * Fixed buffer overflow in TiVo demuxer (SA-0809, CVE-2008-4686, CVE-2008-4654)
 * Fixed libpng CVE-2008-3964 in Win32 and MacOS builds

Features:
 * Closed Caption EIA 608/708 parsing enabled for libmpeg2

Various bugfixes:
 * Fixed various potential crashes and memleaks
 * Fixed issues with reading from files (especially non-local)

Windows port:
 * Fix bug where interface was "eating" some media keys
 * Fix some crashes in DirectShow access

Qt Interface:
 * Fix bug when the resetting of preferences didn't reset the dialog states
 * Right-click menu to select playlist columns reenabled
 * Various fixed in playlist

Access:
 * MMAP module is now deactivated by default

Translations:
 * Update of Brazillian, Swedish translation


Changes between 0.9.3 and 0.9.4:
------------------------------------
Various bugfixes:
 * Crashes fixed in ogg, vobsub, dvdread
 * Fixes several memory leaks.

Mac OS X port:
 * Apple machines without Quartz Extreme are no longer supported (use 0.9.2 or earlier )
 * Fixed a crash with deletion of old preferences.
 * Fixed targetname for downloaded updates

Windows port:
 * Stability fix for the video output.


Changes between 0.9.2 and 0.9.3:
--------------------------------

Various bugfixes:
 * Fixed DTS channel order on 5.1 systems
 * Fixed pausing behavior for subtitles and for Audio-CD
 * Multiple subtitles and podcast fixes
 * Various crashes fixed in PS, SSA, mkv, xspf, freetype
 * Fixed update system bugs
 * Other bug fixes (dvd language selection, subtitle colours, HTTP keep-alive...+)

Mac OS X port:
 * Fixed ffmpeg slowness on PowerPC-based Macs
 * Fixed crash on startup when installed on old preferences
 * Fixed bug in directory opening on Mac OS X
 * Fixed font selection in the Simple Preferences
 * Thicker border to the subtitle renderer
 * Fixed the appearance of playlist items in the Streaming/Transcoding Wizard
 * Fixed AC3 passthrough on Mac OS X
 * Fixed behavior of the Volume Normalizer settings on Mac OS X
 * Removed the deprecated QuickDraw video output module to avoid crashes on
   modern Mac OS X versions

Windows port:
 * Fixed sensitivity of Fullscreen Controller
 * Fixed error messages on startup when VLC wasn't correctly uninstalled
   before installation
 * Fix showing of controller when returning from fullscreen playback
 * Multiple directory and path location fixes.

Qt4 interface:
 * Added Faster/Slower icons to the controller panel
 * Fixed lost playlist columns when switching the playlist view
 * Added needed options to Simple preferences (to avoid NVIDIA drivers issues)
 * Fullscreen controller: added time label, remembering of last position
 * Fixed drag'n drop behaviour on the playlist
 * Multiple other fixes (Enter hotkey in preferences, Skins selection...)


Changes between 0.9.1 and 0.9.2:
--------------------------------

 * Restored the old behavior of --sout-keep. It is now de-activated by default.
 * Skins2 interface repaired on Windows.
 * Multiple bugfixes.


Changes between 0.9.1 and 0.9.0:
--------------------------------

 * Multiple bug fixes.


Changes between 0.8.6i and 0.9.0:
---------------------------------

Important notes:
----------------
 * This release will need Windows 2000 and Mac OS X 10.4 (Tiger), or more
   recent to work correctly
 * The HTTP interface is now only available on the local machine by default.
   If you want to make it available from other machines, you will have to
   edit the ".hosts" file.
   - On UNIX/Linux, the file is in /usr/share/vlc/http/.hosts
     If you're using the old http interface, it's located in
     /usr/share/vlc/http/old/.hosts
   - On Windows they are in C:\Program Files\VideoLAN\VLC\http\.hosts and
     C:\Program Files\VideoLAN\VLC\http\old\.hosts
   - On Mac OS X, you can find it in VLC.app/Contents/MacOS/share/http/.hosts
     and respectively in VLC.app/Contents/MacOS/share/http/old/.hosts
 * This version of VLC contains a new interface for Windows and Linux.
   This interface has a fullscreen controller and simplified preferences.
   This interface lacks the "Streaming Wizard" that used to be present in VLC
   0.8.6, but provides basic profiles.
 * The behavior of --sout-keep was changed. It's now activated by default.
 * The marq, mosaic and logo commands in the rc interface changed. They
   now require a target name as their first argument. Example:
   vlc --sub-filter "marq@test{marquee=Hello}" -I rc <somevideo>
   You can then use commands like: @test marq-marquee Goodbye
   If you didn't name the object using @test, its name will default to the
   plugin name (hence 'marq') in this example.
   These new commands are also available in the telnet interface.
 * The "rtp" access output module has been removed.
   Please use the RTP stream output instead, e.g.:
     Old: '#std{access=rtp,mux=ts,dst=239.255.1.2:5004,sap}'
     New: '#rtp{mux=ts,dst=239.255.1.2,port=5004,sap}'
 * You now need to append --m3u-extvlcopt to your command line to enable
   EXTVLCOPT options parsing in m3u playlists. Note that only a limited set
   of options is available to m3u playlists (CVE-2007-6683).
 * The old access:url syntax is no longer supported to resolve ambiguities
   with some file names. Use access://url instead.
    E.g.:  vlc:quit -> vlc://quit ;
           udp:@239.255.12.12 -> udp://@239.255.12.12
 * The ffmpeg module has been removed and replaced by the new avcodec,
   avformat, swscale (or imgresample if you use a swscale-less ffmpeg build)
   and postproc modules.
 * The web plugins ActiveX (IE)/Firefox/Mozilla/Safari now recognize the
   following states: IDLE/CLOSE=0, OPENING=1, BUFFERING=2, PLAYING=3, PAUSED=4,
   STOPPING=5, FORWARD=6, BACKWARD=7, ENDED=8, ERROR=9. With FORWARD and
   BACKWARD being reserved for future implementations and are thus not
   functional atm.
 * Croping and padding in transcode are now done using the croppadd video
   filter. For example:
   transcode{vcodec=mp2v,vfilter=croppadd{cropttop=20,cropbottom=30,paddleft=100}}
 * Canvas setting in transcode is now done using the canvas video filter.
   For example:
   transcode{vcodec=mp2v,vfilter=canvas{width=640,height=480}}
 * Glide video output module has been removed.

Changes:
--------

Security updates:
 * Updated libfreetype on Windows and Mac OS X (CVE-2008-1806, CVE-2008-1806,
   CVE-2008-1807)
 * TTA Parser improvements (CVE-2008-3732)
 * MMS Access Module improvements (CVE-2008-3794 )

Playlist:
 * Vastly improved playlist support:
    * Media library creation to save all your playlist items
    * "Live search"
    * Shoutcast TV listings
    * Audioscrobbler/Last.FM support
 * Album art support
 * User definable Lua playlist scripts. See share/lua/playlist/README.txt
   (Default scripts open YouTube, DailyMotion, metacafe, Google Video and
   lots of other URLs)
 * User definable Lua album art fetcher scripts. See share/lua/meta/README.txt

Inputs:
 * Video for Linux 2 (V4L2) input support
 * UDP-Lite transport for RTP/AVP
 * DCCP transport for RTP/AVP
 * Proxy support for MMSH stream
 * JACK audio input support
 * Input run time option (improved live stream recording)
 * BDA devices access module for DVB-C/S/T capture cards on Microsoft Windows
 * Re-written Screen access module for Mac OS X
   using OpenGL instead of QuickDraw
 * Screen module now supports partial screen capture and mouse following on X11.
 * Experimental EyeTV access module
   This requires the user to install a plugin to EyeTV.app
   (available as a separate download).
 * Simple RTP input (with MPEG A/V, G.711 and PCM support).
 * RTMP input support
 * QTKit-based Input module for Mac OS X allowing display and streaming of video
   taken from all iSight-labelled video cameras (no audio support)
 * HTTP access now supports gzip compressed data and Digest Access
   Authentication.
 * New options to reduce latency between arrival of raw data and display of
   frames. (--auto-adjust-pts-delay and --use-stream-immediate)

Demuxers:
 * MP4 gpac and Apple chapter support
 * Fixed playback of AIFF stereo files
 * Fixed audio glitch on seek
 * Improved FLAC demuxer (duration / current time / meta data)
 * AAC tags support
 * APEv1/2 tags support
 * Improved ID3v2 tags support
 * Improved Ogg/Vorbis tags support
 * Raw video support
 * Standard MIDI File (types 0 & 1) support
 * TiVo Series 2 support
 * CD+G karaoke Files support
 * MXF files support
 * OMA support

Decoders:
 * VP60/VP61/VP6F/VP62 support
 * Flash Screen Video support
 * CamStudio Screen Video support
 * DosBox Capture support
 * Karl Morton's Video support
 * limited atrac3 support
 * Fraps support
 * Fluidsynth MIDI software synthesis (with external sound fonts)
 * New codec FOURCCs to support more specific files:
   Avid, FCP, Sony, Samsung, ...
 * H.264 PAFF support
 * DNxHD / VC-3 support
 * NellyMoser ASAO support
 * APE (Monkey audio) support
 * RealVideo support (with the RealVideo run-time)
 * Dirac video support using libschroedinger

Subtitles:
 * Closed Caption Decoder (DVD, ReplayTV, TiVo, DVB/ATSC)
 * VBI & EBU (Teletext) support (*nix, Mac OS)
 * Ogg/Kate subtitles support
 * AQTitle subtitles support
 * MKV USF subtitles support
 * HTML-based subtitles support
 * MPSub subtitles support
 * JacoSub subtitles basic support
 * MPL2 subtitles support
 * Rewrite of ASS/SSA scripts and subtitles support
 * PowerDivx (.psb) Subtitles support
 * Realtext subtitle support
 * DKS subtitle support
 * SubViewer 1.0 (SubRip09) subtitles support
 * Correct Right-to-left languages in subtitles support

Encoders:
 * Flash Screen Video support
 * Improved H.264 encoding speed

Video outputs and filters:
 * New CoreAnimation-based output module (VLCKit framework on OS X only)
 * Adjust, Invert and Distort (now split into Wave, Ripple, Gradient and
   Psychedelic) video filters can now be streamed
 * New puzzle video output filter
 * Re-written motion detection video filter
 * New extract video filter (extract Red, Green and Blue components from a
   video)
 * New sharpen video filter (increase the contrast of adjacent pixels)
 * New erase video filter (removes logos from a video)
 * Enhanced subtitles' renderer to support bold, italic and some HTML tags
   (Google Summer of Code Student project)
 * Support for RGBA and I420 blending.
   The latter improves Mosaic CPU usage *a lot*.
 * New transparency mask video filter (for use with the mosaic_bridge module).
 * New bluescreen video filter (for use with the mosaic_bridge module).
   This was previously part of the mosaic module.
 * Fixed random characters problem in RSS filter.
 * Add rotate-deciangle for more precision on rotate filter
 * Support for Intel SSE2 instruction set in chroma converters
 * Improved use of Intel MMX instruction set in chroma converters
 * New croppadd and canvas video filters.

Audio outputs and filters:
 * Replay gain support
 * Audio playback when going slower/faster (with pitch correction via
   new scaletempo audio filter)
 * New spatializer audio filter
 * Correct DTS output via S/PDIF

Stream output:
 * RTSP for TS-multiplexed broadcast streams
 * New RTP payload formats:
   * Speex voice audio codec
   * ITU T.140 (for text, subtitles) output
   * G.711 (both A-law and µ-law) output
 * UDP-Lite transport for RTP
 * DCCP transport for RTP
 * Lots of fixes for RTSP broadcasting
 * RTMP output

Interfaces:
 * All
   * New Simple Preferences dialogs showing the most important settings in an
     end-user suitable way.
   * Improved user interaction
   * Improved mouse gestures
   * Vastly improved Update checker
   * Full support for meta data editing (ID3v2, Ogg/Vorbis, AAC, APEv1/2)
 * Windows/Linux
   * Brand new interface for Linux and Windows, based on the Qt toolkit
   * Fullscreen controller (transparency on Linux+Composite)
 * Mac OS X
   * Improved video output features
   * Online access to VideoLAN's Help Wiki within VLC
   * New setting to disable the "Recent Items" service
   * When playing Radio (live) streams, the current track is shown correctly
   * Correct appearance on Macs using Aqua's graphite theme
   * Simplified Extended Controls panel
 * Ncurses:
   * Correctly displays wide characters when using an UTF-8 locale,
     if libncursesw is available.
   * Some nice colors if the terminal supports it (most do)
 * Experimental Lua interface modules. See vlc -I lua and
   share/lua/intf/README.txt for more info.
 * Unix
   * Option to allow only one running instance, using D-Bus interface.
   * D-Bus Interface implementing the MPRIS
     (Media Player Remote Interfacing specification), a common dbus control
     interface for media players that intends to become an xdg standard when
     finished: http://wiki.xmms2.xmms.se/index.php/Media_Player_Interfaces .
   * Motion module using disk accelerometers to keep video horizontal
   * Plugin to set Telepathy presence message using MissionControl
 * Fixed VLM schedule time on Linux

Linux Port:
 * VLC now complies with the XDG Base Directory Specification version 0.6
   http://standards.freedesktop.org/basedir-spec/basedir-spec-0.6.html
   (which means that VLC doesn't use the $HOME/.vlc directory anymore)

Mac OS X Port:
 * Mac OS X Framework "VLCKit" that can be used to embed VLC in third party
   applications (Google Summer of Code Student project, Mac OS X 10.5 only)
 * New text renderer based on Quartz replacing the existing Freetype solution
 * Complete compatibility with Mac OS X 10.5 Leopard
   * It is now required to compile a fully featured build
 * The support of Mac OS X 10.3.9 and QuickTime 6.x was discontinued.

LibVLC:
 * Event management and various improvements in libvlc
   (Part of a Google Summer of Code Student project)

New Localizations:
 * Finnish
 * Persian
 * Polish
 * Punjabi
 * Bulgarian

Developers:
  * LibVLC now supports externally built plugins properly.
    A "vlc-plugin" pkg-config package is provided.
  * Java bindings are now built from a separate source.


Changes between 0.8.6h and 0.8.6i:
----------------------------------

Security updates:
 * Fixed integer overflow in WAV demuxer (CVE-2008-2430)

Various bugfixes:
 * Fixed option to use shared memory within the GLX video output module
 * Improved galaktos-based audio visualizations on FreeBSD
 * Miscellaneous bugfixes in multiple modules and in libvlc
   (transcode stream output, OSD menu video filter, VCD input,
    SAP services discovery, http control interface)
 * Updated Polish translation


Changes between 0.8.6g and 0.8.6h:
----------------------------------

Security updates:
 * Updated GnuTLS and libgcrypt on Windows and Mac OS X (CVE-2008-1948,
   CVE-2008-1949, CVE-2008-1950)
 * Updated libxml2 on Windows and Mac OS X (CVE-2007-6284)

Goodies:
 * Updated libebml and libmatroska on Mac OS X. Reliability improvements.
 * Miscellaneous bugfixes in multiple modules and in libvlc
   (ftp access, record access filter, video filters, RC interface,
    playlist demuxer, IP networking, MPJPEG muxer, stream outputs)
 * Improved support for MPEG2 content created by Final Cut Pro
 * More reliable audio reception for MPEG TS streams
 * Fixed a regression in 0.8.6g where usage of the snapshot feature could lead
   to an unexpected application termination
 * New Serbian translation
 * Updated Romanian translation


Changes between 0.8.6f and 0.8.6g:
----------------------------------

Security updates:
 * Removed VLC variable settings from Mozilla and ActiveX
   (CVE-2007-6683, VideoLAN-SA-0804)
 * Removed loading plugins from the current directory
   (CVE-2008-2147, VideoLAN-SA-0805)
 * Updated libpng on Windows and Mac OS X (CVE-2008-1382)
 * Fixed libid3tag denial of service (CVE-2008-2109)
 * Fixed libvorbis vulnerabilities (CVE-2008-1419, CVE-2008-1420, CVE-2008-1423)
 * Fixed speex insufficient boundary check (CVE-2008-1686, oCERT-2008-004)

Various bugfixes:
 * Fixed various memory leaks, improving stability when running as a server
 * Fixed compilation with recent versions of FFmpeg
 * Correctly parses SAP announcements from MPEG-TS
 * Fixed AAC resampling
 * The Fullscreen Controller appears correctly on Mac OS X,
   if the 'Always-on-top' video option was selected.


Changes between 0.8.6e and 0.8.6f:
----------------------------------

Security updates:
 * Really fixed subtitle buffer overflow (CVE-2007-6681, CVE-2008-1881)
 * Fixed Real RTSP code execution problem (CVE-2008-0073)
 * Fixed MP4 integer overflows (CVE-2008-1489, CVE-2008-1768)
 * Fixed cinepak vulnerabilities (CVE-2008-1769)
 - More information can be found in VideoLAN-SA-0801 and VideoLAN-SA-0803.

Various bugfixes:
 * The Mozilla plugin registers a usable range of MIME-types on Mac OS X
 * Improved VLC's video output behavior on multi-screen setups running Mac OS X
 * Fixed crashes in H264 packetizer
 * Close MMS access on network timeout
 * Fix some problems with AAC decoder & packetizer


Changes between 0.8.6d and 0.8.6e:
----------------------------------

Various bugfixes:
 * Resume playback for viewing content over FTP
 * Fixed XShm detection with remote X11

Security updates:
 * Subtitle demuxers overflow (CVE-2007-6681)
 * HTTP listener format string injection (CVE-2007-6682)
 * Fixed buffer overflow in the SDL_image library (CVE-2006-4484)
 * Real RTSP overflows (CVE-2008-0225, CVE-2008-0295, CVE-2008-0296,
   VideoLAN-SA-0801)
 * Arbitrary memory overwrite in the MP4 demuxer (CORE-2008-0130,
   VideoLAN-SA-0802)

Audio filter:
 * Fixed DTS to S/PDIF converter

Audio output:
 * Fixed 5.1 audio on ALSA

Access:
 * Fixed some RTSP hanging and user/password passing through RTSP URLs

Stream output:
 * Fixed waiting for SPS/PPS problem in H.264 packetizer

Encoders:
 * Improved compatibility for creating H.264 video files playable on iPhones
 * Improved detection of optimal amount of threads for multi-threaded H.264
   encoding on multi-cpu systems
    - Note that this is used when transcode threads is set to 0 (default)
    - Not supported on Windows (multiple threads require manual configuration)

Mac OS X Interface & Port:
 * Restored compatibility with Mac OS X 10.3.9
 * Corrected behavior of the Preferences panel
 * VLC no longer crashes on quit while playing

Localization:
 * Updated Romanian and Polish translations


Changes between 0.8.6c and 0.8.6d:
----------------------------------

Various bugfixes:
 * Mozilla plugin: supports a reasonable amount of MIME types on Windows
 * Linux: Fixed S/PDIF passthrough with ALSA
 * Automatic recovery on unexpected stream discontinuity (clock gap) occurrences
   in input
 * Use field order (top/bottom) for correct bob/linear deinterlacing
 * Fix invalid free in bookmarks loading code

Windows and Mac OS Binaries
 * FLAC Security Update (CVE-2007-4619) to prevent multiple integer overflows

Active X plugin:
 * Security update (VideoLAN-SA-0703, CVE-2007-6262)

Mac OS X Interface & Port:
 * Apple Remote support on Mac OS X 10.5 Leopard with enhanced functionality
 * Improved Video Output compatibility for Mac OS X 10.5 Leopard
 * Improved behavior of the Fullscreen Controller and mode changes between
   Fullscreen and Windowed Video Output
 * Softened the white flash artifacts that may appear during the transition of
   two different movies
 * Support for current Ogg file formats
 NOTE: This release requires Mac OS X 10.4 or higher.
       Mac OS X 10.3.9 is not supported anymore.

Encoders:
 * Improved H.264 encoding speed on Mac OS X

Other changes:
 * The automatic updating facility was removed
 * You now need to append --m3u-extvlcopt to your command line to enable
   EXTVLCOPT options parsing in m3u playlists.
 * RTSP server remote denial of service fixed (CVE-2007-6684).


Changes between 0.8.6b and 0.8.6c:
----------------------------------

Various bugfixes, notably:
 * Windows Vista compatibility
 * Cropping in Direct3D
 * Fullscreen change crash on Mac OS X
 * RSS filter string overflow
 * Few memory leaks
 * MKV demuxer crash (related to seeking)

CDDA / Vorbis / Theora / SAP plugins:
 * Security updates (VideoLAN-SA-0702, CVE-2007-3316, US-CERT VU#200928)

Demuxers:
 * Fixed a problem with detecting embedded subtitles (GAB2 format) in AVI
 * Prevent WAV file integer overflow (CVE-2007-3467 & CVE-2007-3468)

Decoders:
 * Updated FLAC API compatibility

Input:
 * Support for new v4l2 encoder API

Localisation:
 * New localisation: Arabic, Persian


Changes between 0.8.6a and 0.8.6b:
----------------------------------

Various bugfixes, notably:
 * Out-of-bound read in demuxers
 * Demuxers crashes (incl. CVE-2007-0256)
 * Mac OS X Interface crashes
 * VP31 decoding on Windows platforms
 * Direct3D Video Output modifications for Vista compatibility
 * Correct behaviour for feeding streams to Icecast or Shoutcast servers

Decoders:
 * Enhanced Flash Video support incl. VP61 and VP60
 * Teletext subtitles (telx) support

Webbrowser plugins:
 * Rectified behaviour and improved usability

Mac OS X Interface & Port:
 * Diverse usability improvements
 * New wizard option to embed subtitles
 * Screensaver/automatic sleep mode is enabled when a video is paused
 * Improved Delete-Preferences-Script


Changes between 0.8.6 and 0.8.6a:
---------------------------------

CDDA / VCDX plugins:
 * Security updates (VideoLAN-SA-0701, CVE-2007-0017)

Mac OS X Interface:
 * Fullscreen controller improvements


Changes between 0.8.5 and 0.8.6:
--------------------------------

Playlist:
 * Shoutcast TV listings support

Input:
 * Support for RTSP authentication
 * Support for adding subtitles on the fly
 * Fixed MPEG-PS duration calculation
 * ATSC support for DVB input
 * Partial reading support for DVR-ms recordings
 * Partial reading support for MXF and GXF fileformat
 * Improved support for Flash Video files

Decoders:
 * Native WMV9/VC-1 support
 * WMA Speech support (through binary codecs)
 * VP5/VP6 - Flash Video support (not VP61)
 * The True Audio Lossless codec support
 * Matroska WavPack support
 * Improved H.264 support (interlaced, speed improvements etc but no PAFF)
 * Fixed a problem with MPEG2 field pictures
 * Fixed swapped colors on DVB subtitles

Video output:
 * Additional OpenGL effects (cylinder, torus, sphere, ...)
 * Experimental Direct3D 9 video output (win32). Best served on Vista :)
 * Improved libcaca support

Interfaces:
 * All
   * New hotkeys for crop and zoom
   * Support for snapshots from the HTTP interface
 * Windows
   * Systray support in skins
 * OS X
   * Support for Apple Remote control
   * Fullscreen controller panel (artwork by Simon Damkjær Andersen)
   * New playmode buttons (artwork by Simon Damkjær Andersen)
   * right/ctrl-click menu in video outputs
   * Main Menu uses autohide when playing videos in fullscreen mode
 * Linux
   * Notifications using notification-daemon

Windows port:
 * Support for Unicode filenames (Windows NT and above)
   Windows 9x/ME users:
     - Please note that these versions of Windows are not officially supported
     - Unicode support for Windows 9x/ME applications is available through the
       Microsoft Layer for Unicode available from the following location:
       http://www.microsoft.com.nsatc.net/globaldev/handson/dev/mslu_announce.mspx
       Download the MSLU package (unicows) and extract the content into the folder
       C:\Windows\System
 * Fixed IPv6 support on the client side
 * Fixed disable screensaver (Direct3D and DirectX video output)

Localization:
 * Add Czech
 * Add Slovak
 * Add Malay
 * Add Slovenian

Developers:
 * Updates to the libvlc API
 * Fixes for the mozilla and activeX plugins


Changes between 0.8.4a and 0.8.5
--------------------------------

Core support:
 * Statistics collection (bitrates, packets, connections, ...)
 * Support for downloading updates
 * Updated strings

Input:
 * Initial support for RTSP-over-HTTP (to allow NAT traversal)
 * Linux DV (Digital Video - Firewire) input
 * Improvements to the Audio CD input
     - Separate playlist entries for the tracks
     - Support for CDDB
 * Support for more DVB (satellite) encryption modules
 * Improved subtitles encoding support
 * Improved support for playing MP4 files from the Web

Decoders:
 * Cook (Real audio) support

Playlist / Services discovery:
 * XSPF playlist support
 * Podcast support
 * Updated Shoutcast to use new listing

Audio output:
 * New JACK audio output

Video output:
 * New video filters:
    - magnify: allows you to zoom on part of the image
    - gradient and edge detection: "cartoon-like" effect
    - bluescreen: overlay parts of a video transparently on another one
 * Logo video filter: can now loop through multiple images
 * RSS video filter: display feed images. Support for Atom feeds.
 * Improvements to the subtitles rendering

Stream output:
 * Initial support for throttling users on VOD streams

Interfaces:
 * System to inform the user and request information
    - HTTP authentication
    - Fatal errors
    - ...
 * wxWidgets
    - VLM (VideoLAN Media Manager) control panel
    - Improved media information panel (shows statistics, metadata, ...)
    - Drag & Drop support in the playlist
 * Skins2
    - New default skin
    - Support for Winamp 2 skins
    - Improved playlist handling
    - Support for popup menus, animated bitmaps, equalizer, ...
 * OS X
    - Embedded Video output
    - new Go-To-Specific-Time feature
    - Video cropping and aspect ratio changing while playing
    - Improved media information panel (shows statistics, metadata, ...)
    - support for processing multiple items with the wizard in a single run
    - option to save selections in the wizard for a session (default enabled)
 * HTTP
    - New default interface pages for VLC and VLM (including a mosaic wizard)
    - A bunch of new RPN functions

Windows Port:
 * MSN messenger "Now playing" support

OS X Port:
 * Mac-Intel compatibility
 * Enhanced support of various audio output devices
 * Growl "Now playing" support

*Nix port:
 * Ability to log to syslog
 * Root wrapper to avoid running VLC as root

Developers:
 * New libvlc API (not finished yet)
 * Java bindings
 * A bit more automatic testing


Changes between 0.8.4 and 0.8.4a:
---------------------------------

Audio output:
 * Fix a52 over spdif in alsa
 * SPDIF output available again in the Mac OS X Audio menu.

Decoder:
 * Add support for new BMP and Cook (RealAudio G2) decoders in ffmpeg
 * Add support for some non-standard FOURCCs used for H.264/H.263

Demux:
 * Fix bug with some HE-AAC audio tracks

Services Discovery:
 * HAL fixes, should now work with new API
 * SAP, fix 20 second freeze on windows
 * UPnP fixes
 * Avahi 0.6 support

Interfaces:
 * Mac OS X
    - fixed encoding of H.264/H.263 content when using the wizard


Changes between 0.8.2 and 0.8.4:
--------------------------------

Core support:
 * Internal strings handling is now UTF-8 based
 * New OSD system

Video output:
 * Fixed problems with OpenGL output
 * New --monitor-par (pixel aspect ratio) option
 * Fixed display problems with HDTV-1080 format

Input:
 * Improved DVB support for satellite bands other than Ku-band
 * IPv6 and Extended passive mode support for FTP
 * IPv6 Source Specific Multicast support
 * GnomeVFS input module
 * Support for RTP packet reordering
 * Fixed syntax for FTP URLs

Decoders:
 * Support for libSDL_image to import different image types
 * Musepack decoder using libmpdec
 * QDM2 audio support (needs ffmpeg from 19th Oct 2005 or later)

Services discovery:
 * UPnP service discovery (Linux only at the moment)
 * Bonjour service discovery using avahi (Linux only)

Video filters:
 * RSS feed overlay

Audio filters:
* Fixes, enhancements and new options related to the Headphone Channel
  Mixer and Dolby Surround

Stream output:
 * New shout output module to forward streams to icecast servers
 * Fixed several SAP and SDP announcement bugs
 * Fixed MTU handling to avoid IP fragments

Interfaces:
- new cone icon by Richard ¯iestad (Eurodata, retron.info)
 * Mac OS X
    - New streaming and transcoding wizard
    - New extended controls panel
    - New bookmarks window
    - Fixed playlist sorting
    - Fixed drag-and-drop inside the playlist
 * wxWidgets
    - Rename wxWindows interface in wxWidgets.
    - All the --wxwin-* options are now --wx-*
    - Support for RTP streaming in Stream Output dialog
    - Now require wx2.6 with Unicode support
 * Skins2
    - Tree playlist
 * HTTP
    - New RPN functions to control VLC features (see play-howto)
    - Facilities to correctly handle non-ASCII characters and spaces in
      the names of files
    - Include macro to include other files
    - CGI 1.0 support

ActiveX plugin:
* Should now work outside IE as well

Mac OS X port:
* New script to delete the preferences automatically

Windows port:
* Fixed bandwidth problems of HTTP streaming
* Fixed audio problems with DirectX audio output

Translations:
 The following languages were added:
 * Galician
 * Korean
 * Romanian
 * Simplified Chinese
 The following languages were re-added:
 * Swedish


Changes between 0.8.1 and 0.8.2:
--------------------------------

Core support:
 * Rewrite of the playlist
    - Tree structure
    - Input preparsing (for meta-data)
    - Grouping (by artist, ...) support
 * Preferences improvements:
    - New organization, designed to improve usability
    - New configuration types (list of modules, ...)
 * XML parsers
 * Core image manipulation support
 * Client-side SSL/TLS support
 * SSL Client certificates checking support (allows for secure VoD)
 * Renamed --spu-channel to --sub-track
 * Renamed --spumargin to --sub-margin
 * Renamed --audio-channel to --audio-track
 * Renamed --filter to --vout-filter
 * filters, extra interfaces, visualizations and service discovery modules are
   now separated by ':' instead of ','
 * Access filter architecture
 * Track selection based on preferred language (--sub-language and --audio-language)
 * Zsh autocompletion for VLC's arguments
 * Many bugfixes...

Input/Demuxers:
 * Support for SOCKS proxy
 * Support for Shoutcast Meta-data
 * Support for (HE-)AAC raw-audio streams
 * Support for images on a HTTP server that get refreshed on the server
 * Better support for Kasenna streams
 * RTSP UDP->TCP rollover support
 * Massive Matroska improvements
 * Support for XA and VOC audio files
 * TiVo demuxer
 * Samba (Windows shares) access module
 * Improved CDDAX module (uses several playlist items)
 * Fixes to Linux DVB support
 * Fix the "negative subtitles delay" bug
 * Support for FTP over IPv6

Decoders / Encoders:
 * Dirac decoder and encoder
 * PNG decoder/encoder
 * Improvements to DVB subtitles encoder
 * Support for Apple Lossless Audio Codec

Access filters:
 * New Record and Timeshift filters

Services discovery:
 * New type of modules, that add items to the playlist
 * Brand new SAP module
     * To enable SAP, you now need to use "-S sap" or add SAP in
       the "Manage->Services Discovery" menu
     ( IPv6 SAP is now enabled by default )
     * Non-standard support for HTTP streams SAP announces removed
 * HAL (Hardware Abstraction Layer) discovery
 * DAAP (iTunes shares) support
 * Shoutcast

Audio output:
 * Support for 20/24 bits LPCM

Video output:
 * Video snapshot support (png or jpg)
 * Image file video output (png)
 * Motion detection filter (can trigger playlist actions)
 * Improvements to wall video filter
 * Support for font color and opacity

Stream output:
 * Muxers
    - ASF improvements
 * VLM / VoD
    - Ability to load a configuration file on startup
    - Seeking support in VoD streams
 * Mosaic (picture-in-picture system)

Interfaces:
 * wxWidgets
    - Redesigned playlist : add playlist, add directory, ...
    - Improved preferences
    - Improvements to the wizard
    - DVD, VCD and Audio CD navigation buttons
 * MacOS X
    - Redesigned playlist
    - Improved preferences
 * Skins
    - Support for multiple actions
    - Fixes
 * HTTP
    - Support for the new playlist system
 * Lirc
    - Now uses new config settings. See doc/lirc/example.lirc

Windows port:
 * Screensaver disabling fix
 * DirectShow tuner configuration
 * Support for no-decoration windows

MacOS X port:
 * Many Mac OS X 10.4 Tiger related fixes
 * The OpenGL video output is back
 * A new audio module that should work more reliable for analog audio output in various configurations.
   - Supports multichannel discrete analog output
   - Digital audio output requires you to change a preference setting because it
     is not yet available in the new module
   - Please read the README.MacOSX.rtf file for more information.

BeOS port:
 * Support for single-buffered overlay

Pocket PC port:
 * Many fixes
 * New interface
 * New video output

Mozilla Plugin:
 * Javascript fixes
 * Mozilla plugin for MacOS X is back (not yet distributed)

IE Plugin:
 * Brand new Internet Explorer ActiveX plugin

Translations:
 The following languages were added:
 * Catalan
 * Danish
 * Turkish


Changes between 0.8.0 and 0.8.1:
--------------------------------

Core support:
 * Include TLS/SSL API (on plattforms where libgnutls is available)
 * SSL support in the HTTP daemon (HTTP stream output and HTTP interface)

Windows port:
 * Fixed win32 multichannel audio output support (which was broken in 0.8.0)
 * Fixed DV and MPEG (WinTV PVR 250/350) support in the dshow input
 * Fixed spurious taskbar item after switching to fullscreen

WinCE port:
 * A few more updates (we still miss an interface and a fast video output).

Audio Output:
 * Portaudio audio output plugin improvements

Video Output:
 * Proper subpictures scaling using the aspect-ratio info when available

Demuxers:
 * Fixed crash with ODML avi files
 * Fixed autodetection of VCD/SVCD bin files
 * Supports Kasenna VoD (MPEG2 only) and simulcast streaming

Stream Output:
 * Encoders:
   * Fixed aspect ratio and interlaced support in ffmpeg encoder module
 * Stream output:
   * Support of playlist group announcement


Changes between 0.7.2 and 0.8.0:
--------------------------------

Core support:
 * Major work on libvlc. Changed/renamed/added functions
 * Complete switch to the new input core (better seeking, multi-input, ...)
 * New plugins cache to speed up launch time
 * New --play-and-stop feature which stops the playlist after each played item
 * Daemon mode (to run vlc in the background)
 * Major improvements to the subtitle/OSD subsystem

Input:
 * New screen capture input plugin for X11, Win32, BeOS and Mac OS X
    (Stream your desktop)
 * Improved DVD support:
    - uses libdvdnav for playing DVDs with menus support
    - uses libdvdread for simple playback with menus (eg. for streaming)
 * Experimental multi-input support ( use --input-slave to play with it )
 * Automatic MTU discovery for UDP streams
 * More powerful MRL syntax for DVD/VCD/CDDA access
    (selection of titles/chapters).

Demuxers:
 * Support for iTunes Music Store previews
 * Support for MJPEG webcams (i.e. AXIS cams)
 * Added initial mp4 and mpeg-ts text track support
 * Windows Media Server RTSP support
 * Support for MPEG TS streams with error correction (204/192 bytes TS packets)
 * Support for DTS audio in MPEG TS (ETSI TS 102 154 Annex G)
 * Skins2 .vlt file loader (only when skins2 is the current interface)
 * Improved Ogg demuxer
 * Support for MPEG PS streams with MPEG 4 video.
 * Support for so called AACPlus webstreams

Codecs:
 * G.726 audio support
 * 14496-17 MPEG TS text support
 * MPEG-4 text support
 * Vastly improved DVB subtitles decoder (ETS 300 743)
 * Enabled color in DVB subtitles rendering
 * VobSub supported both externally and in Matroska

Stream Output:
 Encoders:
  * Re-use audio/video/spu decoders in transcoder module. From now on,
     everything that is playable by VLC should be transcodable as well
  * Subtitles overlaying in transcoder
  * Subpictures overlaying in transcoder (see video output)
  * Frame rate selection in the transcoder
  * DVB subtitles encoder
  * MPEG 1 layer 2 audio encoder using libtoolame
  * Improved vorbis/theora encoding
 Muxers:
  * Text track muxing for mp4
  * Multipart mjpeg muxing. Your video is directly viewable in a Mozilla Browser
  * 14496-17 text track muxing for MPEG TS
  * Support for DTS audio in MPEG TS (ETSI TS 102 154 Annex G)
  * Teletext (0x56 descriptor) streaming support in MPEG TS.
  * New WAV muxer (supports multi-channel audio)
  * Improved ASF muxer
 Misc:
  * H.263 RTP streaming support
  * SDP generation outputs more compliant SDPs and can create SDP files now
  * Improved RTSP and VoD server (experimental)

Audio Output:
 * New audio equalizer filter
 * Very trivial volume normalizer
 * True channel downmixing when playing 5:1 material on Stereo
 * More gradual resampling which should improve the pitch changing effect
 * New audio output plugin using portaudio v19

Video Output:
 * Roku HD1000 Video output
 * Experimental generic OpenGL video output (X11, Win32, MacOS X)
   with support for effects.
 * Improved filter and subpictures support :
    - New filters can be streamed.
    - "Subpicture filters" to overlay subpictures on video
    - Centralized scaling and blending
 * New filters :
    - "time", to display current time
    - "marq", to display a marquee

Interfaces:
 * OSD sliders for volume and postition information
 * OSD icons for Play and Pause
 * New Streaming Wizard for Windows and Linux default interfaces (wxWindows)
 * A few skins2 improvements
 * Added search, volume, loop and random functions to the ncurses interface
 * Added a filesystem browser to the ncurses interface
 * The remote control interface can now listen for commands on sockets
 * Improved CORBA control module

Mac OS X port:
 * Fixed the "cannot set buffersize:[nope]" coreaudio problem
 * Major speed improvements to the Quartz video output
 * The Mac OS X interface is no longer required to display video

Linux port:
 * New galaktos visualization plugin (MilkDrop-compatible)
 * Experimental SVG rendering module
 * Support for DVB CAM modules.

Windows port:
 * DirectX Media Object decoder (allows playing some media types, like WMV3)
 * DirectX Media Object audio and video encoder
 * Fixed long standing win32 thread handles leak
 * Fixed problem with CPU usage with subtitles rendering
 * Wallpaper mode for the DirectX video output (only in overlay mode)

WinCE port:
 * Massive update (we still miss an interface and a fast video output).

Mozilla plugin:
 * Added a lot of Javascript accessible funtionality
 * Volume, position, length, seek etc etc etc.

Misc:
 * Server/client network synchronization module
 * VBrick streams fully supported
 * Cisco IP/TV streams supported
 * VLM enhancements


Changes between 0.7.1 and 0.7.2:
--------------------------------

Core support:
 * Bookmarks feature for easier seeking/access inside medias.
 * Support for video output embedded in interfaces.
 * Improved HTTP daemon.
 * Saved playlists now remember VLC-specific options.

Codecs:
 * New Continuous Media Markup Language (CMML) codec.
   (http://www.annodex.net/overview.html)
 * New H.261 video decoder using openmash.
 * H264 encoder, demuxer and packetizer.
 * Packetizer interfaces between demux and codec when needed
   (allows using ffmpeg plugin to decode MPEG streams and better aac decoding).
 * Support for Theora alpha3 (both decoding and encoding).

Input:
 * --start-time <sec> and --stop-time <sec> to start and stop playing a
   file at the specified amount of seconds. Only works with a few
   fileformats (avi, mov, mkv, mp4 )
 * Improved directory access module.
 * New "file-cat" option to play truncated movies.
 * Better handling of meta info (title, author, description, etc...).
 * New options to pass meta info to the input.
 * It is now possible to stream programs from a DVB-S/C/T stream
   (satellite, cable, or digital terestrial television)

Demux:
 * Annodex (http://www.annodex.net) support.
 * mmsh streaming fixes.
 * Fixed infinite loop in the AVI demux on broken/incomplete files.

Subtitles:
 * Subviewer and subviewer v2 subtitles support.
 * Ability to choose autodetected subtitles path.
 * Subtitles delay can be changed in real time with hotkeys.

Stream output:
 * Improved session announcement system.
 * Minimize threads usage by default.
 * Added faster than realtime stream output (limited by CPU) for file output.
 * Improved MOV/MP4 muxer.
 * Improved MPEG TS muxer.
 * Improved transrater.
 * Meta info options used by the muxers.
 * New configuration system.
 * Better audio channels downmixing when transcoding.

VideoLAN manager:
 * New videolan (media) manager (vlm): a little manager designed to launch
   and manage multiple streams from within one instance of VLC.
 * Supports live streams and VoD.
 * Supports scheduling.
 * Telnet interface for vlm.
 * HTTP interface for vlm.

Interfaces:
 * Skins II (Windows and Linux only)
    - Ability to embed video output.
    - Support for bitmap fonts.
    - Lots of improvements.
 * wxWindows (default Windows and Linux interface)
    - New design and set of icons.
    - Ability to embed video output.
    - Support for hotkeys.
    - Support for bookmarks.
 * Mac OS X
    - Support for 'groups' and playlist item properties.
    - Better hotkeys handling.

Mac OS X port:
 * OpenGL video output is now the default when available.
 * Added FAAC encoder (mp4a).
 * Audio output fix to work with multiple streams on a HAL device.
 * Possible fix for conflict with CodeTek VirtualDesktop (untested).

Win32 port:
 * DirectShow input plugin should work with more devices.
 * Disable monitor power down when watching movies.
 * Improved Windows installer.

Linux port:
 * PowerPC fixes.

Misc:
 * Improvements to the Goom visualisation plugin.
 * Roku HD1000 audio output.


Changes between 0.7.1 and 0.7.1a:
---------------------------------

Mac OS X:
 * Fixed the infamous 'mp3 takes twice the CPU it should take' bug
 * Playing MOD files is working now.


Changes between 0.7.0 and 0.7.1:
--------------------------------

Core support:
 * Fixed a nasty bug that causes preferences not to be saved some times.
 * IGMPv3 support for VLC under Windows XP and Linux.

Codecs:
 * Brand new DTS Coherent Acoustics audio decoder based on libdts
   (http://www.videolan.org/dtsdec.html)
 * Fixed DTS S/PDIF output
 * SVCD (Philips OGT) and CVD subtitles

Playlist:
 * Internal improvments
 * Improved import/export

Input:
 * Experimental support for Nullsoft streaming video(.nsv) and real media(.rm)
   container formars.
 * New demux module that uses libavformat from ffmpeg. Adds support for many
   small and strange formats.
 * New PVA demux.
 * New MOD audio demux.
 * Support for DTS and A52/AC3 wav files.
 * Support for DTS and A52/AC3 audio CD.
 * New and experimental DVD input plugin with menus support (using libdvdnav).
 * Added back DV audio support in raw DV demuxer.

Stream output:
 * MP4/MOV muxer improvements (fast-start, aac in mov, etc...).
 * Fixed a nasty bug in the mpeg video packetizer.
 * Improved transcoding (multithreading, more tuning, etc...).

Service discovery:
 * Fixed sdp in SAP.

Mac OS X port:
 * New opengl video output plugin.

Win32 port:
 * A few improvements to the DirectShow input plugin.
 * Fixed ipv6 name resolution.


Changes between 0.6.2 and 0.7.0:
--------------------------------

Core support:
 * Brand new decoder/packetizer api.
   Adds a lot more flexibility while also simplifying the decoder plugins.
 * New encoder api (Ffmpeg, Vorbis, Theora, Flac and Speex encoders available).
 * Video outputs are recycled if possible.
   This removes any 'flicker' between two similiar video files.
 * Fixed the video filters. Video should no longer go black when using filters.
 * New input core. Advantages are: better seeking, more responsive, support for
   subtitle files at the core, and much much more.

Playlist:
 * Added a repeat mode to repeat a single file over and over.
 * Playlist sorting

Input:
 * RTP/RTSP support.
 * Fixed annoying seeking problem with Ogg files (seeking would take ages).
 * Support for Flac in Ogg files.
 * MPEG TS demuxer also handles A52 and AAC audio in DVB streams.
 * Rewrite of the Flac demuxer.
 * cddax and vcdx plugins using libcdio, libvcd and libvcdinfo. (Linux only)
 * Reworked DVB tuning.
 * Better Icecast support.
 * New MPEG video elementary streams demuxer.
 * New DTS audio elementary streams demuxer.

Codecs:
 * Support for Theora video encoding.
 * Support for Speex audio decoding/encoding.
 * Rewrite of the Flac decoder + encoding support.
 * Support for MPEG2 422 decoding which was recently added to libmpeg2 (cvs).
 * Support for AAC + SBR and proper multi-channel re-ordering.
 * MPEG 2.5 audio support.
 * Removed deprecated decoders (a52_old, mpeg_video and mpeg_audio).

Stream output:
 * Improvements to the MPEG TS muxer.
 * New transrating module for MPEG2 video.
 * Added packetization for MPEG AAC ADTS streams.
 * Added packetizers for Flac, Speex, Theora, LPCM, DTS and SPU streams.
 * Improved mp4 muxing and added AAC/MP4V support when transcoding.
 * Improved Ogg muxing and added Theora, Speex, Flac and subtitles support.
 * MPEG TS muxer follows the ATSC/DVB specs for embedded A52 audio.
 * --sout-keep option to keep the stream open while changing input.
 * Preliminary RTP support.
 * Fixes to SAP announces.

Interface:
 * Skins:
    - Bugfixes
    - misc improvements (eg, "stay on top" option).
 * New standardized and customizable hotkeys.
 * wxWindows
    - Playlist improvements (Sort, Search, mode buttons).
    - Improvements and help in preferences
    - New streaming wizard
    - Revised Disc Open menu
 * HTTP
    - Improvements of the standard pages
    - Support for new commands
 * OSD ( OS X and hotkeys only atm ).

Service discovery:
 * Many fixes to the SAP module
 * SAP now supports HTTP streams

Subtitles:
 * Text subtitles now have a black outline.
 * Text subtitles autodetection.
 * Text subtitles charset autodetection.
 * Text subtitles for all videofiles. Results may vary.
 * Text subtitles in Hebrew are supported. Arabic partially.
 * Automatic fontsize selection for text subtitles.
 * Fixed SAMI text subtitles support.
 * Support for subtitles in Matroska files.
 * Support for subtitles in DVB streams.

Mac OS X port:
 * New controller designed by Max Rudberg from www.maxthemes.com
 * Save playlist.
 * Works on 10.1.x again. Apologies for that problem.
 * Support for Panther.
 * Support for raw dumping of streams to disk.
 * Mozilla plugin for Mac OS X (experimental).

Win32 port:
 * New DirectShow input module (for video acquisition cards, webcams, PVRs...).
 * VLC can be installed as a Windows NT service.
 * Allow on the fly switching of the main interface.
 * Support for 3F2R in audio output.
 * New --one-instance option to "force" only one running instance of VLC.
 * Mozilla plugin for Windows (experimental).
 * Multimonitor support (untested).
 * Fixed nasty timing bug on some dual-cpu / P4 with hyperthreading systems.

Linux port:
 * Improved Video4Linux input. Also added support for an audio only input.
 * Support for real-time priority when running with root privileges.
 * Allow on the fly switching of the main interface.

iPaq port:
 * Brand new Gtk 2 interface

Miscellaneous:
 * Audio visual effects filters (spectrum, scope and random).
 * Audio visual effects filter using goom.
 * Spanish, Portuguese Brazilian and Hungarian translations.
 * libcaca video output (colored ascii)


Changes between 0.6.1 and 0.6.2:
--------------------------------

Core support:
 * Fixed a nasty regression in 0.6.1 which made some streams unplayable.

Stream output:
 * Transcoder now generates proper pts/dts thus should work a lot better.
 * Improved MPEG TS muxer.

Access input:
 * Support for DVB-S/C/T cards using v4l2 API for Linux 2.6.x kernels.
 * Few fixes to the VCD navigation.

Interfaces:
 * Support for DVD menus navigation added to the wxWindows interface.

UNIX ports:
 * ALSA multi-channel support fixed and tested.
 * Fixed fullscreen with gnome metacity.

Win32 port:
 * Fixed VCD support which was broken on some machines.

iPaq port:
 * Familiar interface with Gtk+-1.2 and GPE support removed (deprecreated).

Miscellaneous:
 * Text subtitles now centered on the picture.
 * Ffmpeg decoder now generates proper pts and can be used to play
   mpeg1/2 videos.


Changes between 0.6.0 and 0.6.1:
--------------------------------

Core support:
 * There should be less bogus resampling, particularly on DVDs.
 * VLC will now wait for the medium to wake up before starting its clock
   after a pause.

Stream output:
 * Added vorbis audio support in Ogg streaming.
 * Added vorbis audio transcoding support.
 * Added mp3 audio transcoding support (when ffmpeg is compiled with mp3lame).
UNIX ports:
 * ALSA multi-channel support fixed and tested.
 * Fixed fullscreen with gnome metacity.

Win32 port:
 * Fixed VCD support which was broken on some machines.

iPaq port:
 * Familiar interface with Gtk+-1.2 and GPE support removed (deprecreated).

Miscellaneous:
 * Text subtitles now centered on the picture.
 * Ffmpeg decoder now generates proper pts and can be used to play
   mpeg1/2 videos.


Changes between 0.6.0 and 0.6.1:
--------------------------------

Core support:
 * There should be less bogus resampling, particularly on DVDs.
 * VLC will now wait for the medium to wake up before starting its clock
   after a pause.

Stream output:
 * Added vorbis audio support in Ogg streaming.
 * Added vorbis audio transcoding support.
 * Added mp3 audio transcoding support (when ffmpeg is compiled with mp3lame).
 * PS muxer can create mpeg1 files now and produce streams with system headers.
 * You can transcode a52 with more than two channels to mpga now.

Win32 port:
 * Fixed DVD support which was partly broken due to a bug in libdvdcss
 * Fixed 5.1 audio support for the sblive/audigy soundcards.
 * Fixed sound on Windows NT.

UNIX ports:
 * Fixed/improved ALSA support and enabled multi-channel audio output.
 * X11/Xvideo: Should now work on big endian machines, and you can now
   use the arrow keys to browse through the DVD menus.

iPaq port:
 * Gtk+2 interface called PDA
 * Familiar Gtk+ is now deprecreated
 * Codec a52, Faad2 and flac added
 * Video4Linux enabled (demux and transcode)
 * Stream Out with transcode support enabled (use codecs: HuffYuvv and A-law).

Interfaces:
 * Small updates/fixes to the wxWindows interface.
 * Improved HTTP remote control interface. You can now create your own HTML pages.
 * A new CORBA control plugin.

Input demux:
 * Improved support for the Matroska container format.

Miscellaneous:
 * Improved build system.
 * New video filter plugin to overlay logos.
 * Added support for Winamp 3 B4S files.
 * New subtitle module which uses freetype2 to render arbitrary fonts in any size.
   Should also work with languages like russion for instance.


Changes between 0.5.3 and 0.6.0:
--------------------------------

Core Support:
 * Channel Server support was removed (was deprecated)

Input access:
 * Fixed a big bug in ftp and http access that prevented many platforms
   (OSX most prominently) to view ftp and http streams.
 * Fixed large file support on Windows
 * Video 4 Linux support
 * CD Digital Audio support
 * Fixed IPv6 multicasting on Windows and OSX.

Input demux:
 * Better detection of AAC and mp3 files
 * Support for OpenDML avi files
 * More complete .mp4/.mov support
 * Very early support for the Matroska container format (don't complain if it doesn't work ;)

Codecs:
 * VLC's own MPEG1/2 decoder has been replaced with libmpeg2
 * Support for Sorenson 3 (SVQ3 or Quicktime content) via ffmpeg
 * OSX support for QDM2 and QDMC sound, often used in QT content.
 * Fixed a bug which was causing artefacts in DivX video (ffmpeg)
 * Updated our theora decoder to use the alpha 2 release of libtheora
 * If ffmpeg cannot keep up, skip and try to recover instead of stopping altogether
 * Indeo Video 3 (IV32) support for little-endian computers. (so not for OSX)

Interfaces:
 * The wxWindows interface is now fully useable as well as Unicode safe
 * New HTTP remote control interface

Stream output:
 * New stream output scheme. It is now possible to build a chain of stream outputs
   allowing for instance to stream and display some content at the same time.
 * The stream output now allows to transcode content on the fly.
 * Fixed major bug that prevented streaming mpeg 1/2 video with pulldown content.
 * SAP/SDP announcing support. (both IPv4 and IPv6)

Miscellaneous:
 * New reset option for the preferences
 * You can set your language in the prefences
 * New video chroma conversion module using ffmpeg
 * Added a Gentoo ebuild to the distribution
 * Added a new smaller subtitles font (now the default) + scripts to generate your own
 * SAP/SDP IPv6 support

UNIX ports:
 * Basic support for the X11 Xinerama extension.
 * New skinable interface ported to X11.
 * Run opie-vlc and zaurus-vlc as GuiServer

Mac OS X port:
 * When you add several items to the playlist, they are sorted alphabetically.
 * New about panel and revamped preferences panel.
 * Fixed the deinterlace menu.
 * Float on top, Fit to Screen and a Transparency option for video out.
 * New output dialog for transcode and display while stream capabilities.
 * New icons by Davor Orel.
 * New audio resampler. Should make VLC much faster.
 * Fixed disappearing and crackling sound (PTS is out of range bug)
 * We no longer automatically save the preferences when you quit the application
 * Arrow keys are now use to browse the menus in a DVD

Win32 port:
 * the wxWindows interface is now the default interface
 * The keyboard shortcuts are now identical to the linux version
 * Fixed the "no sound" problem on NT4
 * Improved skinnable interface (it now uses the wxWindows interface dialogs).
 * Added support for compressed skins files (.vlt files)
 * Fixed SVCD chapters support.
 * Fixed memory leak with 5.1 audio.

BeOS port:
 * Interface localization
 * Screensaver disabled if playing in fullscreen
 * A few new keyboard shortcuts
 * New full-featured Preferences window


Changes between 0.5.2 and 0.5.3:
--------------------------------

Core Support:
 * fixed DTS S/PDIF output on little-endian machines
 * support for skins at the interface level
 * new OSD module using Freetype2
 * video outputs are now destroyed when the associated input ends
 * the video output takes into account the caching delay introduced at the
   input level before dropping out of date frames.
 * configuration option to disable the translation of the interface

Input access:
 * fixed HTTP redirects
 * support for opening an entire directory
 * EOF should be detected more reliably
 * new video4linux access plug-in
 * new kfir access plug-in designed to work around a bug in the kfir driver

Input demux:
 * added stream type for some Motorola MPEG-2 video encoders
 * fix for some ogg web radio streams
 * fixed reading TS streams over HTTP

Codecs:
 * support for 3ivx D4 (not previous versions)
 * support for '3ivd' and '3vid' encodings
 * support for 'MSS1' codec ( same as WMV2 )
 * support for SAMI subtitles (untested and incomplete)
 * better SSA4 subtitles recognition
 * new codec for raw I420 video
 * improvements to the libmpeg2-based MPEG video decoder

Interfaces:
 * improvements to wxWindows based interface
   (although it still misses some important features)
 * skeleton for a Gnome2/GTK2 plug-in

Stream output:
 * new HTTP output support
 * fixed a segfault in the AVI muxer
 * fixed AV synchronization issues

Miscellaneous:
 * support for oldstyle id3 genres

UNIX ports:
 * the SDL vout plug-in will now work on big-endian machines

Mac OS X port:
 * reorderable playlist
 * fixed the hiding of the mouse on multiple monitors
 * fixed a big issue with some USB speakers
 * support for mono audio output devices
 * reset the audio-device to its default mode before quitting VLC
 * fixed several cosmetic issues
 * you can drag the controller window by its background (as it should be)
 * the messages window remembers more lines
 * delay and fps can now be overruled with subtitles files
 * http and ogg stream output options
 * Apple menu and friends will now be translated as well

Win32 port:
 * new skinnable interface
 * the directx video output doesn't crash anymore on ctrl+alt+del events.

iPAQ familiar Linux port:
 * support for FLAC audio format
 * the interface adapts to the screen size/rotation
 * playlist
 * network tab in the interface
 * "apply" handling in preferences


Changes between 0.5.1a and 0.5.2:
---------------------------------

Core support:
 * advanced config options are now hidden by default
 * new --spdif option to use the S/PDIF audio output by default
 * fixed a 'clicking' sound when switching between streams
 * new bandlimited resampler that should improve audio quality on primarily
   Mac OS X
 * fixed a problem with audio over http that caused some web radios to not work
 * DTS S/PDIF support

Codecs:
 * support for DV audio through the ffmpeg library
 * support for FLAC audio through libflac
 * new but basic MPEG video decoder based on libmpeg2
 * fixed a major bug in LPCM code (fixes a problem with iDVD disks)

Stream output:
 * support for streaming DivX 1/2/3, wmv1/2, h/i263 over MPEG-2 TS
 * new --ttl option for Time To Live

DVD support:
 * fixed quite a few problems with the dvd menu support

UNIX ports:
 * fixed the GNU-pth support

Win32 port:
 * multi-channel audio and S/PDIF support for both the DirectX and Waveout
   plugins
 * localization support via gettext is now fully working
 * rc interface is now fully useable
 * fixed the MSVC project files generation

Mac OS X port:
 * several fixes for multi channel audio devices. AC3 over SPDIF with
   M-Audio Sonica Theater still does not work. this is most likely a driver
   bug and has been reported to M-Audio. (Sonica, Revolution, Delta, Griffin
   iMate and MOTU firewire devices should work)
 * VLC now uses the default audio device
 * new info panel
 * very preliminary support for VLC control via applescript
 * support for mouse gestures
 * new priority scheme allowing to avoid lock-ups on low-end machines

Linupy port:
 * there is a whole new port for the linupy distribution used by o.a. the
   YOPY PDA. It is still experimental, please test it

Miscellaneous:
 * improved ID3 tag detection
 * changed several errors into warnings ; the frequently reported "this is
   not a PS stream, continuing" is one of these
 * mouse gestures work on windows and osx, but there still isn't any useful
   gestures
 * some support for .pls playlists used by shoutcast


Changes between 0.5.1 and 0.5.1a:
---------------------------------

Mac OS X port:
 * fixed a problem that caused VLC to select the wrong language when
   English was set as the preferred language


Changes between 0.5.0 and 0.5.1:
--------------------------------

Core support:
 * new mouse gesture interface
 * audio volume can now be changed at any time, even when no file is
   playing

Input access:
 * various minor fixes on the network inputs
 * fixed some weird URL parsing problems (/Volumes/toto:tata/harry@coin.mpg)
 * VCD: fixed track number and chapter indexing

Input demux:
 * fixed a bad initialization in the mp4 plug-in
 * new --buggy-psi option for TS streams which do not update their
   continuity counter

Codecs:
 * support for MPEG-2 intra slice refresh (aka. Slice-I) streams

DVD support:
 * fixed a bug which turned the default interface command-line only
   without the user consent

UNIX ports:
 * GTK: fixed a crash when going fullscreen or changing volume from the
   popup menu
 * X11: new screen saver disabling plug-in (--extraintf screensaver)
 * KDE: fixed compilation with KDE 3.1
 * ALSA: fixed mono files output

Mac OS X port:
 * fixed a crash on start-up on some localized systems
 * lowered real-time priorities to avoid lock-ups on slow machines
 * VLC can now be made the handler of ftp http mms and udp URLs
 * playlist enhancements
 * added half, normal and double video window menu items
 * new step forward/step backward commands
 * the dock should no longer be visible in fullscreen mode
 * the Mac OS X binary is now compiled with Ogg/Theora support
 * vlc.app is now VLC.app

Win32 port:
 * fixed the "RichEdit line insertion error" bug
 * VLC can now be run from outside its installation directory
 * fixed a bug that prevented to find the default subtitle font

BeOS port:
 * smarter BeOS priorities to avoid lock-ups
 * few enhancements in the interface (especially the Settings window)

Opie port:
 * native video output is working again
 * only commandline interface support
 * support for MPEG4, DivX through ffmpeg package


Changes between 0.4.6 and 0.5.0:
--------------------------------

Core structure:
  * object structure which allows for full re-entrancy, known as libvlc
  * new audio output architecture based on filter pipelines, providing
    S/PDIF and multi-channel support
  * localization support via gettext on most architectures
  * new stream output architecture, allowing to use VLC to unicast,
    multicast or broadcast a stream to another VLC (only MPEG 1, 2 and 4
    and A/52 streams are supported)
  * build system now uses autoconf/automake/autopoint

Input access:
  * mms:// support
  * ftp:// support
  * stability fixes in the HTTP access
  * auto-detection of RTP encapsulation
  * VCD entry points support
  * VCD image file support

Input demux:
  * support for *.asf format
  * improved support for *.avi, especially over an HTTP connection
  * support for *.mp4 and *.mov format
  * support for ogg encapsulation
  * support for raw DV format
  * support for *.wav format
  * new demuxdump demux allowing to save a stream to a file
  * raw AAC support

Stream discovery & playlists:
  * support for the SAP/SDP and SLP protocols
  * support for .m3u file format
  * support for .asx file format
  * hack to find the streaming sources in html-pages with embedded wmp

Codecs:
  * support for the microdvd, subrip, ssa1, ssa2-4 subtitles file formats
    (only available with the .avi demux)
  * support for ADPCM audio codec
  * support for raw PCM data
  * support for Cinepak video codec
  * support for DV video codec via libdv or ffmpeg
  * support for AAC audio codec via libfaad2
  * support for Xvid codec
  * support for Xiph.org's Vorbis audio codec
  * support for Xiph.org's Tremor audio codec (when compiling from sources)
  * support for Xiph.org's Tarkin and Theora video codecs (when compiling
    from sources)
  * new codecs supported by latest ffmpeg versions: WMV, WMA, SVQ 1, H263,
    H263i, MJPEG A/B
  * fixed an endianness bug in LPCM codec

DVD support:
  * experimental preliminary support for DVD menus via libdvdplay

Miscellaneous:
  * new WxWindows interface
  * all interfaces allow to dynamically change the volume, the audio
    device and the channels configuration
  * headphone channel mixer with virtual spatialization effect
  * Mozilla plugin based on libvlc for embedded playback in webpages of any
    format that VLC can play
  * new swedish translation
  * enhancements of the playlist window
  * new messages window to see debug info
  * fixed a few crashes

iPaq port:
  * slider bar in GTK+/GPE Familiar interface
  * fixed crash on directory change in Familiar interface
  * added qte_main module for use in all modules that need Opie or Qte support
  * native video output module for Qt Embedded/Opie is not working

